commit 5605825a022cd03e5d5d6614fdd5545f2929a0e6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:   2011-09-26

    updated for version 3.2.0

M	NEWS
M	configure.ac

commit d5f37a145b9717099609fd02851c56e299a7065b
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:	2011-09-24

    Updated Aragonese translation

M	po/an.po

commit ee2056c8f99afb9c6530716a4d22be5e4a5e7a35
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-09-23

    file-roller shows duplicate folders

    Do not free the hash keys after adding them to the hash table,
    free them
    only when the hash table is destroyed.

    [code freeze break approved by the release team]

    [bug #659906]

M	src/fr-window.c

commit 686eaaa6f6188311fc53bf4cbffd0f71a644fb1b
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2011-09-22

    Update Assamese translation

M	po/as.po

commit a96624af6772827e3f5c2ad67625895ed88338f3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-09-19

    updated for version 3.1.92

M	NEWS
M	configure.ac

commit fd844ac91000d21ccf697a6d08b229294e1d4b1d
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2011-09-18

    Updated Thai translation.

M	po/th.po

commit 30f22ef1ece04eed4da21677b4a0ec38517d8abf
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-09-18

    Updated Belarusian translation (some fixes after manual testing).

M	po/be.po

commit 18c812cd3d9ed000cc252d0e7c63e05ec17c6394
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2011-09-17

    Updated Japanese translation

M	po/ja.po

commit 34be745fcbfea354aa59ce0b1b27023c897945cb
Author: dmustieles <daniel.mustieles@gmail.com>
Date:	2011-09-14

    Updated Spanish translation

M	help/es/es.po

commit 8703609e95dcee3abbec39dea567137c7fff23e9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-09-08

    use natural order when sorting by filename

    [bug #658173]

M	src/file-data.c
M	src/file-data.h
M	src/fr-window.c

commit 5252e36819e2ff9270b460f0e0dbd2c0cdf96a0d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-09-05

    updated for version 3.1.91

M	NEWS
M	configure.ac

commit 3e415c7cf47ee72f0da94d573f88668f6e5724c2
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-09-04

    Updated Belarusian translation.

M	po/be.po

commit e4a225d986cb6df8c6586515cba0e13aee888544
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-09-01

    Fixed loading of multi-volume rar archives with 7zip

M	src/Makefile.am
M	src/fr-command-7z.c
M	src/fr-command-rar.c
A	src/rar-utils.c
A	src/rar-utils.h

commit 0593a967d5846046aef6a7789d95f13884ea54ab
Author: Javier Jardón <jjardon@gnome.org>
Date:	2011-08-31

    Use g_format_size() instead deprecated g_format_size_for_display()

M	configure.ac
M	src/dlg-prop.c
M	src/fr-window.c

commit 0ab6ca9edeb8ef17fbe3b8abb66ea3820aa74a50
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-08-29

    updated for version 3.1.90

M	NEWS
M	configure.ac

commit ddfbd6ebf2498d9f89196e857a5cb302546cb035
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-08-22

    Fixed loading of zip archives with zip/unzip

    Always add CAN_READ to the capabilities if unzip is present

    [bug #653404]

M	src/fr-command-zip.c

commit 751fe6dbfea0a5c535d09a7669b160111ec5912b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-08-16

    added --enable-debug/--disable-deprecated options to configure

M	configure.ac

commit 6387e70038f6789c8c906532abdbc47df428ffdf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-08-15

    updated for version 3.1.2

M	NEWS
M	configure.ac

commit b449e14550092e56546a6a5889bed94246e8a6d6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-08-12

    added a README-DISTRIBUTIONS to explain auto-installation support

A	README-DISTRIBUTIONS

commit 617b77366cdb295dc6b33207dd9b23613f490b23
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-08-12

    the zip utility cannot be used to read zip files

M	src/fr-command-zip.c

commit 0fb5d00574361d7517a58d95d28007b624d8e78a
Author: Priscilla Mahlangu <priny@translate.org.za>
Date:	2011-08-10

    New translation for Zulu (zu)

M	po/LINGUAS
A	po/zu.po

commit f6fa4bdb5ccc059a6b13938e6b017bcefed2c8ab
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-08-04

    added an icon to the progress dialog

M	src/dlg-batch-add.c
M	src/fr-window.c
M	src/gtk-utils.c
M	src/gtk-utils.h

commit cfb9186df36b2dba306c3cf7cb8b8dd41c407680
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-08-04

    fixed build with --enable-run-in-place

M	src/Makefile.am

commit 2436a7e8fc36d4c020b566d1947b1571d5a49da2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-08-04

    batch add: simplified the code removing useless variables

M	data/ui/batch-add-files.ui
M	src/dlg-batch-add.c

commit bedad6c30972fed1d82b0987d0a40215129f38cc
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-07-28

    Added Basque language

M	help/Makefile.am
A	help/eu/eu.po
A	help/eu/figures/file-roller_leftarrow.png
A	help/eu/figures/file-roller_main_window.png

commit 9379d056806ac31b6a178aaad5194ff0c0f94384
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-07-25

    updated for version 3.1.1

M	NEWS
M	configure.ac

commit 019550b866b3787092101c2cafed686b5d1f00e7
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2011-07-24

    Updated Belarusian translation.

M	po/be.po

commit e8a3daaf7b695759becb6bff300cf7b2a97c75e4
Author: Funda Wang <fundawang@gmail.com>
Date:	2011-07-22

    Updated zh_CN translation.

M	po/ChangeLog
M	po/zh_CN.po

commit 3b213a2a5ad452895d6bceec5b512dc44e1df461
Author: Funda Wang <fundawang@gmail.com>
Date:	2011-07-22

    Updated zh_CN translation.

M	po/ChangeLog
M	po/zh_CN.po

commit 7b1fd568753357d4a21a8f86ba9ce04117aa8d7f
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:	2011-07-18

    Updated Aragonese translation

M	po/an.po

commit 8973fa0d93867279f32e5f81c0e651b5f8ded283
Author: Pin-Hsien Li <pspeter9931@gmail.com>
Date:	2011-07-16

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	help/Makefile.am
A	help/zh_HK/zh_HK.po
A	help/zh_TW/figures/file-roller_main_window.png
A	help/zh_TW/zh_TW.po

commit 7e8220d0a3afff68d1b5cc006888b697e5d2b46f
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2011-07-13

    Forgit to update the file against the source

M	help/da/da.po

commit a4e373d199b940656959068d530b6252d8dcb9ed
Author: Flemming Christensen <fc@stromata.dk>
Date:	2011-07-13

    Added Danish translation of the documentation

M	help/Makefile.am
A	help/da/da.po

commit fbb39fcb4be47fec09d911292777835707977159
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-07-12

    drag and drop: use the clicked row as drag icon

M	src/eggtreemultidnd.c

commit 7e77dd728b26b6d0634e08932e260759678deddb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-07-12

    removed unused forward declaration

M	src/fr-window.c

commit 371a4565d7f677a4ee1baa1942a0ca24169e5235
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-07-12

    bumped version number to 3.1.0

M	configure.ac

commit 7e45d76bb3f2b5673c4c1e1d509c3235c1ec477b
Author: Priit Laes <plaes@plaes.org>
Date:	2011-07-06

    [l10n] Updated Estonian translation

M	po/et.po

commit a86e7500959dc02567704c12d72c4261ff8a19cb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-06-09

    removed the schemas file

D	data/file-roller.schemas

commit 3cef28c06f01bb04b6b496b796f3e19f7ba27e7c
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2011-06-09

    Remove G_CONST_RETURN from file-roller

    file-roller contained a single use of G_CONST_RETURN which is being
    deprecated (bug #644611).

    https://bugzilla.gnome.org/show_bug.cgi?id=652207

M	src/file-utils.c
M	src/file-utils.h

commit 2c5e1c9a216d803b8c9aa23488f883e4b53773dd
Author: Tommi Vainikainen <thv@iki.fi>
Date:	2011-06-08

    Updated Finnish translation

M	po/fi.po

commit 3d7fa24ca267e333d7406eff38ec02b519110ecc
Author: Iain Nicol <iainn@src.gnome.org>
Date:	2011-05-29

    Pointer arithmetic fixes for end of string access

    [bug #651416]

M	src/fr-command-7z.c
M	src/fr-window.c

commit 68117091d00111399c0fc96f37bba90b53068b73
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2011-05-29

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit d5ea1081df0f9943eba1ab1e62c54bed34f6b609
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-05-27

    Updated Esperanto translation

M	po/eo.po

commit 5c6c1bb5aeca4a02db98d80495f05c0b59d6d37f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-05-26

    change 'make dist' to create tar.xz files

M	configure.ac

commit 8d1866d886771400a71325b94dbe44b430fd6bed
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-05-24

    updated for version 3.0.2

M	NEWS
M	configure.ac

commit 8ae6b7fe0bd5983c4eb44c34196ad5b6e520c088
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-05-23

    removed spaces before tabs

M	src/fr-command-rpm.c

commit 2899c092f249a4fa822a896baf128b6c8c75b634
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:	2011-05-23

    Prevent a NULL pointer deref in mktime_from_string(). It's possible
    to call mktime_from_string() with NULL arguments for day, month and
    year. This would in turn lead to calling atoi(NULL), which leads to
    a crash.

    So instead fill in any NULL values with the corresponding unit from
    Jan 1st 1970.

M	src/fr-command-rpm.c

commit 018b636e8c58c57f0b0affa25508144cfad7e88f
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2011-05-23

    Updated Telugu Translations done by Praveen Illa

M	po/te.po

commit 95aafc3c70f75e4a3b70619f6d0471c9240733a1
Author: Iain Nicol <iainn@src.gnome.org>
Date:	2011-05-22

    Fix implementation and use of the alternative package name lookup

    Any ``real_name'' which was found was not getting used before.

    Also, when the lookup is unsuccessful, this means there is no
    /alternative/ package name.  Thus we should use the hard-coded package
    name as the real_name for our PackageKit installation request.

    [bug #603757]

M	src/dlg-package-installer.c

commit f22420588967c84badf175da2806c8c2e64259a8
Author: Christopher Aillon <caillon@redhat.com>
Date:	2011-05-14

    Remove deprecated GtkDialog.has_separator properties

M	data/ui/add-options.ui
M	data/ui/batch-add-files.ui
M	data/ui/batch-password.ui
M	data/ui/delete.ui
M	data/ui/password.ui
M	data/ui/properties.ui
M	data/ui/update.ui

commit 2e59e2de5390278f7275fcd66b7f935035935c0c
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:	2011-05-11

    Added Aragonese translation

M	po/LINGUAS
A	po/an.po

commit b87cf23f1cf77b1a544678e45d566cbbbdc4a305
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2011-05-07

    Updated Lithuanian translation

M	po/lt.po

commit ceb62eb981ef79aadd798cb8a1e5b59e0560c539
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-05-02

    Use g_dpgettext2() instead of plain gettext for column headers.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=649159

M	src/fr-window.c

commit fa04767f8f4ae22cfa1ca71bd86d8181deafd46b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-04-26

    can't open rar files with password protected file data and headers

    [bug #646562]

M	src/fr-command-rar.c

commit 509768e83e1f3a8e9d1bdab6866e1c36c8847706
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-04-26

    updated for version 3.0.1

M	NEWS
M	configure.ac

commit 0037861a3e5c7573b730f55f0726a681acd41d35
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-04-24

    Added UG translation

M	po/ug.po

commit ced6c25a93df7cc0ded59cc299a577441730faa3
Author: Edward Sheldrake <ejsheldrake@gmail.com>
Date:	2011-04-22

    crash on exit after using Open With

    Fix double-free on exit after open with.
    From fr_window_open_extracted_files line 8242, the file list points
    to a list
    in a CommandData in the CommandList, which are freed on exit.

    [bug #648472]

M	src/dlg-open-with.c

commit dc31f3a157f1584ca9275c9fcf0d528358aabd26
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2011-04-22

    Updated Persian translation

M	po/fa.po

commit 22b04a4b4b1950bdbb9963431f862234d982301f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-04-04

    updated for version 3.0.0

M	NEWS
M	configure.ac

commit 988d4052cb218873ffd69cdf8dbf38539f23cbeb
Author: Baris Cicek <baris@teamforce.name.tr>
Date:	2011-04-04

    Updated Turkish translation

M	po/tr.po

commit 7fba2abba910e5a7fae25545e91489f3626d8c29
Author: Jordi Serratosa <serratosa@gmail.com>
Date:	2011-04-03

    [l10n]Fixes on Catalan translation

M	po/ca.po

commit e39cbacd699306fe07b87dd04147c9d43d476a74
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2011-04-03

    [l10n] Updated Italian translation

M	po/it.po

commit 73dbfc7b6c01ff2b58172daabf585a9de6a3fb86
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2011-04-03

    [l10n] Updated Italian translation

M	po/it.po

commit 7ba54f46e9fc264d0fcebd754ff08f163a91be73
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-04-03

    Updated Italian translation

M	po/it.po

commit 1a355ed710cf1a177082d61b35534555c07dc20b
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2011-04-02

    Updated Lithuanian translation.

M	po/lt.po

commit 4a7e3eb6eea63cf037e9b66f1863789a1ba3259c
Author: Gil Forcada <gforcada@gnome.org>
Date:	2011-04-02

    [l10n]Updated Catalan translation

M	help/ca/ca.po

commit aeb5876857db27d8be7eb8fcd458caa6d104aea5
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2011-03-31

    hindi updated

M	po/hi.po

commit 2b7639e8cd2923c3d574c7181db7e8fbaa67f77d
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:	2011-03-31

    Updated Assamese translations

M	po/as.po

commit 73d7376f1a3140e083e5344318c9cb0f671cbcf5
Author: Branko Kokanović <branko.kokanovic@gmail.com>
Date:	2011-03-31

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 4361babeaa7fbc041173550797bbb2c48ba87f93
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-03-30

    Updated Basque language

M	po/eu.po

commit 163ebbde57c8334be505e5b37179d5d3c86fdeb1
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-03-30

    Updated Basque language

M	po/eu.po

commit b2dc2182c68b7c026bf00fdc59808d56fc178fe2
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2011-03-30

    Updated British English translation

M	po/en_GB.po

commit dbb673a707656aa1a6346087e2e2f1127ce3ef84
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2011-03-30

    Updated Indonesian translation

M	po/id.po

commit 4c9afc0241a9ddef0680b1557d0fb2f5e39996b8
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-03-29

    Uploaded Ukranian

M	po/uk.po

commit b26de901b89a807096c05837f595264951029ce0
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2011-03-28

    Updated Danish translation

M	po/da.po

commit 9deb17238ae5146641b7cd1d9be1611141170190
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2011-03-28

    Updated Tamil translation

M	po/ta.po

commit 0836c8da9a837e25b7f82fc36429db2013f1533a
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-28

    Updated Latvian translation.

M	po/lv.po

commit 9adb19296a038a9ee3b37c9e36d6e8dccca0d579
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-03-27

    Added UG translation

M	po/ug.po

commit 896ff3b5adb3eb69fcac7a2d5c523a637f3417ec
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-03-27

    added the description to the .doap file

M	file-roller.doap

commit 3b71bc7da0b61f31dc43ab3791079ea560b807ba
Author: Krasimir Chonov <mk2616@abv.bg>
Date:	2011-03-27

    Updated Bulgarian translation

M	po/bg.po

commit e8f3d393a439cc3a532673d0dcb6aafb7a0d38c6
Author: A S Alam <aalam@users.sf.net>
Date:	2011-03-27

    update tranlation for Punjabi by A S Alam

M	po/pa.po

commit e869279da2a04e1bff24ebd694d3f04857ab333a
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-03-27

    Updated Vietnamese translation

M	po/vi.po

commit 3aecbb7db964451b6e5ed10944abdf84d38104d1
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-03-27

    po/vi.po: import from Damned Lies

M	po/vi.po

commit eb729450d6792156135a76c39259774ce11ddc05
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-03-26

    Updated Hebrew translation.

M	po/he.po

commit d220861925ff4f4464523821f9500a2a7c00e761
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-03-25

    updated for version 2.91.93

M	NEWS
M	configure.ac

commit 9d463ea15f40580208cfa1e958c5447387bfbe28
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2011-03-24

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit f1f99ca63d25141977611f3ce3fa8af7d1506a35
Author: Rodrigo Padula de Oliveira <contato@rodrigopadula.com>
Date:	2011-03-24

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 431adeca3ec4e940e49c0a49477521426c556a8b
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2011-03-24

    Updated kn translations

M	po/kn.po

commit 4919e1c8a52f1b48755304bb20fcb1601e13165a
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2011-03-24

    Updated kn translations

M	po/kn.po

commit 5a6324a7225bdf4bc57e3aff3b7b9ecd4ba54829
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-03-24

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit de1442436c500868bb9d7b61cd16d323a85c2661
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-22

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5f5e3e4ca93a261074c8bf1ce33b683612639ef5
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-03-22

    [l10n] Updated Estonian translation

M	po/et.po

commit d3b7ad5c5d0ba19cf46045bcdd23b5e48cdecfde
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-03-21

    updated for version 2.91.92

M	NEWS
M	configure.ac

commit 2abc55fff957a6a8afd069000d0374e5ea2b1704
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-03-21

    Updated Russian translation

M	po/ru.po

commit 0339943878e927c55ff6cc68918a5a1be8431dae
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2011-03-21

    Updated Portuguese translation

M	po/pt.po

commit 9304e22a1fa824ebe9542cd257f874b97879ecce
Author: Peter Mráz <etkinator@gmail.com>
Date:	2011-03-20

    Updated Slovak translation

M	po/sk.po

commit fc41ea7e8cdc23b4295f82e3431884ecd779b192
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-03-20

    Updated Swedish translation

M	po/sv.po

commit 68fa51631d1b6de4fad02d7baa42ce12c9f05918
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-03-20

    Updated Galician translations

M	po/gl.po

commit 5d408404fa952e07ff4f43b57523c500bd14e46e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-03-19

    Updated Polish translation

M	po/pl.po

commit aa50cb12868c1495bbd21b9882e98a8cdd3e110d
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-03-19

    Updated Korean translation

M	po/ko.po

commit 9a92d2537f1f8338a9c1be604af0bbd71b6611a1
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-03-19

    Updated Arabic translation

M	po/ar.po

commit 98d8ef8af93dee4c12be2c00afb70eb68fa73d52
Author: Jakub Steiner <jimmac@gmail.com>
Date:	2011-03-18

    Non-fuzzy app icon ('highres')

    [bug #645156]

M	configure.ac
M	data/icons/16x16/apps/file-roller.png
M	data/icons/22x22/apps/file-roller.png
M	data/icons/24x24/apps/file-roller.png
C100	data/icons/scalable/Makefile.am data/icons/256x256/Makefile.am
C094	data/icons/scalable/apps/Makefile.am
data/icons/256x256/apps/Makefile.am
A	data/icons/256x256/apps/file-roller.png
M	data/icons/32x32/apps/file-roller.png
R100	data/icons/scalable/Makefile.am data/icons/48x48/Makefile.am
R094	data/icons/scalable/apps/Makefile.am
data/icons/48x48/apps/Makefile.am
A	data/icons/48x48/apps/file-roller.png
M	data/icons/Makefile.am
D	data/icons/scalable/apps/file-roller.svg
A	data/icons/source.svg

commit 91455fe3605d48058d9b54610e12428ce2afc027
Author: Gil Forcada <gforcada@gnome.org>
Date:	2011-03-18

    [l10n]Updated Catalan translation

M	po/ca.po

commit 4bc973eb44df1c3e058fb7eaa9d40a885493ce29
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-03-18

    Updated Hungarian translation

M	po/hu.po

commit b05d31ec6304c2e89d6fe3055e496445ebb1f0cd
Author: chiachen <luojiazhen@gmail.com>
Date:	2011-03-18

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit a3782b2084b7a97e08fc8a4b9c26fd9d48b5710a
Author: Marek Černocký <marek@manet.cz>
Date:	2011-03-18

    Updated Czech translation

M	po/cs.po

commit cdd06aed690622cd750303daefed76f607f19839
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-03-17

    Updated French translation

M	po/fr.po

commit 01c09e51e5d639d4e5cc647b9850e5875dcaa470
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-03-17

    Updated Spanish translation

M	po/es.po

commit ca6b149d05329a19c4c22b9841e43a95fbbf789d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-03-17

    Updated Slovenian translation

M	po/sl.po

commit 43cfb790a33602f9b5118f1010a88e2771bb7e76
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-03-17

    [l10n] Updated German translation

M	po/de.po

commit c5f7cb8dab9740ff10b46c2dc9a2d2970b2f7cfe
Author: Claude Paroz <claude@2xlibre.net>
Date:	2011-03-17

    Fix translation of New.. and Open...

    [bug #644951]

M	src/ui.h

commit 13dd583ec81e766dc5ece0172636c5606e06e5d2
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-03-17

    [l10n] Updated German translation

M	po/de.po

commit 4efee40d4cc633dff905e9166d30df8e56680753
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2011-03-16

    Updated Romanian translation

M	po/ro.po

commit 31bbf13755011e3d5e8c79314d125d6e8c7d700a
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2011-03-16

    Updated Romanian translation

M	po/ro.po

commit eb8c8959c529587f863b7aacbfa8c487b4c2b8f5
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2011-03-14

    Updated Romanian translation

M	po/ro.po

commit 1f186cc81260fa5ab2fea26c09dec6e6fd3c78b6
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2011-03-14

    Updated Romanian translation

M	po/ro.po

commit 6234144afc988c8501186a9e00dda8814c8fac71
Author: Isis Binder <isis.binder@gmail.com>
Date:	2011-03-11

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit a60f96b8a5f3dc7ad59f9dbf76d8c325012d021f
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2011-03-10

    Updated British English translation

M	po/en_GB.po

commit 7336642b818bc74ee5df2558425a6c11281c24ab
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-03-09

    Updated Hungarian translation

M	po/hu.po

commit 2d1d283b71d4c5bf830ecc38a560df9b93932215
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-03-09

    do not set the border width for any dialog

M	src/fr-window.c
M	src/gtk-utils.c

commit b950fd5ac1be8d32734a13b2a87d95ade702256d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-03-09

    do not set the "last output" dialog as modal to allow the user to
    resize it

M	src/fr-window.c

commit bb94e444935297daf968f2ef30f0756afdfaff4e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-03-09

    Updated Polish translation

M	po/pl.po

commit 292473301438bd3d5c2d84292d25063d84c0aa47
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2011-03-07

    Updated Portuguese translation

M	po/pt.po

commit 26fffb8e8fe7e1381cbc77c32c1cbbadd7eaaa7b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-03-07

    updated for version 2.91.91

M	NEWS
M	configure.ac

commit a901b745b7f2e02889a88d1952c37b690a090789
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-03-07

    require Gtk+ 3.0.2 for the primary-toolbar class

M	configure.ac

commit 3211f1461cba6aabe52a17d950eb3de3f8d0e6ab
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-03-07

    set the "primary-toolbar" class to the primary toolbar, and the
    "toolbar" class to the location bar

M	src/fr-window.c

commit 02f2fa8dc6c41d04e105b02f662b23a2c910d6cb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-03-07

    use gdk_display_get_app_launch_context instead of
    gdk_app_launch_context_new

M	src/fr-window.c

commit 63cf730ed5df2484663c775ff9f4cee64bcc67ef
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-03-07

    uncommented the code used to follow the single click preference

M	src/fr-window.c

commit 3c4e87ecb40610a69ca77aef9a28efaf3a5488c7
Author: Claude Paroz <claude@2xlibre.net>
Date:	2011-03-06

    Updated French translation

    Contributed by Laurent Coudeur and Claude Paroz

M	po/fr.po

commit 6d1e0e29f7e0433276bb1924d87721ff5acf444e
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-05

    Updated Latvian translation.

M	po/lv.po

commit 508b897903c31c5b0baf4ce25a63b0fd8f818892
Author: liu zhen <liuzhen1191@gmail.com>
Date:	2011-03-03

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 3292a98315a61d342e0d39639d3ddbad66ff6ec4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-03-01

    Fixed error when a filename contains the % sign

    No need to convert the file list in fr_archive_add

    [bug #638868]

M	src/fr-archive.c

commit 5cc9d4e44ed730ffa3cf8c430af0abfec033e2e3
Author: Gil Forcada <gforcada@gnome.org>
Date:	2011-03-01

    [l10n] Updated Catalan translation

M	po/ca.po

commit 4858fa70f45e55efd9360188240c44b36324a5bf
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2011-02-28

    Updated Gujarati Translations

M	po/gu.po

commit 79a739010432b89dd26e43c9604314e5bdd9534a
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-02-26

    Updated Korean translation

M	po/ko.po

commit 5f69a9524784b10b912916eaf2775b59523188d9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-02-21

    updated for version 2.91.90

M	NEWS
M	configure.ac

commit 764c95811826baffdb98aca709f784549ce669a9
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-02-20

    Updated Spanish translation

M	help/es/es.po

commit 6d0a655e6b1937466208e6c8ec753434640168c4
Author: Runa Bhattacharjee <runab@redhat.com>
Date:	2011-02-18

    Updated Bengali India Translation

M	po/bn_IN.po

commit d7cdc5f618bbc4d4592fc7c34ecfd2aed7f129c9
Author: Xandru Armesto <xandru@softastur.org>
Date:	2011-02-15

    Updated Asturian translation

M	po/ast.po

commit 8d9678500e1bc90c12fc8920761888a2d5f2c857
Author: Peter Mráz <etkinator@gmail.com>
Date:	2011-02-11

    Updated Slovak translation

M	po/sk.po

commit f08945a652ae1365ad6bbc5e3dcc8709031b5faf
Author: Saleem Abdulrasool <compnerd@compnerd.org>
Date:	2011-02-08

    clean up get_mime_type_from_magic_number

    - remove hardcoded size of buffer, opting for sizeof
    - remove unnecessary NULL terminator in array, opting for G_N_ELEMENTS
    - rearrange magic id struct members for more clarity (make it more
    table-like)
    - constify the magic id table
    - add a check to ensure that the id string does not run over the
    buffer
    - fix length for 7z compressed magic

M	src/fr-archive.c

commit f6ba67e830c1b7e6250eb63243d0ccd705c00efc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-02-11

    show in the summary whether libmagic will be used

M	configure.ac

commit 7b23961d200e3545af3815a8eb40d6d31757024f
Author: Saleem Abdulrasool <compnerd@compnerd.org>
Date:	2011-01-02

    add support for magic based identification of files

M	configure.ac
M	src/Makefile.am
M	src/fr-archive.c

commit 28436ba1c76541e29d930c3ee8e29805ac09259c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-02-11

    zip: fixed -- position for the extraction command, added for list
    and test

    [bug #639664]

M	src/fr-command-zip.c

commit 75bcf3b7768c3c1c2294348613aeb423b68bde40
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-02-11

    set enable_nautilus_actions to yes by default

M	configure.ac

commit c39706715f351dc76733cfc3c27a9c6c32582133
Author: Saleem Abdulrasool <compnerd@compnerd.org>
Date:	2011-01-02

    simplify run-in-place check

M	configure.ac

commit 6caa0e1a2a90fcd97f24bca277076f7985d25f6b
Author: Saleem Abdulrasool <compnerd@compnerd.org>
Date:	2011-01-02

    simplify the nautilus-extension check

    This was simply checking the version manually.  The plugin can be
    disabled by
    passing the --disable-nautilus-plugin option rather than implicitly
    building it
    it if nautilus is present.

M	configure.ac

commit 50b7a996c9d46f8a407544472690a6ddb9a4f089
Author: Saleem Abdulrasool <compnerd@compnerd.org>
Date:	2011-01-02

    check for pkg-config before actually using it

M	configure.ac

commit 040ff66aa7a980832d7f65e451d768a3eeedf5b4
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-02-04

    Updated Arabic translation

M	po/ar.po

commit a9e8fe45fe09e1ad997162bb5ab7660a36e41ca5
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-01-31

    updated for version 2.91.6

M	NEWS
M	configure.ac

commit a551524f80bb83b18fda2a8143b674e037c7ebb0
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-01-27

    Updated Basque language

M	po/eu.po

commit a3ff2d0b0ecc1700b2ea3342e7775ac461f1c92d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-27

    QA of Galician translations

M	po/gl.po

commit cede782ec85345429afed73f85f1005ba84e4323
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-27

    QA of Galician translations

M	po/gl.po

commit e1c5fc2406735527be5dbd51c7f4f1adcdf2fcee
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-01-23

    Updated Russian translation

M	po/ru.po

commit 9a4b62e4da0c13247a12093016d2b35fd5e06dd6
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-01-20

    Updated Russian translation

M	po/ru.po

commit dec15d92fefe759b57efd150a09dbe59785c73ed
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:	2011-01-17

    Updated Greek translation

M	po/el.po

commit db930e241d450a068e25a9cecb175ea96f787375
Author: Dmitri Bachtin <d.bachtin@gmail.com>
Date:	2011-01-17

    fixed error when creating zip archives with files starting with
    an hyphen

    [bug #639664]

M	src/fr-command-zip.c

commit 1a31dc3abbe42dcee6de79495bca0af1d69991cc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-01-15

    added focus stealing prevention code

    [bug #318108]

M	src/fr-window.c

commit 9bbc3d29278615a60a533e59c20ae26f51fc4eba
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-01-15

    Updated Slovenian translation

M	po/sl.po

commit 0f263a16bf16578c716499c32478300816370f0e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-01-12

    Updated Norwegian bokmål translation

M	po/nb.po

commit f1a53d14d680b75616eeb062bd4821f343b9ccb6
Author: Torstein Adolf Winterseth <kvikende@fsfe.org>
Date:	2011-01-11

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit a853764077bfed3e9ec0a4ba53600dab7615eea3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-01-10

    updated for version 2.91.5

M	NEWS
M	configure.ac

commit 9714c3a6a2c49f09d4c753b2573baf55aa3d6b9f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-01-10

    removed open-with.ui from POTFILES.in

M	po/POTFILES.in

commit 5a62707f7776aa88110f6c51b84189635deafe67
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-01-10

    do not set the selected app as the system default

M	src/fr-window.c

commit d13a515c819c68051cd7788814dca7645d899511
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-01-10

    Use the Gtk+ app chooser dialog for the "Open With" command

M	data/ui/Makefile.am
D	data/ui/open-with.ui
M	src/dlg-open-with.c

commit c7e5f06da277de03b42baf030fd8fb68ca9736b2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2011-01-10

    fixed memory leak

M	src/file-utils.c

commit c0b55d5b34843eb79e425596001e8a51be1aa7b2
Author: Andika Triwidada <andika@gmail.com>
Date:	2011-01-10

    Updated Indonesian translation

M	po/id.po

commit 1948390e4d1eb74e8be64e507d280e35cb2027ee
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-05

    [l10n] Updated Estonian translation

M	po/et.po

commit a70503d07f46ac619513706c0368b76254187d39
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-01-05

    Updated Hebrew translation.

M	po/he.po

commit fa4845b408df2738f89c695f37709b5012758596
Author: Nguyen Vu Hung <vuhung16plus@gmail.com>
Date:	2011-01-03

    Updated Vietnamese translation

M	po/vi.po

commit 2c078f76b254866c40d5e6d6484a515a2bc20b9b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-01-03

    po/vi.po: import from Damned Lies

M	po/vi.po

commit 6e8568117561da5b3fcd29e6c96d615708fec7fb
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-01-02

    Updated Norwegian bokmål translation from Torstein Adolf Winterseth

M	po/nb.po

commit 95cedb64302ac858dc98e61ed967acac02972b1b
Author: A S Alam <aalam@users.sf.net>
Date:	2011-01-02

    update for Punjabi Translaiton

M	po/pa.po

commit 50524baf49e6e292c53b55417ebb444deef6e2d2
Author: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
Date:	2011-01-01

    [l10n] Updated German translation

M	po/de.po

commit 5390227d8796be699082fe1e3d4c678ccce8c22a
Author: Mattias Põldaru <mahfiaz gmail com>
Date:	2010-12-31

    [l10n] Updated Estonian translation

M	po/et.po

commit af46b5811ad53b1337f68d97a660962467ef1c12
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-12-29

    Update Czech translation by Marek Cernocky

    Reviewed by Petr Kovar.

M	po/cs.po

commit 55a8df4a1bd34b1afb6a5fa69d3b45f994a87e50
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-12-28

    Updated Slovenian translation

M	po/sl.po

commit 6873f338ef224478c76ecba5f88c925c1e098ccb
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-12-23

    Added UG translation

M	po/ug.po

commit efd38d623c5eb423fed930493d0450cf5f3e217e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-12-23

    updated for version 2.91.4

M	NEWS
M	configure.ac

commit 80a09b1aa54efc4c69baacabd07bc89816df0b98
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-12-22

    updated smclient from libegg

M	copy-n-paste/eggdesktopfile.c
M	copy-n-paste/eggdesktopfile.h
M	copy-n-paste/eggsmclient-private.h
M	copy-n-paste/eggsmclient-xsmp.c
M	copy-n-paste/eggsmclient.c

commit 5d663d35d4cef27860d5976579f97982632825f6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-12-20

    updated for version 2.91.3

M	NEWS
M	configure.ac

commit b4e09080273885fe21f545932c79d5f7fcc44ca4
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-12-20

    [l10n] Updated Estonian translation

M	po/et.po

commit 765a4029662cf963957073ade84b2a27105d071a
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2010-12-20

    Updates to Kazakh translation

M	po/kk.po

commit e438ca7bb37380f615c229432be940bf6114c37b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2010-12-12

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 73272ef6e224b7ef24ec32f3991c6a2494399b4a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-12-11

    Updated Slovenian translation

M	po/sl.po

commit 6479b5c20edd91b941836a41970c12366f4264a5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-12-06

    Updated Norwegian bokmål translation

M	po/nb.po

commit 1399b9a84b0d4f4a5015066b0d7cec7e048d59dc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-30

    Fixed GetSupportedTypes method name

    [bug #636125]

M	src/server.c
M	src/test-server.c

commit 4078d1a9e5ddae3357302791432fc61d82ff37e4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-29

    fixed distribution of D-Bus service files

M	data/Makefile.am

commit 58c55b06f30014326f27bdf94c406ceee0897731
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-29

    updated POTFILES.in

M	po/POTFILES.in

commit fa52b574f7467a3d9d50a69bfcd04b45a5636a8a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-29

    updated for version 2.91.2

M	NEWS
M	configure.ac

commit ace4f31c586641fcf7ad1de165cd7f27b5a371c1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-29

    D-Bus service: added GetSupportedTypes method

M	src/server.c
M	src/test-server.c

commit f8ea0424e10d682ad2f99a3ae95cd5b01221eace
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-29

    fixed some compiler warngins.

M	src/fr-command-lrzip.c
M	src/fr-init.c
M	src/fr-window.c
M	src/gtk-utils.c

commit 47257c9a71076fc4d90b2e7f25846b34b3a877ea
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-11-29

    [l10n] Updated Estonian translation

M	po/et.po

commit f998fd8e33a08d686a1071db87d21f4a83963d99
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-28

    Added a D-BUS service to create and extract archives.

M	data/Makefile.am
A	data/org.gnome.FileRoller.service.in
M	src/Makefile.am
M	src/actions.c
M	src/dlg-batch-add.c
M	src/dlg-extract.c
M	src/dlg-new.c
M	src/dlg-open-with.c
M	src/dlg-package-installer.c
M	src/dlg-update.c
M	src/file-utils.c
M	src/fr-archive.c
M	src/fr-error.c
C069	src/main.c	src/fr-init.c
R063	src/main.h	src/fr-init.h
M	src/fr-marshal.list
M	src/fr-window.c
M	src/fr-window.h
M	src/main.c
M	src/preferences.c
A	src/server.c
A	src/test-server.c

commit 99b9748e241c323ac51992b8f8bc3abf828b52ba
Author: Aron Xu <aronxu@gnome.org>
Date:	2010-11-23

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit f4027872d562e703e144780c36d2bbbc441b9fa0
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2010-11-21

    Updated Tamil translation

M	po/ta.po

commit 504ea8435357ebcc42bb32bd26f77a6e2f4273fe
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-11-20

    Updated Norwegian bokmål translation

M	po/nb.po

commit 033715ba88607d108c61cca28f447bf1733d6316
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-20

    Added UG translation

M	po/ug.po

commit 907031da6baf55bebac6b5865b7603c1f722f648
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-18

    7z: changed the compression level options

    normal compression : from "-mx=5" to "-mx=7"
    maximum compression: from "-mx=7" to "-mx=9 -m0=lzma2"

    [bug #635083]

M	src/fr-command-7z.c

commit 4921e33d1856fd73f0ca995455a82f03a6b72737
Author: Robert Ancell <robert.ancell@canonical.com>
Date:	2010-11-16

    Can't use both IT_PROG_INTLTOOL and AM_GNU_GETTEXT

M	configure.ac

commit 538382b3a182a463617d70ec4499624bf7e7a9ba
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-13

    Added UG translation

M	po/ug.po

commit 6790308e9bc38b5cbbf34d92cb3208fee68ea494
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-11-13

    Updated Galician translations

M	po/gl.po

commit 4e967bddb08f238e18d6ec852181c927b4b754eb
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:	2010-11-11

    Updatin Persian Translation

M	po/fa.po

commit 8018117939dadd8f0f9e31c00a9d702154e72156
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-11-11

    [l10n] Updated Estonian translation

M	po/et.po

commit a85a7d20b456c64a09a15c1d40a3a4bf211780bb
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-11-10

    [l10n] Updated Estonian translation

M	po/et.po

commit f5e7c239b2d1a71cd805e32f1ddb8b447e7b5865
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-11-09

    Use gtk_paned_new() instead gtk_[h|v]paned_new()

M	src/fr-window.c

commit 65ddaadd110c9ec38f9d22268a734811b8dc6c89
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-11-09

    Updated Spanish translation

M	po/es.po

commit 559b4fd09ba9ca5e3b74f4080f7824f3bb7709ae
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-09

    file-roller does not build without packagekit

    [bug #634356]

M	src/dlg-package-installer.c

commit cbdf155125fa29df19482e04cf533d998b76327e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-08

    updated for version 2.91.1

D	ChangeLog
M	NEWS
M	configure.ac
M	src/commands/Makefile.am

commit 302684c1627d80e6228893c9fd1e306b632e7eac
Author: Marcelo Odir <marceloodir@gmail.com>
Date:	2010-11-08

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 27ec1b379e0cfbc504bb6ddbb7bb5aa961d3e099
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-11-03

    Updated Spanish translation

M	po/es.po

commit fe7389e0f9542385719af77d44214205da1269a7
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-11-03

    Updated Hebrew translation.

M	po/he.po

commit a279c344f8897c998a09d8573eae0e216603e787
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-11-03

    [l10n] Updated Estonian translation

M	po/et.po

commit 04b4a4e40d15fd97445f81849b04afcd13686c68
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-02

    Specify the Internet site instead of the FSF address.

M	src/actions.c
M	src/actions.h
M	src/commands/rpm2cpio.c
M	src/dlg-add-files.c
M	src/dlg-add-files.h
M	src/dlg-add-folder.c
M	src/dlg-add-folder.h
M	src/dlg-ask-password.c
M	src/dlg-ask-password.h
M	src/dlg-batch-add.c
M	src/dlg-batch-add.h
M	src/dlg-delete.c
M	src/dlg-delete.h
M	src/dlg-extract.c
M	src/dlg-extract.h
M	src/dlg-new.c
M	src/dlg-new.h
M	src/dlg-open-with.c
M	src/dlg-open-with.h
M	src/dlg-package-installer.c
M	src/dlg-package-installer.h
M	src/dlg-password.c
M	src/dlg-password.h
M	src/dlg-prop.c
M	src/dlg-prop.h
M	src/dlg-update.c
M	src/dlg-update.h
M	src/file-data.c
M	src/file-data.h
M	src/file-utils.c
M	src/file-utils.h
M	src/fr-archive.c
M	src/fr-archive.h
M	src/fr-command-7z.c
M	src/fr-command-7z.h
M	src/fr-command-ace.c
M	src/fr-command-ace.h
M	src/fr-command-alz.c
M	src/fr-command-alz.h
M	src/fr-command-ar.c
M	src/fr-command-ar.h
M	src/fr-command-arj.c
M	src/fr-command-arj.h
M	src/fr-command-cfile.c
M	src/fr-command-cfile.h
M	src/fr-command-cpio.c
M	src/fr-command-cpio.h
M	src/fr-command-dpkg.c
M	src/fr-command-dpkg.h
M	src/fr-command-iso.c
M	src/fr-command-iso.h
M	src/fr-command-jar.c
M	src/fr-command-jar.h
M	src/fr-command-lha.c
M	src/fr-command-lha.h
M	src/fr-command-rar.c
M	src/fr-command-rar.h
M	src/fr-command-rpm.c
M	src/fr-command-rpm.h
M	src/fr-command-tar.c
M	src/fr-command-tar.h
M	src/fr-command-unstuff.c
M	src/fr-command-unstuff.h
M	src/fr-command-zip.c
M	src/fr-command-zip.h
M	src/fr-command-zoo.c
M	src/fr-command-zoo.h
M	src/fr-command.c
M	src/fr-command.h
M	src/fr-error.c
M	src/fr-error.h
M	src/fr-list-model.c
M	src/fr-list-model.h
M	src/fr-process.c
M	src/fr-process.h
M	src/fr-stock.c
M	src/fr-stock.h
M	src/fr-window.c
M	src/fr-window.h
M	src/gio-utils.c
M	src/gio-utils.h
M	src/glib-utils.c
M	src/glib-utils.h
M	src/gtk-utils.c
M	src/gtk-utils.h
M	src/java-utils.c
M	src/java-utils.h
M	src/main.c
M	src/main.h
M	src/mkdtemp.h
M	src/open-file.c
M	src/open-file.h
M	src/preferences.c
M	src/preferences.h
M	src/typedefs.h
M	src/ui.h

commit 74317101929ebdd365a0d9cc95f9b95f2730effd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-02

    use the license-type property in the about dialog.

M	src/actions.c

commit 063ed9fabdd06cb349dc998b77d5fe92caf3bb0a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-02

    added .gschema.xml.in files to the list of translatable files

M	po/update-potfiles.sh

commit acef059845a85432650b11c032644a5debeb1adf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-02

    added other files to ignore

M	Makefile.am

commit 6632139c64451575a076a51fe05bb1eb43af3899
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-02

    some changes to the gschema file

    Allow to translate the summary and description fields;
    Changed the schema names to follow the standard style;
    Added a .convert file for automatic data convertion from GConf.

M	data/Makefile.am
A	data/file-roller.convert
A	data/org.gnome.FileRoller.gschema.xml.in
D	data/org.gnome.file-roller.gschema.xml
M	po/POTFILES.in
M	src/fr-window.c
M	src/preferences.h

commit 32bbf1c1eec75447cbcedf385e740d96fd9c0174
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-11-02

    Updated Spanish translation

M	po/es.po

commit 02e93b44321f6c9bdad5af1a0d4d9251b8456242
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-01

    do not expand the extra widget in the 'new' dialog

M	src/dlg-new.c

commit f64af642c6e51ae01fae6d6f958ac757854d48de
Author: Jason Crain <jason@aquaticape.us>
Date:	2010-08-02

    adds Windows Imaging Format (.wim, .swm) support

M	data/file-roller.desktop.in.in
M	file-roller.spec.in
M	nautilus/nautilus-fileroller.c
M	src/fr-command-7z.c
M	src/main.c

commit 82ab7cefc04a1313acf77cb8662fc1e32ccc0a52
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-01

    use the provided action instead of always using CREATE_NEW_ARCHIVE

M	src/dlg-package-installer.c

commit c5327ee4b7dda98a455c1e60f0488f5bf7a6df92
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-01

    fixed file list visility.

M	src/fr-window.c

commit 7fd220a834f16b260da8f5ddc1250c43b9dbefd8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-01

    use g_get_user_config_dir instead of using .gnome2

    ...and provide an automatic migration mechanism.

    [bug #522812]

M	src/dlg-add-folder.c
M	src/file-utils.c
M	src/file-utils.h
M	src/main.c
M	src/typedefs.h

commit 7ab015e3b96b0b8df33dd30d54216ee202a1c5e9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-01

    fixed thel macro name

M	src/fr-archive.h

commit f1bd23eff7b7a8b7c23bceb6390274de52dfabd7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-01

    don't use gtk_widget_hide_all

M	src/fr-window.c

commit f0cadcb012c7393aafb056a01260f997ee23e93a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-01

    renamed some variables to make the code clearer

M	src/main.c

commit 07adf7834ff4fef315c5b3b09684144baa050acf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-01

    fixed a compiler warning

M	copy-n-paste/Makefile.am

commit 15e6a380af9e76655ed9b5d8dd9ea50373b04b2d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-11-01

    Use upstream gettext instead of the glib one

M	configure.ac

commit 972f002b59ed7b21568e4cec34294ecaa46f8034
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2010-10-24

    Updated Danish translation

M	po/da.po

commit f1c4e0284840cb384de8ff71fe18d9c54f433483
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-10-21

    handle combo box text api going away

    it is being replaced by GtkComboBoxText in GTK3

    [bug #632643]

M	src/dlg-batch-add.c

commit 825692380e555220205a9b3fb115487c01a82581
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-10-21

    replace gtk_statusbar_set_has_resize_grip

    ...with gtk_window_set_has_resize_grip

    [bug #632696]

M	src/fr-window.c

commit 5e193eb050a8dea745040f1a359932d819849492
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-10-21

    Added UG translation

M	po/ug.po

commit 1634f1bcfad9352ba4f41316e05b1de1038f85dd
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-10-20

    [help] Fix XML validity of French translation

M	help/fr/fr.po

commit f8e781771d845eb5c55f39fa4ed5b4c9ac1e77d1
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-14

    Added sl for Slovenian translation

M	help/Makefile.am

commit a8156831d0e082a8e3a6dd9b6a53add3bbbce803
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-14

    Added Slovenian translation

A	help/sl/sl.po

commit 77e9b777042c557c961f058ecab2691a4fd19a62
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-10-06

    Fixed crash when clicking Cancel in Add Files

    [bug #631472]

M	src/dlg-add-files.c

commit 762a045f61bd7283c913865345f1b3e5aabe1432
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-10-04

    updated for version 2.91.0

M	NEWS

commit bbbe6c4b136b04581f00d959447ea8e87e3ba8e4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-10-04

    updated version number

M	configure.ac

commit 245271bfd9c959e3bbc913eec8e291746cdc221c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-10-04

    don't use gdk_drawable_get_size

M	src/fr-window.c

commit 360487b59f232fe3d84a0338f700632a3301069f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-10-04

    require gtk+ 3.0

M	Makefile.am
M	configure.ac
D	src/commands/Makefile.in

commit 7806c99c72deebb193c7c5e2d640d09452a4ab7d
Author: Maciej Piechotka <uzytkownik2@gmail.com>
Date:	2010-09-20

    Remove use of dialog separator

M	src/fr-window.c
M	src/gtk-utils.c

commit d26ac5d9f01808dd49ede4be27e5a3842d4acc0b
Author: Maciej Piechotka <uzytkownik2@gmail.com>
Date:	2010-09-20

    Change GDK_keyname to GDK_KEY_keyname

M	src/fr-window.c

commit 47e548f06fec7a5cd84d5b0bc1a520700d2ed985
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-10-03

    fixed compiler warning

M	src/file-utils.c

commit fa4876c08a5b7a8eea8f355860b856df9f8e09d6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-09-14

    package installer: don't display an error message if the user
    cancelled the operation

M	src/dlg-package-installer.c

commit 98cc6db6a903d4ccf5639a4067e3803787a1580e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-07-11

    Ported to GSettings (again)

M	configure.ac
M	data/Makefile.am
M	data/file-roller.schemas
A	data/org.gnome.file-roller.gschema.xml
M	src/Makefile.am
M	src/actions.c
A	src/commands/Makefile.in
M	src/dlg-add-files.c
M	src/dlg-add-folder.c
M	src/dlg-batch-add.c
M	src/dlg-extract.c
M	src/dlg-new.c
M	src/dlg-open-with.c
M	src/dlg-password.c
M	src/dlg-update.c
M	src/file-utils.c
M	src/fr-archive.c
M	src/fr-window.c
M	src/fr-window.h
D	src/gconf-utils.c
D	src/gconf-utils.h
M	src/glib-utils.c
M	src/glib-utils.h
M	src/main.c
M	src/preferences.c
M	src/preferences.h
M	src/typedefs.h

commit 8f38b7e20fe15830e0513d6b7dfe0f5312bee0f6
Author: Peter Mráz <etkinator@gmail.com>
Date:	2010-10-04

    Updated Slovak translation

M	po/sk.po

commit 1071ad8f60e2de1f69377fa07277999f3047f5dd
Author: ifelix <ifelix@redhat.com>
Date:	2010-10-01

    Tamil Translation updated

M	po/ta.po

commit eab2dca8f225c772c5d15c870203cd0f9fb87fea
Author: ifelix <ifelix@redhat.com>
Date:	2010-10-01

    Tamil Translation updated

M	po/ta.po

commit a438995a352511d59bb4276e520656ba84bf3385
Author: Gil Forcada <gforcada@gnome.org>
Date:	2010-09-27

    Updated Catalan translation

M	po/ca.po

commit 2549f572f6d0a3796ead4c77565906e73ab870bb
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2010-09-28

    Updated Lithuanian translation.

M	po/lt.po

commit 527c85afb0c484abb9250d62b8611c99ae4c173a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-09-27

    updated for version 2.32.0

M	NEWS
M	configure.ac

commit 0fd4060a5c5bda587b436dd585fe477189b685b3
Author: Yuri Myasoedov <ymyasoedov@src.gnome.org>
Date:	2010-09-26

    Updated Russian translation

M	po/ru.po

commit f42c4063613c89c2c260fa1a9ac00241b1cd9eff
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2010-09-26

    Updated Korean translation

M	po/ko.po

commit 880e2fa08ff13974f0e9e571a314671919bf84c4
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-09-24

    Updated Basque language

M	po/eu.po

commit e762ef8a37d3bb5824a5ea8279ae03f00578c7a3
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-09-24

    Updated Basque language

M	po/eu.po

commit 9aefdc27972c79077fa7be806316db7cab8b7bca
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2010-09-24

    Updated Japanese translation

M	help/ja/ja.po
M	po/ja.po

commit bce5caa4d25bfcd8598393955f961524aaa42e08
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2010-09-20

    Updated Japanese translation

M	po/ja.po

commit a4f1054699a27a212ce267aa00e9716afe0d50d0
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2010-09-19

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit 260d39412977809fbda43d9e06706d34191ecc09
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2010-09-18

    [l10n] Updated Italian translation live from DUCC Perugia

M	po/it.po

commit acedb6bc49e4adcb33f4f1d410988774966ca1dc
Author: Baris Cicek <baris@teamforce.name.tr>
Date:	2010-09-17

    Updated Turkish translation

M	po/tr.po

commit fc260dd3e41a08d0c50a11307e053364dada4014
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-09-14

    Fixed call to the package installer

    Fixed the parameters format and removed the use of the timeout.

    [bug #629604]
    [note: freeze break approved by the release team]

M	src/dlg-package-installer.c

commit c6db957fd4fb29096944e6cbe31a8e94db8bba07
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2010-09-15

    Updated Kazakh translation

M	po/kk.po

commit a47fdc5783d02b56c6c7001958f07c8b56e8798f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-09-13

    updated for version 2.31.92

M	NEWS
M	configure.ac

commit 3b92ee67f27a23a2c7b274eb5f89cbaf143bb7e7
Author: Munsch <pmunsch@orika.fr>
Date:	2010-09-13

    bad file names (truncated) in iso images

    in iso files
    some last char of long file names are truncated.
    because of undocumented priority of "Joliet" over "Rock Ridge"
    in isoinfo

    [bug #550946]

M	src/sh/isoinfo.sh

commit 784c029c9a0962128740454b9d5aa30dc10da379
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2010-09-07

    Updated Polish translation

M	po/pl.po

commit 1b921ef591843c3990b7dffce789dd21298a13c9
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2010-09-05

    Updated Portuguese translation

M	po/pt.po

commit d096d86ffaca7a71b25fb1f284efddfc608b2a7c
Author: Antonio Fernandes C. Neto <fernandes@pelivre.org>
Date:	2010-09-04

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e0ba1c026bba7e0165d95ff8fc72a195b0dc92f6
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-09-03

    fixed update of files in .tar.xz archives

    [bug #628717]

M	src/fr-command-tar.c

commit 32e3e12d87a990c9a701b68fad675001a02bbf34
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:	2010-08-31

    l10n: Updated Greek translation for file-roller

M	po/el.po

commit 7c0292b7831d6eedbd47f60c94d1dc79e0f753f8
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2010-09-01

    Updated Indonesian translation

M	po/id.po

commit 537d738ebbd8f73f4f8c4241c1c64999e6691b39
Author: Pablo Castellano <pablog@src.gnome.org>
Date:	2010-08-31

    Fix some memleaks

M	src/file-utils.c
M	src/java-utils.c

commit 241f3220ba95082cdc38c3bcd0e655cdbff3fd9d
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2010-08-31

    Updated British English translation

M	po/en_GB.po

commit 0d05eb42b0e2bb09d4cc07c5a168ac43fda32464
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-31

    Fixed project description

M	file-roller.doap

commit 26cb26e8089c070642fd3df877f45de8116f279a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-30

    updated for version 2.31.91

M	NEWS
M	configure.ac

commit b39b199a58a9e464720f610736f811ca59ef10fb
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-08-28

    Updated Hungarian translation

M	po/hu.po

commit 8b88a76a66294611d536415988a6f4d70d5d9342
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-26

    7zip: do not allow to specify a password if only 7zr is installed

    The 7zr command does not support encryption.

    [bug #618908]

M	src/fr-command-7z.c

commit 0fd2638893557d47b4e3b34c505f966bfd471fdc
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-26

    fixed extraction of cpio archives with absolute paths

    [bug #558023]

M	src/fr-archive.c
M	src/fr-command-cpio.c

commit 855e7c7df053a815dd8e2198b1d11f9fde2bb7e7
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2010-08-24

    Updated Danish translation

M	po/da.po

commit 96ac8e078743eca5b0d7af921d11e8a629a8a99a
Author: Alexander Shopov <ash@contact.bg>
Date:	2010-08-24

    Updated Bulgarian translation

M	po/bg.po

commit 0ff21141e0fa8445634c76220b88fa34e6d644d3
Author: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Date:	2010-08-23

    Added Japanese translation.

M	help/Makefile.am
A	help/ja/figures/file-roller_home.png
A	help/ja/figures/file-roller_leftarrow.png
A	help/ja/figures/file-roller_main_window.png
A	help/ja/figures/file-roller_rightarrow.png
A	help/ja/figures/file-roller_uparrow.png
A	help/ja/ja.po

commit 9cba65b9445205f1344d985562117e773ec81bc2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-23

    use always the the message in the update dialog

M	src/dlg-update.c

commit f49569ee6bed1867174c32d6291b3d5fff244592
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-23

    changed the string used in the update dialog

M	src/dlg-update.c

commit 1b5e566eb462c323cc916f81c9eff2009db5142c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-23

    fixed a compilation error

M	src/fr-window.c

commit 7d1d98d7688903350aad252ad89df4efb6ce39ec
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-23

    removed debug code

M	src/dlg-new.c

commit 74e8b2d78519d90a06ee1ab01a70106724db7e04
Author: Kiyotaka NISHIBORI <ml.nishibori.kiyotaka@gmail.com>
Date:	2010-08-23

    Unexpected msgstr appears in update dialog

    When Plural Forms definition in .po file is "Plural-Forms:
    nplurals=1; plural=0;\n" (e.g. ja.po), unexpected string appears
    on update dialog after one file in an archive has changed.

    [bug #627387]

M	data/ui/update.ui
M	src/dlg-update.c

commit bb4a9870addfe93729983f12bd273470980c2e38
Author: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Date:	2010-08-22

    Updated Japanese translation.

M	po/ja.po

commit 2962d7452c0d81d36db6df218b1420ad6ba83512
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-08-19

    Updated Arabic translation

M	po/ar.po

commit e14cc3fb8a1878e562519200dc04a9c205940c25
Author: Милош Поповић <gpopac@gmail.com>
Date:	2010-08-18

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 4eab8670695483bee0b56f9dd5e2f2c5ae580845
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-16

    updated for version 2.31.90

M	NEWS
M	configure.ac

commit 661dd48a13cbff06133e5cd92afa75161c520d54
Author: A S Alam <aalam@users.sf.net>
Date:	2010-08-17

    update translation for Punjabi

M	po/pa.po

commit 2d97cd696f46c79b3fdded70985cbe8e649f0b6a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-14

    Revert "Ported to GSettings"

    Use GConf for version 2.32.

M	configure.ac
M	data/Makefile.am
M	data/file-roller.schemas
D	data/org.gnome.file-roller.gschema.xml
M	src/Makefile.am
M	src/actions.c
M	src/dlg-add-files.c
M	src/dlg-add-folder.c
M	src/dlg-batch-add.c
M	src/dlg-extract.c
M	src/dlg-new.c
M	src/dlg-open-with.c
M	src/dlg-password.c
M	src/dlg-update.c
M	src/file-utils.c
M	src/fr-archive.c
M	src/fr-window.c
M	src/fr-window.h
A	src/gconf-utils.c
A	src/gconf-utils.h
M	src/glib-utils.c
M	src/glib-utils.h
M	src/main.c
M	src/preferences.c
M	src/preferences.h
M	src/typedefs.h

commit c09adae51a8c8f523efcbe8d3ba3caab1e0c03cb
Author: Aron Xu <aronxu@gnome.org>
Date:	2010-08-14

    Fix zh_CN translation of comic book.

M	help/zh_CN/zh_CN.po
M	po/zh_CN.po

commit abcf2d0d3550bce6a1f174bcee0c7e92ee621251
Author: Adrian Guniš <andygun696@gmail.com>
Date:	2010-08-13

    Updated Czech translation

M	po/cs.po

commit 058159059b90aa5583b6895cc4070c242a2c60b3
Author: Sahran <sahran@live.com>
Date:	2010-08-11

    Added UG translation

M	po/LINGUAS
A	po/ug.po

commit 46c490bc6976e7702eefde85fd7ea10e86444cb1
Author: Andika Triwidada <andika@gmail.com>
Date:	2010-08-09

    Updated Indonesian translation

M	po/id.po

commit bbe0e67687a7244e3cb99ab4bda23da3e7dbc5a1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-02

    updated for version 2.31.5

M	NEWS
M	configure.ac

commit 0a0a94f5c35455d447e8acde8f36f749b0641aba
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-02

    added a missing new line

M	src/fr-archive.c

commit d2b7d612ab449b26d84ad860f2b028b5e4ce0fb0
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-02

    the click_policy setting returns an integer instead of a string

M	src/fr-window.c

commit 3ca9ad6a5b2b5151af3aaffde84d3698890655d3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-02

    fixed archive display name in the update dialog

M	src/dlg-update.c

commit 23c4cf9e9e8103d2dc017a03545422119a346d31
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-08-02

    g_list_items_async: fixed uri decoding

M	src/gio-utils.c

commit d5b79365d0cd26aa1dce0129a145586fc98ba669
Author: Runa Bhattacharjee <runab@redhat.com>
Date:	2010-07-30

    Updated Bengali India Translation

M	po/bn_IN.po

commit 4bfeb81606356cc748ee98ac30a83354bf83491c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-07-29

    Updated Slovenian translation

M	po/sl.po

commit 7a0145cc677ddb842821fc473664d8a262bcd493
Author: drtv <vasudeven@git.gnome.org>
Date:	2010-07-27

    Updated Tamil translation

M	po/ta.po

commit 64b3ac5674fe1c09435d9790f284cc56235bf14d
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-07-26

    Updated Swedish translation

M	po/sv.po

commit 00cce3a7a552d84d3e6ca81392fd0c684385462e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-07-26

    fixed the click policy setting

M	src/fr-window.c
M	src/preferences.h

commit dc81af13caceb066ae5cfab6c90cb1f3d011eb1f
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2010-07-22

    Updated Marathi Translations

M	po/mr.po

commit aba0f9dca608407b41ecfc31fa0f6b1ae26d665b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2010-07-20

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 23468ec0cb0be3686bdba83bc43b40ed572f4331
Author: Teliute <teliute@163.com>
Date:	2010-07-20

    Complete Simplified Chinese help translation.

M	help/zh_CN/zh_CN.po

commit e54419afffb19c8c6fc63bba91d1714ac1e5188d
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-07-19

    Updated French translation

M	po/fr.po

commit b7d4c74257685f150d7aab026f70e1c47e5dcfa3
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-07-18

    [i18n] Updated German translation

M	po/de.po

commit 8f416d60cd8ec41d6b192771fd6d2e7008ad3f7f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-07-18

    Fixed headers in galician translation file

M	po/gl.po

commit 2de5e565baed82f8af755ef96cff1671f6d5a1de
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-07-18

    Updated Spanish translation

M	po/es.po

commit 320e9b04e6991a84e875c6bf3ad64dfd0ceecf63
Author: Sense Hofstede <qense@ubuntu.com>
Date:	2010-07-18

    Updated Frisian translation and added it to the LINGUAS file

M	po/LINGUAS
A	po/fy.po

commit 9c3cb8031746c0af5868f2c5de929c6aef7dd83d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-07-16

    Make it possible to build against GTK+ 3

    Based on the patch by Frédéric Péters.  Removed the gconf check
    as well.

    [bug #624564]

M	configure.ac

commit c7ee8ee04e6dce3dcdedeaa0ec68efffe3b317ec
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-07-15

    make it compile again with GSEAL and *DEPRECATED* macros enabled

    and removed .gitignore from the git repository because it's
    generated automatically

D	.gitignore
M	configure.ac
M	nautilus/Makefile.am
M	src/Makefile.am
M	src/fr-window.c

commit 304f985f51a9128f290feaeef0cdad00c7ab3610
Author: Aron Xu <aronxu@gnome.org>
Date:	2010-07-13

    Update credit information.

M	po/zh_CN.po

commit 99b5cc9115f52c3d1cf7a151cd9f4db0ec3c3a2d
Author: Aron Xu <aronxu@gnome.org>
Date:	2010-07-13

    Complete Simplified Chinese translation.

M	po/zh_CN.po

commit dad5728440a4ae9ce6aa776e9b9acceb7ed60c39
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-07-13

    Updated Norwegian bokmål translation

M	po/nb.po

commit cf0174ef2850057c7ef292e6e457ad3b19d619bf
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2010-07-13

    Updated Kazakh translation

M	po/kk.po

commit a2880e7c82fbfcc28f2197af338f0d0d197fd876
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-07-13

    Updated Hebrew translation.

M	po/he.po

commit f513575fb33b815ddf03d4574768b159ddf6e829
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-07-13

    Updated Hebrew translation.

M	po/he.po

commit 431e3c8c5b27494d826c184ccfcfb19cef05cb2f
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-07-13

    Updated Hebrew translation.

M	po/he.po

commit 9ffb0497d753472390cc08a508bd175ae450f6f6
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-07-13

    Updated Galician translations

M	po/gl.po

commit 955ad709b0c007a7cdb96664425dc10ebf04d819
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-07-12

    updated for version 2.31.4

M	NEWS
M	configure.ac

commit 008df0ab383ff4c06dcf7cff2395c47311fa62d3
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2010-07-12

    Added Kazakh translation for file-roller

M	po/kk.po

commit abe55019d429ecc991d5925fea4281aa477fc227
Author: Priit Laes <plaes@plaes.org>
Date:	2010-07-12

    [l10n] Updated Estonian translation

M	po/et.po

commit bcae5273d96f67c46b9ba75230f56bd65003a991
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-07-12

    [l10n] Updated Estonian translation

M	po/et.po

commit 86e92b143854f42305f5a478d7703fded472b239
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-07-11

    Updated Norwegian bokmål translation

M	po/nb.po

commit e459e4aa101114276b4a5a734bd3115c7443c165
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-07-11

    updated POTFILES.in

M	po/POTFILES.in

commit e808bf428ef95227af309fc908573688065d7424
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-07-11

    Fixed a series of l18n bugs

    Added comments for translators; added context to some strings;
    added ellipses to some menu commands; renamed the File menu to
    Archive.

    Bugs fixed: 611220 611226 611356 611332 611357 611359 611360
    611361 611365 611366 611367 611368 611369 611370 611371
    611372 611375 611376 611380 611381 611392 614521

M	copy-n-paste/eggdesktopfile.c
M	data/ui/batch-add-files.ui
M	data/ui/update.ui
M	nautilus/nautilus-fileroller.c
M	src/dlg-add-files.c
M	src/dlg-new.c
M	src/dlg-prop.c
M	src/dlg-update.c
M	src/fr-command-tar.c
M	src/fr-window.c
M	src/ui.h

commit ca80221f6e15177b4d5b88d9e2aaea08a992dcbe
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-07-11

    removed a Makefile.in file

D	src/commands/Makefile.in

commit 1343cfef5527bb1e88a164078cf4c82871e291b4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-07-11

    Ported to GSettings

    The port basically works, there are only two remaining issues:

    1) at start-up time two critical messages are printed when trying to
    set a value but I couldn't find out why, the message is the following:
    g_source_get_context: assertion `!SOURCE_DESTROYED (source)' failed

    2) The Nautilus port to GSettings is required in order to connect
    to the
    correct "single click policy" key.

M	configure.ac
M	data/Makefile.am
M	data/file-roller.schemas
A	data/org.gnome.file-roller.gschema.xml
M	src/Makefile.am
M	src/actions.c
A	src/commands/Makefile.in
M	src/dlg-add-files.c
M	src/dlg-add-folder.c
M	src/dlg-batch-add.c
M	src/dlg-extract.c
M	src/dlg-new.c
M	src/dlg-open-with.c
M	src/dlg-password.c
M	src/dlg-update.c
M	src/file-utils.c
M	src/fr-archive.c
M	src/fr-window.c
M	src/fr-window.h
D	src/gconf-utils.c
D	src/gconf-utils.h
M	src/glib-utils.c
M	src/glib-utils.h
M	src/main.c
M	src/preferences.c
M	src/preferences.h
M	src/typedefs.h

commit c97485911cd6a7ceef606695aa606063682075b7
Author: Dominique Leuenberger <dominique-gnomezilla@leuenberger.net>
Date:	2010-07-08

    fix a void return statement

M	src/eggtreemultidnd.c

commit a11fb9423171754648773779a9fbfb1dbaad3cef
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-07-06

    escape new lines in filenames when saving the file list to a file

M	src/fr-archive.c

commit 1f67652249852a08c071e7cc4e639d35c6274390
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-07-02

    Migrate from dbus-glib to glib's GDBus

    [bug #622900]

M	configure.ac
M	src/Makefile.am
M	src/dlg-package-installer.c

commit b32b792e82c30067e09dd8627d68efe25477f3cd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-06-28

    updated for version 2.31.3

M	NEWS
M	configure.ac

commit b397668eaaeb8a201b058b1ebf8ca125a3789626
Author: Gil Forcada <gforcada@gnome.org>
Date:	2010-06-26

    Updated Catalan translation

M	help/ca/ca.po

commit d8b5da117b14b2abbaa726a772b62d00c2f25c54
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-06-25

    [rar] fixed seg fault when there is an extra info line in the output

M	src/fr-command-rar.c

commit cd8b3dadfa9a1e51f20bbd19b9ce6aef60d58381
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:	2010-06-20

    Add Esperanto translation

M	po/LINGUAS

commit 7afac61a4fa051abde7d559f9c16034886eefba1
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:	2010-06-20

    Add Esperanto translation

A	po/eo.po

commit ee4626f94c0162b76a435f913aaf7de7c44f417d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-06-13

    Updated Galician translations

M	po/gl.po

commit 213d487da1e3fdb9be695c6b507a463c49656b4d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-06-10

    fixed wrong cast to GtkDialog

M	src/fr-window.c

commit a36e13942b9e57bfe5f35a00e6dcb0f0f5124fbb
Author: Josselin Mouette <joss@malsain.org>
Date:	2010-06-10

    Use dpkg-deb to view and extract .deb files

    Currently file-roller can open .deb files using ar and tar, but it
    has two
    important drawbacks:
     - It requires binutils installed, which is not the case on standard
    installations.
     - It only shows the ar archive, which is not really useful,
     and should
    directly show the full contents instead.

    Therefore it would be really nice if file-roller could use the
    dpkg-deb command
    (which is always here on Debian systems) to view and extract .deb
    files
    (creating is also possible this way, but not really useful).

    [bug #576436]

M	src/Makefile.am
A	src/fr-command-dpkg.c
A	src/fr-command-dpkg.h
M	src/main.c

commit eb412abe1ff92827dca5ca1d0b7e18099cfe9746
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-06-08

    updated for version 2.31.2

M	NEWS
M	configure.ac

commit 30c78519234c0d7cf03c7372788fa34774becace
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-06-01

    improved the "encrypt header" button usability

    always keep the "encrypt header" button clickable even when the
    password field is void.

    [bug #620172]

M	src/dlg-batch-add.c
M	src/dlg-new.c
M	src/fr-window.c

commit d07a96eed9bd0e4103ef64307428b95c853ed23f
Author: Alan Monfort <alan.monfort@free.fr>
Date:	2010-05-31

    Updated Breton translation

M	po/br.po

commit 92653ac6895c0ef9e0588bc497ec65a573a67e0b
Author: fqj1994 <fqj1994@gmail.com>
Date:	2010-05-30

    Update Simplified Chinese translations.

M	po/zh_CN.po

commit 6cf51a08ffc7200ad7d70007d61702ab0a9f522c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-05-27

    Updated Hebrew translation.

M	po/he.po

commit 2a9ed9bbb534c569e0d492d2237ae02878a73deb
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-05-26

    Estonian translation updated

M	po/et.po

commit 1b53f2218d8cd7c980448333859c66fc022d701a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-05-25

    updated for version 2.31.1

M	NEWS
M	configure.ac

commit 87cbb6c1afd1d60db77687b2cda214ec02c36a66
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-05-24

    Updated Norwegian bokmål translation

M	po/nb.po

commit 4cadc972e4d577126c704849296a667b0337f6e1
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-05-16

    Updated Galician translations

M	po/gl.po

commit 476f3a37817cec8a62500326db32204b41ef87f0
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-05-16

    Updated Galician translations

M	po/gl.po

commit 33c21fc3647af32de5a9c9d49e33765a526910f5
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2010-05-12

    Bring back support for file caching when gvfs-fuse-daemon is not
    available

    The commit 73fa5d77a60861cd35c6f3425d27c88061af081c introduced trouble
    when user was trying to work with archives on remote GIO mounts and
    not having the fuse daemon running. This led to segfaults and error
    messages.

    Please see bug #617769 for details.

M	src/fr-archive.c
M	src/fr-archive.h
M	src/fr-window.c
M	src/gio-utils.c
M	src/gio-utils.h

commit 45d49a9c66529c7ffabbabdac5335b09ee7bb789
Author: Thomas Thurman <tthurman@gnome.org>
Date:	2010-05-12

    Updated Shavian transliteration

M	po/en@shaw.po

commit 9ccb8067a2acc9a0b0a15b925196f179f8541a6c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-05-07

    Updated Slovenian translation

M	po/sl.po

commit e1fe661156920c96bae149689bf8415c1376b6a7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-05-06

    Fixed crashes when trying to create a tar.z7 archive

    due to a missing sentinel in a varargs call.

    [bug #617840]

M	src/fr-command-tar.c
M	src/fr-process.h

commit a2df69dbe430343b30bd1005ba72a683e7e5cf91
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-05-04

    Updated Galician translation

M	po/gl.po

commit a0b62af96ad056bece693b7598c7f0281d7d24df
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-05-04

    fixed wrong mime type for lrzip compressed tars

M	src/fr-command-tar.c

commit 13b01abf4555ccf72026729e6d4dc6e5213bbd0d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-05-03

    Updated Spanish translation

M	po/es.po

commit 5abe0f5a5cb69eca36490ab711d041c00f033bb2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-05-03

    added lrzip mime types to .desktop and README files

M	README
M	data/file-roller.desktop.in.in
M	data/packages.match

commit 06e49377828e8a95fcb0650e0a8ae386205167ae
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-05-03

    added support for lrzip compressed tar archives

M	src/fr-command-tar.c
M	src/main.c

commit 94b9b2838babcc038e81b5e11f07a9aa3d265e90
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-05-03

    [lrzip] fixed the add command

M	src/fr-command-lrzip.c

commit 79198a51c0359546ddb31f8418ec2f2605640f85
Author: Alexander Saprykin <xelfium@gmail.com>
Date:	2010-05-03

    Added lrzip archives support

M	src/Makefile.am
M	src/fr-archive.c
A	src/fr-command-lrzip.c
A	src/fr-command-lrzip.h
M	src/main.c

commit 6b1e42971bba71644685d4395ab198db6728decd
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-05-03

    changed version number to 2.31.0

M	configure.ac

commit 28ed7c3c862f346a13949ff7f96e4886391783fa
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-05-03

    fixed minor style issues

M	src/fr-window.c
M	src/gtk-utils.c

commit e40c8078703c30c27877cf0d9ab63d8b48858998
Author: Andre Klapper <a9016009@gmx.de>
Date:	2010-04-23

    Compile with -DGSEAL_ENABLE. Fixes bug 612470.

M	src/fr-window.c
M	src/gtk-utils.c

commit d0ab65641fc4a11d0694a3e775c207c5fa52d069
Author: Andre Klapper <a9016009@gmx.de>
Date:	2010-03-11

    Use accessor functions instead of direct access. Partial fix for
    bug 612470.

M	configure.ac
M	src/dlg-add-folder.c
M	src/dlg-ask-password.c
M	src/dlg-delete.c
M	src/dlg-extract.c
M	src/dlg-password.c
M	src/eggfileformatchooser.c
M	src/fr-window.c

commit 9bd82ed6b2c47a5329efabb78aa55068582a01c1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-04-27

    updated for version 2.30.1.1

M	NEWS
M	configure.ac

commit 7d4c57ff5255fd35a6c6fa4a74d68acb5f5ec3ca
Author: Takao Fujiwara <tfujiwar@redhat.com>
Date:	2010-03-24

    Extract multi-byte filename from URI in case of DND.

    [bug #613298]

M	src/fr-command-tar.c
M	src/fr-window.c

commit 29c9d2b1b226929dfe6991351f7e4df1abbb0d00
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-04-26

    updated for verson 2.30.1

M	NEWS
M	configure.ac

commit 246bd0f5fd688404af6af86ab74537c007e17279
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:	2010-04-25

    Updated Latvian translation.

M	po/lv.po

commit 67d6cc8e8e78e1362d7302cad5da40f87a334540
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:	2010-04-25

    Updated Latvian translation.

M	po/lv.po

commit dcc204b5dfd4113b6490aa0fa39e0796a11e667c
Author: Andika Triwidada <andika@gmail.com>
Date:	2010-04-24

    Updated Indonesian translation

M	po/id.po

commit 55d10f1152640458af488e69721901ed9776d615
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2010-04-21

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit d8e2500f752b865a404c1d0d0c04d8d605ff8aa9
Author: Yannig Marchegay <yannig@marchegay.org>
Date:	2010-04-14

    Occitan translation update

M	po/oc.po

commit 73697d78c9b9557da4ddb45662fdc9d02b735f92
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2010-04-13

    Updated Thai translation.

M	po/th.po

commit ee88883ad2c3298d4a0a374895b131022a69faa1
Author: Runa Bhattacharjee <runab@redhat.com>
Date:	2010-04-13

    Typo corrections

M	po/bn_IN.po

commit c52133b453f69d103ca708c9244096fe6ab26b72
Author: Josselin Mouette <joss@malsain.org>
Date:	2010-04-08

    Uses dbus-glib but doesn't check for it

    dlg-package-installer.c unconditionally includes dbus/dbus-glib.h,
    but configure.ac only checks for dbus-glib-1 if packagekit support
    is requested. It should check for it always, to avoid build failures.

    [bug #615127]

M	src/dlg-package-installer.c

commit c8d375e1d07406b8c8b9cde48b9f4b6c2dad044a
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-04-08

    Revert "Uses dbus-glib but doesn't check for it"

    Wrong author in the commit.
    This reverts commit eb72724883731cb965c97e4bc307ec3efc57a379.

M	src/dlg-package-installer.c

commit eb72724883731cb965c97e4bc307ec3efc57a379
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:	2010-04-08

    Uses dbus-glib but doesn't check for it

    dlg-package-installer.c unconditionally includes dbus/dbus-glib.h,
    but configure.ac only checks for dbus-glib-1 if packagekit support
    is requested. It should check for it always, to avoid build failures.

    [bug #615127]

M	src/dlg-package-installer.c

commit 17498a1f4b041f0773569f73d24dccb2ee6c9d7c
Author: Edward Sheldrake <ejs1920@yahoo.co.uk>
Date:	2010-04-03

    progressbar in statusbar missing with gtk+ 2.20

M	src/fr-window.c

commit 83d87d45487cf4dd81d5f1875bf4a7c0d744398f
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2010-03-30

    Dutch translation updated by Wouter Bolsterlee

M	po/nl.po

commit 3951c9e6f5d9c38de8d19f9a524dc83363c20e3d
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2010-03-30

    Updated Japanese translation.

M	po/ja.po

commit 1602f42392512a5ff1fb3ede43e9b44be19a71ba
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-03-29

    updated for version 2.30.0

M	NEWS
M	configure.ac

commit fd4f7f54850505e52fd14d35c9f0975bf97aa9ec
Author: Jonh Wendell <jwendell@gnome.org>
Date:	2010-03-29

    Given credits to pt_BR translator Antonio Fernandes

M	po/pt_BR.po

commit 12d089ac0450a20a49d705a5c746ec7484befcb9
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2010-03-28

    Updated Danish translation

M	po/da.po

commit 06a81a57daac663b5af49549c5028a429c6b5e9f
Author: Nikos Bakaoukas <nikolaosx1@gmail.com>
Date:	2010-03-27

    Updated Greek translation for file-roller

M	po/el.po

commit 30a607d6465b36b6d2c3e1e1dd92bbf6dda9910e
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:	2010-03-27

    Updated Bengali translation

M	po/bn.po

commit d99d02b24059d0fef062788f5a981e4674c12297
Author: A S Alam <aalam@users.sf.net>
Date:	2010-03-27

    complete Translation for Punjabi by A S Alam

M	po/pa.po

commit b2e9aaba89273ada5b977d6c2c8ec078aca57b97
Author: Žygimantas Beručka <zygis@gnome.org>
Date:	2010-03-27

    Updated Lithuanian translation

M	po/lt.po

commit 6bc1bfe8a599bf9ed0b1dd7e19f184397c8dc906
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2010-03-26

    Updated Ukrainian translation

M	po/uk.po

commit 2aa3aa718c30a085de712366709d41cab6e00fa6
Author: Marios Zindilis <m.zindilis@dmajor.org>
Date:	2010-03-25

    Updated Greek translation for file-roller documentation

M	help/el/el.po

commit 1ceb2c840f89a2c8fd7725c7ee5c66d414408651
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:	2010-03-22

    Updated Serbian translations

M	po/sr.po
M	po/sr@latin.po

commit 28ae9197daf687c04dc0cccaceced9f40ac5ed4a
Author: Clytie <pearl@clytie-siddalls-macbook-pro.local>
Date:	2010-03-22

    Updated Vietnamese translation

M	po/vi.po

commit aa7a15af69954cc0b5c76fbf1d7f0e6c84f5328e
Author: Davide Falagna <davide.falagna@alice.it>
Date:	2010-03-18

    Updated Italian translation

M	po/it.po

commit a621deaeca8cc800d744b4e6de24891524c0e324
Author: Tommi Vainikainen <thv@iki.fi>
Date:	2010-03-18

    Updated Finnish translation

M	po/fi.po

commit 3a932316510e3ca68296f58e24c44f6cf1c14239
Author: Leonid Kanter <leon@asplinux.ru>
Date:	2010-03-16

    Update Russian translation from Alexander Saprykin

M	po/ru.po

commit d6be1bbdfb77b4863434d5ddd5bcedf819c8ed1e
Author: Torstein Adolf Winterseth <kvikende@fsfe.org>
Date:	2010-03-13

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit 7c9ef531930dd16dca23d4d3ff5921827fc02d23
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2010-03-13

    Updated Korean translation

M	po/ko.po

commit 1b1a6813659a733e0c3f7e368aac715481de13be
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-03-12

    removed multipart/x-zip from .desktop file

    [bug #612677]

M	data/file-roller.desktop.in.in

commit 229d4d3eb0931ce7bc40f727ca74020123d7c0e2
Author: Gil Forcada <gforcada@gnome.org>
Date:	2010-03-10

    Updated Catalan translation

M	po/ca.po

commit c9dd2dd09aa42da53f76de6ef7f8f67c5beb7454
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-03-09

    updated for version 2.29.92

M	NEWS
M	configure.ac

commit 247909efc54953da18bd3b1bf0ea739bca05d785
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-03-05

    Updated Hungarian translation

M	po/hu.po

commit f17030f4775e28436a630b352f32d3b3b4cfad5f
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-03-02

    Updated Basque language

M	po/eu.po

commit e5d9f4af841f19e29e61809a2040de544148ea19
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2010-03-02

    Updated Portuguese translation

M	po/pt.po

commit f549d01378b33233791e736e6ab02d1870308dfb
Author: Peter Mráz <etkinator@gmail.com>
Date:	2010-03-01

    Updated Slovak translation

M	po/sk.po

commit 666dd384b6385df4e197f7dd1e9c0f24ac4c716b
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-02-24

    Updated Arabic translation

M	po/ar.po

commit 930bccd4e87d534d3e5c1dbe990bcf8bb90374df
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:	2010-02-24

    Updated British English translation

M	po/en_GB.po

commit bafaa20168640f002582bf2319924930ad0b5bd4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-02-24

    set a watch cursor while installing the missing packages

M	src/dlg-package-installer.c

commit b8bd2fbeb876f80cc76ecc08fa429311f06cce17
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-02-23

    Allow to start the PackageKit service if it's not available

    Removed the call to NameHashOwner.

    [bug #610813]

M	src/dlg-package-installer.c

commit 7fe16a8b5c6645ee7f40dc4740817c1344f055f1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-02-23

    removed the 1000 megabytes limit for the volume size

M	data/ui/batch-add-files.ui

commit 17e9b610f8ddfd2a1dee67d4ddbbf1066f36d2d7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-02-23

    Recheck commands presence after package installation.

    Clear the program cache before updating the capabilities.

    [bug #610815]

M	src/main.c

commit 69bef6d6382cb72deed17fef64522b3e867d71f9
Author: Alexander Shopov <ash@contact.bg>
Date:	2010-02-23

    Updated Bulgarian translation

M	po/bg.po

commit 22460431c9db273c5fc17fb6fb7f8c3db863aaf7
Author: Leonid Kanter <leon@asplinux.ru>
Date:	2010-02-23

    Updated Russian translation

M	po/ru.po

commit 5ffd776f10d2b3f15b5d9ef2d544f7ca0572949f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-02-22

    updated for version 2.29.91

M	NEWS
M	configure.ac

commit 2ed6e9cfe3a9a8575ce1a3c17728c406a38729fc
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-02-21

    Updated Swedish translation

M	po/sv.po

commit 49ea379a033c0fd61784a6ac59689d083758a402
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2010-02-21

    Updated Polish translation

M	po/pl.po

commit 60e7596f453951c894a9578cf0750c694efdcd58
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2010-02-20

    Updated Polish translation

M	po/pl.po

commit dd1c196638a4cea719b31a29d733951d192fe9dc
Author: vasudeven <agnihot3@gmail.com>
Date:	2010-02-18

    updated Tamil translation

M	po/ta.po

commit d5db489b97eafc4b56f8185f7f230bffc0f00840
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-02-16

    ensure that strcmp gets non-NULL values

    [bug #609449]

M	src/main.c

commit 9145d4e3af6a2f6795d9f20b52a2c9938ef86d1d
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:	2010-02-15

    Updated Galician Translation

M	po/gl.po

commit ba310d1cc7802d236701809c25d35ee41e7140ec
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2010-02-15

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit d1cbe219d347127c8fe3ed0dc4311248dbe01c8b
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2010-02-13

    Update Romanian translation

M	po/ro.po

commit abe909899b90b73ab9c1666428d2d154c4134364
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-02-12

    Updated Slovenian translation

M	po/sl.po

commit 1a75a9f88c9433943bbd8838ff5db34e181680c6
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-02-11

    Update Czech translation by Adrian Gunis

M	po/cs.po

commit a9f27260b857260ea77f7128bcdef72bcb87fd39
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-02-10

    Updated Norwegian bokmål translation

M	po/nb.po

commit cce33ca5a228519c37d0a131a7253076a98306f6
Author: Nathan-J. Hirschauer <nathanhirschauer@verfriemelt.org>
Date:	2010-02-10

    Updated German translation

M	po/de.po

commit 76b71a8e4956bc21ecc00d77c069650b3dda6a42
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-02-10

    Fix libm linking

    Otherwise we fail to link against libm:
    /usr/bin/ld: dlg-batch-add.o: undefined reference to symbol
    'floor@@GLIBC_2.2.5'
    /usr/bin/ld: note: 'floor@@GLIBC_2.2.5' is defined in DSO
    /lib64/libm.so.6 so try adding it to the linker command line
    /lib64/libm.so.6: could not read symbols: Invalid operation

    https://bugzilla.gnome.org/show_bug.cgi?id=609565

M	configure.ac

commit 9b0fffb151b35d49312ada9aa73aeb33897104da
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-02-08

    updated for version 2.29.90

M	NEWS
M	configure.ac

commit d430def206c890c0ea6318d2bcd5243167f59a88
Author: Antonio Fernandes C. Neto <fernandes@pelivre.org>
Date:	2010-02-08

    Updated Brazilian Portuguese Translation

M	po/pt_BR.po

commit 97e633b0c6358d2441e3ecbb8999934248711f9d
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2010-02-07

    Updated Thai translation.

M	po/th.po

commit 06be3acbf0fe5b2a46d3f7bd59cbba0fdddad51a
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-02-03

    Updating Estonian translation

M	po/et.po

commit 68b9a91a7e18c5b084ec00c640ad84788c28a084
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-02-02

    Updated French translation

M	po/fr.po

commit e795e12961f81fcffb6437a84f2e15e758ef1202
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-02-01

    Updated Spanish translation

M	po/es.po

commit bdd0406c35ae8ab785a124773744348d4d95e591
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2010-02-01

    String fixes

    Some minor string fixes: word ordering, "into" rather than "in",
    and en-dashes instead of ASCII ones.

M	data/ui/batch-add-files.ui
M	data/ui/new.ui
M	src/actions.c
M	src/fr-window.c
M	src/ui.h

commit 2b77342c0910ea7b37fab95c3271b9ab5aa32d7c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-01-31

    fixed some renaming issues

    [bug #608556]

M	src/fr-archive.c
M	src/fr-process.c
M	src/fr-window.c

commit 70bf1ea82ed73ccf7fead4edb83686b47107b223
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:	2010-01-27

    Updated Bengali translation

M	po/bn.po

commit 24c47c5c98b664f34a25ea8299a08b526ccacce8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-01-26

    updated for version 2.29.5

M	NEWS
M	configure.ac

commit 71aa65d1bbf93e0955310b8c7fe743e37d4c00a4
Author: Alexander Shopov <ash@contact.bg>
Date:	2010-01-25

    Updated Bulgarian translation

M	po/bg.po

commit 9621f289aae14b505d51dfbb981aecf8d36e9372
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-01-20

    Updated German translation

M	po/de.po

commit 6aee1d93c669cc1625eb5670de4fd815e26882b9
Author: vasudeven <agnihot3@gmail.com>
Date:	2010-01-20

    updated Tamil translation

M	po/ta.po

commit 24f7b55fa6d426f3df1910b09497ce7ce757a2ab
Author: Aron Xu <aronxu@gnome.org>
Date:	2010-01-17

    Update simplified Chinese translation.

M	po/zh_CN.po

commit 55c9e0f4ce442a927439d57148436748d5d32156
Author: M Zhang <mymzhang@gmail.com>
Date:	2010-01-17

    Add simplified Chinese help translation.

M	help/Makefile.am
A	help/zh_CN/zh_CN.po

commit e5cd42bc2fa40a439018d9edf82c6fe3d4385a45
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-01-16

    added silent rules

M	configure.ac
M	src/Makefile.am

commit 6614ba714db370b122d80eae9989e06006a0ae98
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-01-14

    Updated Arabic translation

M	po/ar.po

commit 29c8dad8e090cb9157abf074a5a13bbe837941ae
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-01-11

    updated for 2.29.4

M	NEWS
M	configure.ac

commit eafdf0513f2e2f9fa711c8eaf1c856cabb8b26c3
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-01-09

    Updated Swedish translation

M	po/sv.po

commit 91979ab5febd49109034af315781081b4eff3030
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2010-01-06

    [arj] fixed the way to get the filename from the command output

    [bug #606074]

M	src/fr-command-arj.c
M	src/fr-command-arj.h

commit ecc6c90c1784739dd83b6f5a109bee51c4e80e3f
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2010-01-05

    Update Ukrainian translation

M	po/uk.po

commit 5453dbf1f5dd3e0e74cf642b8062f3a94b4a1a13
Author: Kostas Papadimas <pkst@gnome.org>
Date:	2010-01-03

    Updated greek translation

M	po/el.po

commit 2d9c6b1e4252d9fb63b1782bbee7efb7a8c69864
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2009-12-29

    Updated Thai translation.

M	po/th.po

commit d482e927591ac17d14cb4594ffd08143329c485c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-12-23

    do not show the password dialog if not needed

    check only the files to extract to see if the password prompt
    is needed.

    [bug #605244]

M	src/fr-window.c

commit e2ec7628cba6de6ca6b09fe625d85bb44c047831
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-12-21

    updated for version 2.29.3

M	NEWS
M	configure.ac
M	src/dlg-package-installer.c

commit ed16ec0fdbe73e846869f12664b3ae899624d888
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-12-21

    use the original name if no alternative is given

M	src/dlg-package-installer.c

commit 5e15ec065a0d79efe8cc1038c2d970b5a2b5b32b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-12-21

    allow to specify different package names using a configuration file

    [bug #603757]

M	data/Makefile.am
A	data/packages.match
A	data/packages.match.in
A	data/update-packages-match
M	src/Makefile.am
M	src/dlg-package-installer.c
M	src/fr-command-7z.c
M	src/fr-command-ace.c
M	src/fr-command-alz.c
M	src/fr-command-ar.c
M	src/fr-command-arj.c
M	src/fr-command-cfile.c
M	src/fr-command-cpio.c
M	src/fr-command-iso.c
M	src/fr-command-jar.c
M	src/fr-command-lha.c
M	src/fr-command-rar.c
M	src/fr-command-rpm.c
M	src/fr-command-tar.c
M	src/fr-command-unstuff.c
M	src/fr-command-zip.c
M	src/fr-command-zoo.c
M	src/fr-command.h

commit a81a72af5f981b23e48b86251c72ea70531fce94
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-12-19

    use the zip format to create cbz files

M	src/fr-command-7z.c

commit eae8bb4a90534a0ee215faeeb0da43e6efaff673
Author: Adi Roiban <adi@roiban.ro>
Date:	2009-12-19

    Update Romanian translation

M	po/ro.po

commit f63016ba38109e6873b4db37cf1e4920f0cbe62c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2009-12-16

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 2d24790d89510ea2e7e5a824ab8a38f77eb08cda
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-12-15

    wrong use of gdk_property_get

    fr-window.c:get_xds_atom_value may return uninitialized memory
    if gdk_property_get fails.

    [bug #604535]

M	src/fr-window.c

commit b8b4d07952c72afe0e7f61ecf836404ad8caf5da
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-12-14

    use AES128 instead of AES256

    the 256-bit version is weaker than the 128-bit:
    http://www.schneier.com/blog/archives/2009/07/

M	src/fr-command-7z.c

commit 3e6367fb0e498746535bd72f72969eeb8d1ad8dd
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2009-12-13

    Updated Spanish translation

M	po/es.po

commit 6af807673bd9a247f5277b485d573d9c2d111aaa
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-12-10

    no need to escape the filepath as if it were a uri

    [bug #603083]

M	src/fr-window.c

commit 720de1d777f57998cf2588275b9e15b5e4129b94
Author: Matthew Hall <matt@castleinthesky.org>
Date:	2009-12-09

    Use AES256 as encryption type when creating zip files with 7zip

M	src/fr-command-7z.c

commit 7a8279b24d0d66bacc74ce19bf12827df5b1f162
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-12-08

    updated eggfileformatchooser

M	src/eggfileformatchooser.c

commit 57328e75bde17fb761c1a58bedf8cfcf02389010
Author: Yair Hershkovitz <yairhr@gmail.com>
Date:	2009-12-06

    Updated Hebrew translation

M	po/he.po

commit 356e08fabc4a9344accf305e80abc4955cdd7f5c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2009-12-05

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 247a8c3abd3b8bb0279bd2db21dfe7c17d7549ed
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2009-12-04

    Updated Slovenian translation

M	po/sl.po

commit da6e8df87de02bd331dd02da5577b51e4f470fe2
Author: Ivar Smolin <okul@linux.ee>
Date:	2009-12-02

    Updating Estonian translation

M	po/et.po

commit 7f9b3b55a28ae2c5c39913f6137064931406c381
Author: Bastien Nocera <hadess@hadess.net>
Date:	2009-12-01

    Fix dbus-glib-1 check in configure

    DBUS_CFLAGS and DBUS_LIBS were never set through AC_SUBST. Clean
    up the check using PKG_CHECK_MODULES instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=603492

M	configure.ac

commit c9ee2f439a7295441972f52c021f8eec90bcfdd8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-11-30

    updated for version 2.29.2

M	NEWS
M	configure.ac
M	po/POTFILES.in

commit 3bdb472aa52d3fa7af41e3efbfff8f8e21b37807
Author: Tao Wei <weitao1979@gmail.com>
Date:	2009-11-30

    Update Simplified Chinese translation

M	po/zh_CN.po

commit 6e8f95a6a8290a5aa1d049453a6a580a131ad6bf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-11-29

    use the eggfileformatchooser widget to select the file format

M	data/ui/new.ui
M	src/Makefile.am
M	src/actions.c
M	src/dlg-new.c
M	src/dlg-new.h
A	src/egg-macros.h
A	src/eggfileformatchooser.c
A	src/eggfileformatchooser.h
M	src/main.c

commit b78ea996cefd720bacbe421c010f82baac7dd7ef
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:	2009-11-28

    Updated LowGerman translation

A	po/nds.po

commit 68cbbd3efe7b8e3cfef0f0ecb9965796dc92fcc1
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:	2009-11-28

    Added LowGerman translation

M	po/LINGUAS

commit 34511fd63a3aea5da5862d83d83faddc2ce22646
Author: Ivar Smolin <okul@linux.ee>
Date:	2009-11-21

    Updating Estonian translation

M	po/et.po

commit ecbf319b1a0de8a9de18a4900d706e280c3e21fb
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2009-11-18

    Updated Slovenian translation

M	po/sl.po

commit 5d5f164dab0ad54c34189a42b9f65041acda8a04
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2009-11-17

    Updated Slovenian translation

M	po/sl.po

commit 9f9280bc7a14e32d43e8dadf80114ce6289156ff
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2009-11-17

    Updated Slovenian translation

M	po/sl.po

commit db8e64636816d7b5b34b6d054ce48306401a0f47
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2009-11-16

    Updated Spanish translation

M	po/es.po

commit 69059472d6990c0b2f305eadd5aa6f90c21d393c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-11-16

    updated POTFILES.in added the script to create it automatically

M	po/POTFILES.in
A	po/update-potfiles.sh

commit 7862cdf4b18139ef26aa122484ae4efdae846569
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-11-16

    updated for version 2.29.1

M	NEWS
M	configure.ac

commit d5ef789498251d9fbbe00d87af3154a479d837b4
Author: Thomas Thurman <tthurman@gnome.org>
Date:	2009-11-15

    Shavian translation

M	po/LINGUAS
A	po/en@shaw.po

commit 60414fd957027ad89a4556ff8be02cb826fd1278
Author: James <jamesm51@gmail.com>
Date:	2009-11-14

    4th and 5th mouse buttons navigate backward and forward in history

    [bug #326017]

M	src/fr-window.c

commit fcf515d1255f4fe53d4d65276bcf65acb9f4a379
Author: Daniel Nylander <po@danielnylander.se>
Date:	2009-11-08

    Updated Swedish translation

M	po/sv.po

commit a5fe432e612a2a88c6b325b368ff3ad0c0cbbf3c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-11-07

    do not overwrite if not requested

M	src/fr-archive.c

commit 8d06107ca9227787aecdf8d55bd3bf750ac2bde8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-11-07

    added --force flag

M	src/fr-archive.c

commit ca25652fbf1b3e16305c97cb076fb3bb4c8bb2d9
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-11-07

    use cp if the destination folder already exists

    we prefer mv instead of cp for performance reasons,
    but if the destination folder already exists mv
    doesn't work correctly.

    [bug #590027]

M	src/eggtreemultidnd.c
M	src/fr-archive.c

commit 244f770eafd5216c95399d52a7c86eac38bac711
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2009-11-05

    Updated Slovenian translation

M	po/sl.po

commit bd250d53648f6d10f5cbb17140fc213dea89553c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-31

    clear the store only when a view update is requested

    [bug #580624]

M	src/fr-window.c

commit 2de96b9ec36409bcfc2ea370eae66a2d1b6fdd92
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-30

    check whether the file type supports header encryption

    do use the header enprytion flags if the file type does not
    support it.

    [bug #600131]

M	src/fr-command-7z.c

commit b014dc8011a7be6d1e8be8c4ae12df3bcec768c4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-30

    remove the timeout when installing packages

M	src/dlg-package-installer.c

commit 5bbbcf712a61a087e75680e28718752400746329
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-10-30

    make sure there is only one handler for each mouse event

    [bug #590606]

M	src/eggtreemultidnd.c

commit 9b0b63fa8df2ea9ac0956ac0630ceadeee54e805
Author: Ivar Smolin <okul@linux.ee>
Date:	2009-10-28

    Updating Estonian translation

M	po/et.po

commit 3867875bc3549666dc6e766984f687e73bb41617
Author: drtvasudevan <agnihot3@gmail.com>
Date:	2009-10-27

    Updated Tamil translation

M	po/ta.po

commit 8d76214b30f738485bddc0f0404eb480db6b58a5
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2009-10-27

    Updated Spanish translation

M	po/es.po

commit 0d5f3548fdadc0cd9353c0295356640f218ced30
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-25

    fixed installer dialog

M	src/dlg-package-installer.c
M	src/file-utils.c
M	src/file-utils.h
M	src/fr-archive.c

commit fc2438093862dc89c1ca4c556d247efcc0492f19
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-25

    update the commands capabilities after installing a package

M	src/dlg-package-installer.c
M	src/main.c
M	src/main.h

commit 8d72d1c85da0d69d134da34e23f98b085428aa79
Author: Žygimantas Beručka <zygis@gnome.org>
Date:	2009-10-24

    Updated Lithuanian translation

M	po/lt.po

commit 53fb4e3ebc7f7f0137d7c03ec0bc7409d7419ba6
Merge: 2bf6f9f 389f251
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-23

    Merge branch 'packagekit'

commit 2bf6f9fe50985594f496ac8662c0d82279bc5528
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-23

    bumped version to 2.29.0

M	configure.ac

commit 389f251cfdd273bec4de61ec858e4f52e3aa04d8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-23

    implemented the get_packages method for all the commands

M	src/fr-command-7z.c
M	src/fr-command-ace.c
M	src/fr-command-alz.c
M	src/fr-command-ar.c
M	src/fr-command-arj.c
M	src/fr-command-cfile.c
M	src/fr-command-cpio.c
M	src/fr-command-iso.c
M	src/fr-command-jar.c
M	src/fr-command-lha.c
M	src/fr-command-rar.c
M	src/fr-command-rpm.c
M	src/fr-command-tar.c
M	src/fr-command-unstuff.c
M	src/fr-command-zip.c
M	src/fr-command-zoo.c

commit 62f4ffec73846823163b7755d2b233b60cb09cd7
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-23

    added interaction options

M	src/dlg-package-installer.c

commit e7fe13ab35956fe1c68c4e3fa35b9e3e2f155568
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-23

    allow to specify the required packages for each command

    added a get_packages method to FrCommand

M	src/dlg-package-installer.c
M	src/file-utils.c
M	src/file-utils.h
M	src/fr-command-7z.c
M	src/fr-command-ace.c
M	src/fr-command-alz.c
M	src/fr-command-ar.c
M	src/fr-command-arj.c
M	src/fr-command-cfile.c
M	src/fr-command-cpio.c
M	src/fr-command-iso.c
M	src/fr-command-jar.c
M	src/fr-command-lha.c
M	src/fr-command-rar.c
M	src/fr-command-rpm.c
M	src/fr-command-tar.c
M	src/fr-command-unstuff.c
M	src/fr-command-zip.c
M	src/fr-command-zoo.c
M	src/fr-command.c
M	src/fr-command.h
M	src/main.c
M	src/main.h
M	src/typedefs.h

commit e433938845985d9d8ff757020d8c89823285d194
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-22

    started packagekit support

M	configure.ac
M	src/Makefile.am
A	src/dlg-package-installer.c
A	src/dlg-package-installer.h
M	src/fr-archive.c
M	src/fr-window.c
M	src/typedefs.h

commit 3aca8c9ddc593785eca68430074ffc6b70998d34
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-10-19

    updated for version 2.28.1

M	NEWS
M	configure.ac

commit d4526d52d1476e299f7b141176d776b25bc5c826
Author: Leonid Kanter <leon@asplinux.ru>
Date:	2009-10-13

    Updated Russian translation

M	po/ru.po

commit 3358a883536f527bf552365b46dd2dd8b93749e5
Author: Leonid Kanter <leon@asplinux.ru>
Date:	2009-10-13

    Updated Russian translation

M	po/ru.po

commit bd4e03924c6faf177efc9f462f35744f78d1256e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-10-02

    respect the button-images setting

    [bug #597058]

M	src/gtk-utils.c

commit 247b942398d216bddd07e3e299db525faa12b504
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-09-22

    updated for version 2.28.0

M	NEWS
M	configure.ac

commit e082c6f6de7d14ea462dd62204db7c1b9ddf86de
Author: Amitakhya Phukan <aphukan@fedoraproject.org>
Date:	2009-09-21

    Updating Assamese translations

M	po/as.po

commit a5d3a8c8ee20138a3967eb3ad6078f1d312a3c2c
Author: Dumitru Mișu Moldovan <dumol@gnome.ro>
Date:	2009-09-20

    Updated Romanian translation

M	po/ro.po

commit 2ac62732450cc81848cbd3d723ea9e9f8fc1a05f
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-09-19

    Updated French manual translation

M	help/fr/fr.po

commit 4f4a9db5887edf55811456d450756522c2a2a465
Author: Gil Forcada <gforcada@gnome.org>
Date:	2009-09-19

    Updated Catalan translation

M	po/ca.po

commit 3dc7cc4aada6c9f8aee25868f9563ce089eae3e3
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2009-09-18

    Updated Italian translation

M	po/it.po

commit 02915bfa1271ee292c6ae2a71eb421ad84306123
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2009-09-16

    Added Ukrainian translation

M	po/uk.po

commit 1a71dcfcc1dd90ce14c21313f165dd376ccb2c14
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2009-09-16

    Updated Slovenian translation

M	po/sl.po

commit fefea4f5de5bfe1e0910d201a125a66129d5b0bf
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:	2009-09-16

    hindi update by Rajesh Ranjan

M	po/hi.po

commit 0f61c7a93ced09d27ff569405339091701b0280e
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2009-09-15

    Updated Lithuanian translation.

M	po/lt.po

commit 097212b03f8b434491886e44da1baa3a9751f741
Author: Gil Forcada <gforcada@gnome.org>
Date:	2009-09-14

    Minor fixes to Catalan translation

M	po/ca.po

commit 32f2827d1bf0ba9a88cdf749a56753ba7ec44958
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2009-09-14

    Added Catalan (Valencian) translation

M	po/LINGUAS
A	po/ca@valencia.po

commit ac8cd7995fbfc85b0c2f139ff2d264deb7cbd251
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-09-09

    no need to strip the password value

M	src/dlg-new.c

commit 07690b388a856ae495716e972c5f59a3d06c7ecf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-09-09

    no need to strip the password value

    [bug #589920]

M	src/dlg-batch-add.c

commit df2c37c262250cc086dced151fef7f0708d8a1e9
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2009-09-13

    Updated Danish translation

M	po/da.po

commit ed730c4bc15e7ede4267fb963e821d699577f3b1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2009-09-12

    Updated British English translation

M	po/en_GB.po

commit 27e278d06fa3e8a14f9f68c08dee61e1f524c914
Author: Ani <peter.ani@gmail.com>
Date:	2009-09-11

    Updated Malayalam Translations

M	po/ml.po

commit 13b341ec36a384b0edd9b2e390e522fee62099fb
Author: A S Alam <aalam@users.sf.net>
Date:	2009-09-11

    Updating Translation for Punjabi

M	po/pa.po

commit 573c08b9c2c89536d9574b1a72999eec5e12e45d
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2009-09-10

    Updated Telugu Translation

M	po/te.po

commit 858ad45027276c484e59ac18a12651bca1d8c5c1
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2009-09-09

    Updated Marathi Translations

M	po/mr.po

commit 1cad6d59018bd2ea97c11728ea7eef975d479565
Author: Denis ARNAUD <darnaud@src.gnome.org>
Date:	2009-09-09

    Updated breton translation

M	po/br.po

commit ccd595362148f990b866e05d79a5df47d400c78d
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:	2009-08-27

    Updated breton translation

M	po/br.po

commit a079c8c05ea3ea62507b6cffd626c0e7b2ed7422
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-09-07

    updated NEWS

M	NEWS

commit 1c7719717b6345a36ce08ccfd3769d6ef318b570
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-09-07

    updated for version 2.27.92

M	configure.ac

commit 490dca8397cdd4d3f16ef0ec39ea26826bc61a8f
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2009-09-06

    Hungarian translation updated

M	po/hu.po

commit 72c9b651a7e04e5b78e8ad6a5c11f5289b3abb23
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2009-09-01

    Updated Kannada(kn) translation

M	po/kn.po

commit bc3d6e93bc6eec9a479de4d477396275a939cd5f
Author: Runa Bhattacharjee <runab@redhat.com>
Date:	2009-08-31

    Updated Bengali India Translations

M	po/bn_IN.po

commit 0cac8ff2e3e97bd72825bc32ccecaa2d8a4cf349
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2009-08-31

    Updated Gujarati Translations

M	po/gu.po

commit b427e93bdc5c47504150f1b7a92209b6b1f4e90c
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:	2009-08-29

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 5ba6ff80677dd956028c5d3ff6eba013a82d6468
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-08-28

    Updated French translation

M	po/fr.po

commit 9cf3c1de59faa0d0062285e420161c02d58df1fc
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2009-08-28

    Updated Portuguese translation

M	po/pt.po

commit 6326e7f116d7cb917b779db7a7993e2a8e7bf17e
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:	2009-08-26

    Updated Oriya Translation

M	po/or.po

commit fcf84143515ea4b59c8f9cab4d6acadedd38e31d
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2009-08-25

    Updated Basque language

M	po/eu.po

commit a934871c789f97937b961fe9a437e3efa7503479
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-08-24

    updated for version 2.27.91

M	NEWS
M	configure.ac

commit e47a6cc3d7328be04b2da9fec5e6ea330e1bcc2b
Author: Jani Monoses <jani@ubuntu.com>
Date:	2009-08-24

    Romanian translation updated by Lucian Adrian Grijincu

M	po/ChangeLog
M	po/ro.po

commit 817b915bfc6b2595ca141dee9640944ecb1d878b
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-08-24

    Updated German translation

M	po/de.po

commit b2b0b686f7f17e448cb30bd7fbe17b0bd9c620de
Author: Javier Jardón <javierjc1982@gmail.com>
Date:	2009-07-29

    Remove GenericName in .desktop file (GnomeBug:590196)

M	data/file-roller.desktop.in.in

commit 22fe58e17dc94ef968ae41d74475c23cdb96f46c
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2009-08-23

    Update Korean translation

M	po/ko.po

commit 0f573879da31d13b0ffc35ada2f25263f6c0e201
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2009-08-22

    Updated Thai translation.

M	po/th.po

commit 33c1d1b872dda9f1e6e3f97618b1e2fd01edd171
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-08-22

    Fixed bug #591916

M	help/de/de.po

commit d1add2733abd991fe3fbcf2697cc001718e761bf
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2009-08-21

    Updated Arabic translation

M	po/ar.po

commit e6c5a813c277189401adf102128af5ad7b2fd30f
Author: Antón Méixome <meixome@mancomun.org>
Date:	2009-08-19

    Updated Galician Translation

M	po/gl.po

commit c6422a3f0a9ae376bafe6541b7dfbe41942e856b
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:	2009-08-19

    Updated Irish translation

M	po/ga.po

commit ff7e57e3bf6d61b76aff959bcf8acc769dc04988
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2009-08-18

    Updated Polish translation

M	po/pl.po

commit 0e86866fffe427bfd698366f714d43d501753dbb
Author: Alexander Shopov <ash@contact.bg>
Date:	2009-08-18

    Updated Bulgarian translation

M	po/bg.po

commit 7baa266aa0532cebdd08a362be6ac5f3da2fc1d8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-08-18

    7za doesn't support iso files

M	src/Makefile.am
M	src/fr-command-7z.c
M	src/fr-command-iso.c

commit 1e38c5df005ec2d54ac05b3028ab7c56a09ad082
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-08-17

    Fixed bug that prevented to add files with spaces

    Unescape the file uri where required

    [fixed bug #589920]

M	src/fr-archive.c
M	src/gio-utils.c

commit de7de5b1e37308e032a715360893d985ab11634c
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2009-08-16

    Updated Italian translation
     * Fixes part of bug 591923

M	help/it/it.po

commit 0ba75c9aec98a0b9cd28476660d94f59f6e89d3c
Author: William Jon McCann <william.jon.mccann@gmail.com>
Date:	2009-08-15

    Fixed opening of cab files

    [fixed bug #591868]

M	nautilus/nautilus-fileroller.c
M	src/fr-command-7z.c
M	src/main.c

commit 9f9e35c66b87d3e799c8452b20de435ab9106ee4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-08-10

    updated for 2.27.90

M	NEWS
M	configure.ac

commit 85333695c53bd17aa5114e5933466effa80817a3
Author: Petr Kovar <pknbe@volny.cz>
Date:	2009-08-10

    Updated Czech translation by Adrian Gunis

    Reviewed by: Petr Kovar.

M	po/cs.po

commit 09123346b65933c04debb1d33a48887b2452745f
Author: Antón Méixome <meixome@mancomun.org>
Date:	2009-08-10

    Updated Galician translation

M	po/gl.po

commit 23b420fa1f11a0af2dd9421c1a60a56263f7cffb
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-08-10

    check configure.ac instead of ChangeLog

    [fixed bug #591243]

M	autogen.sh

commit fdffca8808954467728d39f13466e97ff53e985d
Author: Bùi Xuân Dương <buixuanduong1983@gmail.com>
Date:	2009-08-09

    po/vi.po: Updated Vietnamese translation

M	po/vi.po

commit d07dc928c3b5be8b84e8c9889a34a77347923832
Author: Krix Apolinário <krixapolinario@gmail.com>
Date:	2009-08-06

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit c2a3c473919b3c12e6acc31cb424b22f0d94203a
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:	2009-08-04

    Updated breton translation

M	po/br.po

commit 699ffe3280e137422a06efc27f7bb8d2ccf22e34
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:	2009-08-03

    Updated breton translation

M	po/br.po

commit 7ad531891428d37a51b192d37c29d46dc82c59ec
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2009-08-03

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 47fb26b6e2c2be1511594395428ccd86c297b877
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-08-02

    Allow to archive files with spaces and other special characters

    [fixed bug #590468]

M	src/dlg-add-files.c
M	src/fr-window.c
M	src/fr-window.h

commit 570c30b09a1c7417e893a0f34ba522195f4d9975
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-31

    use a custom rpm2cpio to support different types of rpm payloads

    [fixes bug #590262]
    [fixes bug #574005]

M	configure.ac
M	src/Makefile.am
A	src/commands/Makefile.am
A	src/commands/rpm2cpio.c
M	src/fr-archive.c
M	src/fr-command-rpm.c
M	src/sh/Makefile.am

commit 38fc01e19616e7072ebc79294d93690c2065c1e0
Author: Daniel Nylander <po@danielnylander.se>
Date:	2009-07-29

    Updated Swedish translation

M	po/sv.po

commit 06f29258614506d177fea95d0439fce69c8da2b2
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-27

    updated for version 2.27.3

M	NEWS
M	configure.ac

commit 182e871587ba3f72bc3a9e876faa3fef6a1bb4d6
Author: Petr Kovar <pknbe@volny.cz>
Date:	2009-07-26

    Added Czech help translation by Marek Cernocky

M	help/Makefile.am
A	help/cs/cs.po
A	help/cs/figures/file-roller_home.png
A	help/cs/figures/file-roller_leftarrow.png
A	help/cs/figures/file-roller_main_window.png
A	help/cs/figures/file-roller_rightarrow.png
A	help/cs/figures/file-roller_uparrow.png

commit c272ae29769b052f27ded26ea2498402779077bb
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-07-26

    Updated German translation

M	help/de/de.po

commit 96e68a82c20743baef464fcb849d6853126373ec
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-26

    ask for the password as soon as possible

    if the archive is encrypted, ask the password before trying to
    extract the files.

    [fixed bug #392994]

M	src/fr-window.c

commit d8645fd9cc08843e35b70c588376b6d7d419e5a3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-26

    changed error logic

    an error occurs if the type is not FR_PROC_ERROR_NONE

M	src/fr-command-arj.c
M	src/fr-command-rar.c
M	src/fr-command-tar.c
M	src/fr-command-unstuff.c
M	src/fr-command-zip.c

commit 082d3eb99304516b752478b4de5459c744d00077
Author: Ivar Smolin <okul@linux.ee>
Date:	2009-07-19

    Updating Estonian translation

M	po/et.po

commit 48266e831d8c8df4f6cec9d8448f78d1f8cae08e
Author: Ilkka Tuohela <hile@iki.fi>
Date:	2009-07-19

    Updated Finnish translation

M	po/fi.po

commit db42a4562aca7c2e8012ce763ff85f0a358fdf76
Author: drtvasudevan <agnihot3@gmail.com>
Date:	2009-07-18

    Updated Tamil translation

M	po/ta.po

commit d0c59ef73d94d01b362244c6a6c11aa93150e15c
Author: Yair Hershkovitz <yairhr@gmail.com>
Date:	2009-07-18

    Updated Hebrew translation

M	po/he.po

commit 588790dd5603ccb87135bbe6da37408d0fe76001
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2009-07-18

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 21f3ad35a7d958ffc58b1231e23e38e187252f0a
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2009-07-18

    Updated Spanish translation

M	po/es.po

commit d3631e3a67817637d690ba1dbb92305a4b4877b3
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-17

    removed wrong whitespaces

M	src/fr-command-7z.c

commit d89fd64206be77a80f4c540b93a70e959486bb7e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-17

    removed debug instructions

M	src/fr-command-7z.c

commit 51dbccd1c58f1dfee80cfbd8efaeb24839e0857d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-17

    explicitly set the status to 255 when exited abnormally

M	src/fr-process.c

commit da7b5e5f147be107dd26012351e54a4c01ba9a41
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-16

    update the status even when exited abnormally

M	src/fr-process.c

commit ef23151cd1131af185a6011e740cdc746efc5b25
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-15

    ignore the error type

M	src/fr-command-7z.c

commit 981e38cb361e6d0b79268501c14f8a62f4fecaf4
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-15

    added debug instructions to fix bug #588547

M	src/fr-command-7z.c

commit 6429de3d50e759afd71c3557e39c83194e041cac
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-15

    Detach the child process from the tty.

    This avoids the child process from asking the password when
    file-roller is started from a terminal.

    [fixed bug #588547]

M	src/fr-process.c

commit 6f96643cb41eb9cd97e858b6f4be546897904838
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-13

    updated for version 2.27.2

M	NEWS
M	configure.ac

commit 73fa5d77a60861cd35c6f3425d27c88061af081c
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-13

    Do not copy remote files to a local folder, use gvfs directly.

M	src/actions.c
M	src/fr-archive.c
M	src/fr-archive.h
M	src/fr-command-tar.c
M	src/fr-command.c
M	src/fr-process.c
M	src/fr-window.c

commit 30c636a994375b6a50663540a0760addb492386b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-13

    Added a quit button to the extract dialog.

    This allow the user to quit the extract a file and quit the
    application with less clicks

    [bug #586014]

M	src/fr-window.c
M	src/ui.h

commit cb462def7615efb2827e6e6db4044165dd9e638e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-13

    Renamed the "Create Archive" command as "Compress"

    The Nautilus context menu command is now named "Compress..."
    instead of "Create Archive"; changed the dialog as well

    [bug #300655]

M	data/ui/batch-add-files.ui
M	nautilus/nautilus-fileroller.c

commit b13e25af69afd73f5bdb5a173a61c9667ad256b1
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-13

    Renamed the "Open Destination" button to "Show the Files"

    [fixes bug #587501]

M	src/fr-window.c

commit 1266b17a8f7ac1a7728fe620d27fc52c1bc14343
Author: Petr Kovar <pknbe@volny.cz>
Date:	2009-07-13

    Updated Czech translation by Adrian Gunis

M	po/cs.po

commit f9c1a3a527ba5e6df2f9226b6ee4558b3db6da13
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2009-07-09

    Updated Ukrainian translation

M	po/uk.po

commit 056c1cfe14a55d13f75486d403d8c1e2379a4994
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2009-07-04

    Updated Hebrew translation

M	po/he.po

commit 26b7697c92a607c893cbc4983ed3986fdb2d291d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-07-01

    do not distribute built sources.

    [fixed bug #587491]

M	src/Makefile.am

commit ed9161cdf608d2cf73caab7c3d5300f2c5138a43
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:	2009-06-21

    Updated Spanish translation

M	help/es/es.po

commit 2de6f796ed3a9ade587fc6ddf88d5d3d0eae42bb
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:	2009-06-21

    Updated Spanish translation

M	po/es.po

commit ff74dba37907e130e32327170dae236af61a838d
Author: Ivar Smolin <okul@linux.ee>
Date:	2009-06-19

    Updating Estonian translation

M	po/et.po

commit 7da0103030e38355f7d42a90213601745471b973
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-19

    set a label width to make the properties dialog a bit bigger

M	data/ui/properties.ui

commit fddff5cf73271a368e5e5ecc652da04bce6d8fb8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-19

    Auto-resize the property dialog to view the content correctly

    [fixed bug #586189]

M	data/ui/properties.ui

commit 1fddb06873cf36d55526ede237c57544b07c3ce4
Author: Daniel Nylander <po@danielnylander.se>
Date:	2009-06-16

    Updated Swedish translation

M	po/sv.po

commit 8fc5432d7313cb07bb15ac85331cadc7163c7382
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-16

    fixed mail format

M	file-roller.doap

commit c71b8b48493be087abd99dd6b283bd8027922702
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-15

    updated for version 2.27.1

M	NEWS
M	configure.ac

commit f76214b236e740c162e10d9152917aa37f64418d
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-15

    added a special case for encrypted multivolume 7z archives

    GNOME Bug #582712

M	src/actions.c
M	src/fr-command-7z.c
M	src/fr-command.c

commit ae00fbc0e64ccd26c88e9d73161abf3b2c5f8af8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-15

    reset the password after an error

M	src/fr-window.c

commit bffa2bb703eac0cf2335856513a6125885678b4f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-15

    removed unused libraries

M	file-roller.spec.in

commit 9e114d38be5a3483881691897bd0a243c29d975f
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-15

    use git.mk to auto-generate .gitignore files

    GNOME bug #584675

M	.gitignore
M	Makefile.am
M	copy-n-paste/Makefile.am
M	data/Makefile.am
M	data/icons/16x16/Makefile.am
M	data/icons/16x16/actions/Makefile.am
M	data/icons/16x16/apps/Makefile.am
M	data/icons/22x22/Makefile.am
M	data/icons/22x22/apps/Makefile.am
M	data/icons/24x24/Makefile.am
M	data/icons/24x24/actions/Makefile.am
M	data/icons/24x24/apps/Makefile.am
M	data/icons/32x32/Makefile.am
M	data/icons/32x32/apps/Makefile.am
M	data/icons/Makefile.am
M	data/icons/scalable/Makefile.am
M	data/icons/scalable/apps/Makefile.am
M	data/ui/Makefile.am
A	git.mk
M	help/C/Makefile.am
M	help/Makefile.am
M	nautilus/Makefile.am
M	src/Makefile.am
M	src/sh/Makefile.am

commit 6f4ee6a4727d47c20e5923888f2f446850146b5d
Author: Antonio Diaz <ant_diaz@teleline.es>
Date:	2009-06-15

    added support for lzip compression

    GNOME Bug #579467

M	README
M	data/file-roller.desktop.in.in
M	file-roller.spec.in
M	help/C/file-roller.xml
M	nautilus/nautilus-fileroller.c
M	src/fr-archive.c
M	src/fr-command-cfile.c
M	src/fr-command-tar.c
M	src/main.c

commit 2a0426bd008d4839d06b8e402cd0627028d4848c
Author: agc-tester <agc-tester@sun.com>
Date:	2009-06-15

    convert escaped ASCII-encoded URI to a local filename.

    GNOME bug #580070

M	src/dlg-add-folder.c

commit 060be4f28105a8142d34f6d968c29798ae8f6b57
Author: George Vlahavas <vlahavas@gmail.com>
Date:	2009-06-15

    added support for xz compressed archives

    GNOME bug #582237

M	data/file-roller.desktop.in.in
M	nautilus/nautilus-fileroller.c
M	src/fr-command-cfile.c
M	src/fr-command-tar.c
M	src/main.c

commit 0033d66cec7e7d3b4e628b79991088fca618f91b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-15

    changed --extract--here command line argument description

    GNOME bug #583863

M	src/main.c

commit ee627f14288ccc7759cf36ad93a6d00d5754e333
Author: Ivar Smolin <okul@linux.ee>
Date:	2009-06-09

    Updating Estonian translation

M	po/et.po

commit 7595e08981575207204d9b9ecc9424985eda1f07
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2009-06-09

    Added Kazakh translation

M	po/LINGUAS
A	po/kk.po

commit 2e52a343a1e606fd59f66566b3dd30353b796001
Author: Luis Medinas <lmedinas@gnome.org>
Date:	2009-06-04

    [PATCH] Replace SexyIconEntry by GtkEntry icon functionality

    Fixes bug #584810

M	src/Makefile.am
M	src/fr-window.c
D	src/sexy-icon-entry.c
D	src/sexy-icon-entry.h

commit a866816ac7aec43f5c3202a49eee401376237e41
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-04

    Bumped version number

M	configure.ac

commit cbe94855f04bff050a4ff2e33a4a79d5d37ca567
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-04

    Fixed bug #584718

    Do not add a file if the path is null.

M	src/fr-command-7z.c

commit d551e89ddf7fab9a57f3b857c6f8e6a855813f86
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-06-04

    Show an error dialog if the file couldn't be opened

    If an error occurred when opening the file with the default
    application, no error dialog was shown.

M	src/fr-window.c

commit cfa034db91815432433f478701cb2f9ece639c12
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2009-05-30

    Updated Danish translation

M	po/da.po

commit 04f38e3afcf7b0bcec6585dee5bd076bf58e5c62
Author: Marios Zindilis <m.zindilis@dmajor.org>
Date:	2009-05-09

    Updated Greek translation

M	help/el/el.po

commit ea4333129ee092400697966c82143f2bfc5e5d96
Author: Simos Xenitellis <simos@gnome.org>
Date:	2009-05-09

    Revert "Updated Greek translation"

    This reverts commit f0788cc29124ac2bf3623c9624ea7c74d237ae4e.
    I accidentaly committed the documentation.

M	po/el.po

commit f0788cc29124ac2bf3623c9624ea7c74d237ae4e
Author: Marios Zindilis <m.zindilis@dmajor.org>
Date:	2009-05-09

    Updated Greek translation

M	po/el.po

commit 0fbddd0f8c4a96411df8ccf1657937ce00d14242
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:	2009-05-03

    Updated Spanish translation

M	po/es.po

commit 889459562478114ff2ce13c7530138fb0b226f46
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-05-03

    Fixed bug #581102

    Fixed bug #581102 – build error in copy-n-paste/
    Patch by Frederic Peters

M	configure.ac

commit f85020309c3c51f2b0d5c7b3608eed5d7048cff5
Author: Thomas Hindoe Paaboel Andersen <phomes@gmail.com>
Date:	2009-04-23

    Replace gtk_widget_get_action with gtk_activatable_get_related_action

    Gtk dep is bumped to 2.16 for gtk_activatable_get_related_action.
    configure.ac: Simplified to drop the gtk 2.12 compatibility as per
    comment in the bug.
    stc/gtk-utils.c: Removed checks for gtk < 2.13 due to new dep on 2.16.

    Gnome Bug #578467

M	configure.ac
M	src/fr-window.c
M	src/gtk-utils.c

commit 33522aad5c8f3c3be77d7621e246985ae399a85b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-04-30

    Removed executable flag from some files

M	help/C/l10n.txt
M	po/mai.po

commit c3dbc06ede75f31f8b1965e3c56c5d5df6596b73
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-04-30

    Fixed plural form spec in ka.po

M	po/ka.po

commit 7bc41add6b0a58dcabed1f7c3844f31a26a7b7ce
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-04-30

    Removed executable flag from po file

M	help/ca/ca.po

commit f32b3df1e12ee8173a52bc5960696063f771834e
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-04-30

    Deleted .cvsignore files

D	.cvsignore
D	data/.cvsignore
D	data/icons/.cvsignore
D	data/icons/16x16/.cvsignore
D	data/icons/16x16/actions/.cvsignore
D	data/icons/16x16/apps/.cvsignore
D	data/icons/22x22/.cvsignore
D	data/icons/22x22/apps/.cvsignore
D	data/icons/24x24/.cvsignore
D	data/icons/24x24/actions/.cvsignore
D	data/icons/32x32/.cvsignore
D	data/icons/32x32/apps/.cvsignore
D	data/icons/scalable/.cvsignore
D	data/icons/scalable/apps/.cvsignore
D	help/.cvsignore
D	help/C/.cvsignore
D	help/bg/.cvsignore
D	help/de/.cvsignore
D	help/es/.cvsignore
D	help/fr/.cvsignore
D	help/it/.cvsignore
D	help/ru/.cvsignore
D	help/sv/.cvsignore
D	help/uk/.cvsignore
D	nautilus/.cvsignore
D	omf-install/.cvsignore
D	po/.cvsignore
D	scripts/.cvsignore
D	src/.cvsignore
D	src/sh/.cvsignore

commit 182d877b35a349ac57dbe823f680d53dae8561f8
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-04-30

    Added a .gitignore file

A	.gitignore

commit d3a88133c7db521fc9ad820fd5f95523a177868b
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2009-04-30

    Fixed bug #503240

    Checks if pid is 0 before sending it to kill. Sending
    kill(0, SIGTERM) is evil because it kills every process in the
    same process group, including nautilus, gnome-session, etc.

M	src/fr-process.c

commit 53a57494426ab2fff0658dd19d17a8f2bcf865bf
Author: Ivar Smolin <okul@linux.ee>
Date:	2009-04-25

    Updating Estonian translation

M	po/et.po

commit 4a20c81ee20a478db05c33dcd1af873fdf9d4ccf
Author: Olav Vitters <olav@bkor.dhs.org>
Date:	2009-04-23

    Add DOAP file

A	file-roller.doap

commit 86b3eede4663fbab15525239c27838c0f949013f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2009-04-18

    Updated British English translation

M	help/en_GB/en_GB.po

commit 710c882b5a7a0657689be1d5bdac00cf7440f7e2
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-04-13

    [ File Roller 2.26.1 released ]

    2009-04-14	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.26.1 released ]

	* NEWS: updated

    svn path=/trunk/; revision=2653

M	ChangeLog
M	NEWS

commit 4c1337bbc12c05e2f615e88033c5df2cc155ae1a
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:	2009-04-12

    Translation updated by Ivar Smolin

    2009-04-12	Priit Laes  <plaes at svn dot gnome dot org>

	* et.po: Translation updated by Ivar Smolin

    svn path=/trunk/; revision=2652

M	po/ChangeLog
M	po/et.po

commit de60a1258e4abd9a8594d69085657936d0de49f3
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-04-11

    Updated French translation

    2009-04-11	Claude Paroz  <claude@2xlibre.net>

	* fr/fr.po: Updated French translation

    svn path=/trunk/; revision=2651

M	help/ChangeLog
M	help/fr/fr.po

commit 8370fcf409eb49b05caec57b8320260639d305fb
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:	2009-04-10

    sv.po: Updated Swedish translation

    svn path=/trunk/; revision=2650

M	po/ChangeLog
M	po/sv.po

commit 74701af5f393c06570216e226e7603bf6d76f9b4
Author: Goran Rakic <grakic@src.gnome.org>
Date:	2009-04-10

    Updated Serbian translation (by Miloš Popović)

    svn path=/trunk/; revision=2649

M	po/ChangeLog
M	po/sr.po
M	po/sr@latin.po

commit 1d0fffffa68d668978264ec903b87f8feb31b8ed
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-04-09

    updated from libegg

    2009-04-09	Paolo Bacchilega  <paobac@svn.gnome.org>

	* copy-n-paste/eggdesktopfile.c:
	* copy-n-paste/eggsmclient.c:
	* copy-n-paste/eggsmclient-xsmp.c:

	updated from libegg

    svn path=/trunk/; revision=2648

M	ChangeLog
M	copy-n-paste/eggdesktopfile.c
M	copy-n-paste/eggsmclient-xsmp.c
M	copy-n-paste/eggsmclient.c

commit 363318edfe3fd2d8faff65fa2c84ddad3c438ce8
Author: Nikos Charonitakis <frolix68@src.gnome.org>
Date:	2009-04-05

    Updated Greek translation

    svn path=/trunk/; revision=2647

M	po/ChangeLog
M	po/el.po

commit dd7730009406ab39feea46ecca29af235b503836
Author: Mario Blättermann <mariobl@src.gnome.org>
Date:	2009-04-03

    Updated German docs

    svn path=/trunk/; revision=2646

M	help/ChangeLog
M	help/de/de.po

commit d4d6cec69865801783d2e7e585780c6c8d42a091
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-04-01

    added switch to keep broken extracted files (-kb).

    2009-04-02	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-rar.c (fr_command_rar_extract):

	added switch to keep broken extracted files (-kb).

    svn path=/trunk/; revision=2645

M	ChangeLog
M	src/fr-command-rar.c

commit 8c8803d92843769406f4a517405d5308be3ecce6
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-04-01

    A CRC error isn't always caused by a password request. Fixes bug
    #574657

    2009-04-02	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-rar.c (fr_command_rar_handle_error):

	A CRC error isn't always caused by a password request.
	Fixes bug #574657 – support corrupted rar archives.

	* src/gtk-utils.c (_gtk_error_dialog_new):

	Expand the command line output if the secondary text is null.

	* src/fr-window.c:
	* src/dlg-extract.c:
	* src/dlg-batch-add.c:
	* src/actions.c:

	Always use a c-formatted string as 5th argument of
	_gtk_error_dialog_new().

    svn path=/trunk/; revision=2644

M	ChangeLog
M	src/actions.c
M	src/dlg-batch-add.c
M	src/dlg-extract.c
M	src/fr-command-rar.c
M	src/fr-window.c
M	src/gtk-utils.c

commit 5d042df4ba7e3cc97b954ef3557a24ae3586d556
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2009-03-31

    Updated Spanish translation

    svn path=/trunk/; revision=2642

M	help/ChangeLog
M	help/es/es.po

commit 6de49a1aabf9bb515ca512a8d5c8aa5f4d5d80e2
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-03-31

    Fixed bug #575419 – Minor spelling mistake in file-roller Patch
    by Paul

    2009-03-31	Paolo Bacchilega  <paobac@svn.gnome.org>

	* C/file-roller.xml:

	Fixed bug #575419 – Minor spelling mistake in file-roller
	Patch by Paul Cutler.

    svn path=/trunk/; revision=2641

M	help/C/file-roller.xml
M	help/ChangeLog

commit 021b1868a310b2284ec857244213a8a1ecd2f346
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-03-31

    init size to 0

    2009-03-31	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/file-utils.c (get_file_size): init size to 0

	Fixes bug #576960 – file-roller shows random filesize for
	zero bytes files.

    svn path=/trunk/; revision=2640

M	ChangeLog
M	src/file-utils.c

commit f3dbec7b6d83ba29f7c01a1190fd44a5d49ad226
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-03-31

    added a parent_folder argument to get_temp_work_dir

    2009-03-31	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/file-utils.h:
	* src/file-utils.c:

	added a parent_folder argument to get_temp_work_dir

	* src/fr-archive.c (fr_archive_extract_to_local):

	create the temp dir in the destination folder to make the mv
	operation faster.

	* src/fr-command-unstuff.c:
	* src/fr-command-jar.c:
	* src/fr-window.c:
	* src/fr-command-cfile.c:

	updated calls to get_temp_work_dir

	* src/glib-utils.h:
	* src/glib-utils.c:
	* src/fr-window.c:
	* src/fr-command.c:
	* src/fr-archive.c:
	* src/file-data.h:
	* src/file-data.c:

	sort the files array after getting the list and search a path
	using
	a binary search to speed up the operation.

	Fixes bug #577389 – File roller hangs and leaks memory when
	file is
	dragged / dropped from archive

    svn path=/trunk/; revision=2639

M	ChangeLog
M	configure.ac
M	src/file-data.c
M	src/file-data.h
M	src/file-utils.c
M	src/file-utils.h
M	src/fr-archive.c
M	src/fr-command-cfile.c
M	src/fr-command-jar.c
M	src/fr-command-unstuff.c
M	src/fr-command.c
M	src/fr-window.c
M	src/glib-utils.c
M	src/glib-utils.h

commit 800280a71f7c350360a9f7d3dbe399760d419c6e
Author: Simos Xenitellis <simos@src.gnome.org>
Date:	2009-03-28

    Updated figure by Fotis Tsamis

    svn path=/trunk/; revision=2638

M	help/ChangeLog
M	help/el/figures/file-roller_main_window.png

commit 4ee1de34fde1cc96469bf7f222b4f2eda219b207
Author: Wouter Bolsterlee <wbolster@svn.gnome.org>
Date:	2009-03-26

    Updated Dutch translation by Wouter Bolsterlee.

    2009-03-26	Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* nl.po: Updated Dutch translation by Wouter Bolsterlee.


    svn path=/trunk/; revision=2637

M	po/ChangeLog
M	po/nl.po

commit 21cd9708b883040f81b1f72ab1aaa560d0cbdea9
Author: Shankar Prasad <sprasad@src.gnome.org>
Date:	2009-03-25

    updated kn.po

    svn path=/trunk/; revision=2636

M	po/ChangeLog
M	po/kn.po

commit 6af2b5534e7e3e74d54757fd1db261290a3bc879
Author: Shankar Prasad <sprasad@src.gnome.org>
Date:	2009-03-21

    updated kn.po

    svn path=/trunk/; revision=2635

M	po/ChangeLog
M	po/kn.po

commit 5234e800a3a376b83c983b6360443cc0c7d34eec
Author: Kostas Papadimas <pkst@src.gnome.org>
Date:	2009-03-18

    Added Greek translation by Marios Zindilis

    svn path=/trunk/; revision=2634

M	help/ChangeLog
M	help/Makefile.am
A	help/el/el.po
A	help/el/figures/file-roller_main_window.png

commit 092654fdef5e4fb99f09cf35bc9ca894e66e20d9
Author: Djihed Afifi <djihed@src.gnome.org>
Date:	2009-03-18

    Updated Arabic translation

    svn path=/trunk/; revision=2633

M	po/ChangeLog
M	po/ar.po

commit 1deef4c972f91b75f8bf8efdbddb0bbcdcdc86c2
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-03-16

    [ File Roller 2.26.0 released ]

    2009-03-16	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.26.0 released ]

	* NEWS:
	* configure.ac: updated.

    svn path=/trunk/; revision=2631

M	ChangeLog
M	NEWS

commit ad61704e7cfa2b1ce0ceaf2686d52559580ab319
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-03-16

    updated.

    2009-03-16	Paolo Bacchilega  <paobac@svn.gnome.org>

	* configure.ac: updated.

    svn path=/trunk/; revision=2630

M	ChangeLog
M	configure.ac

commit 242506fdc6e8c882fb47391761426eec1455a236
Author: Amitakhya Phukan <amitakhya@src.gnome.org>
Date:	2009-03-16

    Updated assamese translations

    svn path=/trunk/; revision=2629

M	po/ChangeLog
M	po/as.po

commit 31d3c764b048134112b82b7a2bbaa53c539f9320
Author: Ani Peter <anipeter@src.gnome.org>
Date:	2009-03-15

    Updated Malayalam Translation

    svn path=/trunk/; revision=2628

M	po/ChangeLog

commit c6d9178b2db1e536fccd336c754bb74a7fe0c977
Author: Ani Peter <anipeter@src.gnome.org>
Date:	2009-03-15

    Updated Malayalam Translation

    svn path=/trunk/; revision=2627

M	po/ml.po

commit fb82dad173ef88e9d17c0f983ece8dfc4bda1c63
Author: Kostas Papadimas <pkst@src.gnome.org>
Date:	2009-03-15

    Updated Greek Translation by Marios Zintilis

    svn path=/trunk/; revision=2626

M	po/ChangeLog
M	po/el.po

commit 05d3bc4e453cb2b486535d2e4457718f9466a982
Author: Rajesh Ranjan <rranjan@src.gnome.org>
Date:	2009-03-15

    maithili added

    svn path=/trunk/; revision=2625

M	po/ChangeLog
M	po/LINGUAS

commit 7ad73bdf62e9f0bfafd1dd6dc566b089c3a9cebd
Author: Rajesh Ranjan <rranjan@src.gnome.org>
Date:	2009-03-15

    maithili added

    svn path=/trunk/; revision=2624

A	po/mai.po

commit 3e5a1fa76a038ab3b45c19becf64e35b287622c5
Author: Kostas Papadimas <pkst@src.gnome.org>
Date:	2009-03-15

    Updated Greek Translation by Jennie Petoumenou

    svn path=/trunk/; revision=2623

M	po/ChangeLog
M	po/el.po

commit cbbbd8a1d2ebd0cd113493fa2fab194d90e6dad1
Author: Nickolay V. Shmyrev <nshmyrev@yandex.ru>
Date:	2009-03-14

    Updated Russian translation by Anton Shestakov.

    2009-03-14	Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* ru.po: Updated Russian translation by Anton Shestakov.


    svn path=/trunk/; revision=2622

M	po/ru.po

commit c27df5be7dc6df49774cfc7878b05263d79ee79a
Author: Nickolay V. Shmyrev <nshmyrev@yandex.ru>
Date:	2009-03-14

    Updated Russian translation by Anton Shestakov.

    2009-03-14	Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* ru.po: Updated Russian translation by Anton Shestakov.


    svn path=/trunk/; revision=2621

M	po/ChangeLog
M	po/ru.po

commit fa06cd4fa00b44c23ef7dfdbed88379251024854
Author: Sandeep Shedmake <sandeeps@src.gnome.org>
Date:	2009-03-14

    Updated Marathi Translations

    svn path=/trunk/; revision=2620

M	po/ChangeLog
M	po/mr.po

commit 96858e9f46c4c3894c6bc56917bec1bed76f2efe
Author: Ignacio Casal Quinteiro <icq@src.gnome.org>
Date:	2009-03-14

    Updated Galician translation

    svn path=/trunk/; revision=2619

M	po/ChangeLog
M	po/gl.po

commit 37cbc497bf34086b1cdf9b38553a57bab1669654
Author: Rajesh Ranjan <rranjan@src.gnome.org>
Date:	2009-03-13

    hindi update by Rajesh Ranjan

    svn path=/trunk/; revision=2618

M	po/ChangeLog

commit c6262d7eeac72918ece8c8d28af07756b60d6a5e
Author: Rajesh Ranjan <rranjan@src.gnome.org>
Date:	2009-03-13

    hindi update by Rajesh Ranjan

    svn path=/trunk/; revision=2617

M	po/hi.po

commit 3f8a9f59f8088b24372573da4324b4c824c49295
Author: Yair Hershkovitz <yairhr@src.gnome.org>
Date:	2009-03-13

    updated hebrew translation

    svn path=/trunk/; revision=2616

M	po/ChangeLog
M	po/he.po

commit 4cdce8d5a28ee5c41b778fce7190ee2930b8295f
Author: Felix I <ifelix@src.gnome.org>
Date:	2009-03-12

    tamil translation updated

    svn path=/trunk/; revision=2615

M	po/ChangeLog
M	po/ta.po

commit eabee8155193bf6326b36011eb67a5efed3886c7
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2009-03-11

    Updated Spanish translation

    svn path=/trunk/; revision=2614

M	po/ChangeLog
M	po/es.po

commit 5ee8b4ab9156201a37eb4274665fcb77db1d3f88
Author: Ankitkumar Rameshchandra Patel <ankitp@src.gnome.org>
Date:	2009-03-09

    Updated Gujarati Translations.

    svn path=/trunk/; revision=2613

M	po/ChangeLog
M	po/gu.po

commit 0085d1acbfa45c4daed74fffffb0d54500d07783
Author: Runa Bhattacharjee <runab@src.gnome.org>
Date:	2009-03-09

    Added Entry for Bengali India Translation Updation

    svn path=/trunk/; revision=2612

M	po/ChangeLog

commit 5938eed88c6fc7bcde7436ffd3d0620062412bce
Author: Runa Bhattacharjee <runab@src.gnome.org>
Date:	2009-03-09

    Updated Bengali India Translation

    svn path=/trunk/; revision=2611

M	po/bn_IN.po

commit 0b9a57107a26f0211335547e22167ed4cc1fd4fe
Author: Amanpreet Singh Alam <aman@src.gnome.org>
Date:	2009-03-09

    updating translation for Punjabi

    svn path=/trunk/; revision=2610

M	po/pa.po

commit 2094c7291bcf27b03a15bb0f1e7fa32726c3ebf4
Author: Kostas Papadimas <pkst@src.gnome.org>
Date:	2009-03-08

    Updated Greek tramslation by Jennie Petoumenou

    svn path=/trunk/; revision=2609

M	po/ChangeLog
M	po/el.po

commit 69ee384fc6fa52d99475975ac2067a30e301dd15
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2009-03-08

    Added British English translation.

    2009-03-08	Philip Withnall  <philip@tecnocode.co.uk>

	* Makefile.am:
	* en_GB/en_GB.po: Added British English translation.


    svn path=/trunk/; revision=2608

M	help/ChangeLog
M	help/Makefile.am
A	help/en_GB/en_GB.po

commit f5388a70a8fb391fddc1a9510df08f7e2659e357
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:	2009-03-06

    Translation updated by Ivar Smolin

    2009-03-06	Priit Laes  <plaes at svn dot gnome dot org>

	* et.po: Translation updated by Ivar Smolin

    svn path=/trunk/; revision=2607

M	po/ChangeLog
M	po/et.po

commit f49cd3f74f3f2aa8ca2f499fcddae4468e8d40d3
Author: Gintautas Miliauskas <gintas@akl.lt>
Date:	2009-03-05

    Updated Lithuanian translation.

    2009-03-06	Gintautas Miliauskas  <gintas@akl.lt>

	* lt.po: Updated Lithuanian translation.



    svn path=/trunk/; revision=2606

M	po/ChangeLog
M	po/lt.po

commit a428d4f4795d294d34f3db48ce8069786513fd3e
Author: Krishnababu Krothapalli <kkrothap@src.gnome.org>
Date:	2009-03-05

    Updated Telugu Translation

    svn path=/trunk/; revision=2605

M	po/te.po

commit 8069f9b1582e013a590367e493188bab59272f13
Author: Krishnababu Krothapalli <kkrothap@src.gnome.org>
Date:	2009-03-05

    Updated Changelog entry

    svn path=/trunk/; revision=2604

M	po/ChangeLog

commit f1bf0ef856712dea307f5b46f72cfd391c8415ce
Author: Manoj Kumar Giri <mgiri@src.gnome.org>
Date:	2009-03-03

    Added entries for Oriya language Translation updation.

    svn path=/trunk/; revision=2603

M	po/ChangeLog

commit 2bcddbdcca7e514b45fdd3d11ca4e133b69d4374
Author: Manoj Kumar Giri <mgiri@src.gnome.org>
Date:	2009-03-03

    Updated Oriya Translation.

    svn path=/trunk/; revision=2602

M	po/or.po

commit 0cfd641f288557e8241ee19ad8c3e25bb95f41d0
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-03-02

    [ File Roller 2.25.92 released ]

    2009-03-02	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.25.92 released ]

	* configure.ac:
	* NEWS: updated.

    svn path=/trunk/; revision=2600

M	ChangeLog
M	NEWS
M	configure.ac

commit 6b2935dfb29e80cdd49280a32d6ba64de1d603a3
Author: Timo Jyrinki <tjyrinki@src.gnome.org>
Date:	2009-03-02

    typo fixes from #564485 by Harri Pitkänen

    svn path=/trunk/; revision=2599

M	help/fi/fi.po

commit 6d5ffbacdca2c4e00c039c072d805139cb050615
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2009-03-02

    Translation updated.

    2009-03-02	Gabor Kelemen  <kelemeng@gnome.hu>

	* hu.po: Translation updated.


    svn path=/trunk/; revision=2598

M	po/ChangeLog
M	po/hu.po

commit 223d6ac0a5a205f74d849ac29cc2d30dc5845e50
Author: Luca Ferretti <elle.uca@libero.it>
Date:	2009-02-27

    Updated Italian translation by Milo Casagrande.

    2009-02-27	Luca Ferretti  <elle.uca@libero.it>

	* it.po: Updated Italian translation by Milo Casagrande.

    svn path=/trunk/; revision=2597

M	po/ChangeLog
M	po/it.po

commit 67b8e84daf8a033972da1684e5cf2084c915b092
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2009-02-23

    Update British English translation.

    2009-02-23	Philip Withnall  <philip@tecnocode.co.uk>

	* en_GB.po: Update British English translation.


    svn path=/trunk/; revision=2596

M	po/ChangeLog
M	po/en_GB.po

commit 1e02b79057f7a2b7af1997575cf94bef7ae0cbcc
Author: Baris Cicek <bcicek@src.gnome.org>
Date:	2009-02-22

     Updated Turkish translation

    svn path=/trunk/; revision=2595

M	po/ChangeLog
M	po/tr.po

commit 6ea01bfec88c24a0a2d7a43e16904925a2733478
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:	2009-02-22

    Updated Japanese translation.

    2009-02-22	Takeshi AIHANA <takeshi.aihana@gmail.com>

	* ja.po: Updated Japanese translation.

    svn path=/trunk/; revision=2594

M	po/ChangeLog
M	po/ja.po

commit 0e11de2ddde54f2ac9ab463c3a143f6745ef0249
Author: Petr Kovar <pknbe@volny.cz>
Date:	2009-02-21

    Updated Czech translation by Adrian Gunis.

    2009-02-21	Petr Kovar  <pknbe@volny.cz>

	* cs.po: Updated Czech translation by Adrian Gunis.

    svn path=/trunk/; revision=2593

M	po/ChangeLog
M	po/cs.po

commit 111669586373e8799260d54a0fa7c6150696fd12
Author: Alexander Shopov <ash@contact.bg>
Date:	2009-02-21

    Updated Bulgarian translation by Alexander Shopov <ash@contact.bg>

    2009-02-21	Alexander Shopov  <ash@contact.bg>

	* bg.po: Updated Bulgarian translation by
	Alexander Shopov <ash@contact.bg>

    svn path=/trunk/; revision=2592

M	po/ChangeLog
M	po/bg.po

commit 3dc5d0e622cafd043040cfdeef5d01a60f05f867
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:	2009-02-17

    Updated Swedish translation. Updated screenshots.

	    * sv/sv.po: Updated Swedish translation.
	    * sv/figures/*png: Updated screenshots.


    svn path=/trunk/; revision=2591

M	help/ChangeLog
M	help/sv/figures/file-roller_leftarrow.png
M	help/sv/figures/file-roller_main_window.png
M	help/sv/sv.po

commit 414c6125573f7979707941fff1347418b949d1a0
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:	2009-02-17

    sv.po: Updated Swedish translation

    svn path=/trunk/; revision=2590

M	po/ChangeLog
M	po/sv.po

commit a9add9da11ccef688a4f5cf25793b9397b251d14
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-02-17

    [ File Roller 2.25.91 released ]

    2009-02-17	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.25.91 released ]

	* NEWS:
	* configure.ac: updated.

    svn path=/trunk/; revision=2588

M	ChangeLog
M	NEWS

commit 93f0999f6072753bd33857ab7d1cd2fed7463d6b
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-02-17

    Fixed bug #571273 – crash in Archive Manager: Opening an archive
    (ISO)

    2009-02-17	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-7z.c:

	Fixed bug #571273 – crash in Archive Manager: Opening an archive
	(ISO)
	Patch by Tom Parker.

    svn path=/trunk/; revision=2587

M	ChangeLog
M	NEWS
M	configure.ac
M	src/fr-command-7z.c

commit 03c976abb6ed066bae1229fb74b453c5ffc47de2
Author: Kenneth Nielsen <kennethn@src.gnome.org>
Date:	2009-02-15

    Updated Danish translation

    svn path=/trunk/; revision=2586

M	po/ChangeLog
M	po/da.po

commit a359b2989923183ce1106d8bd7a12732e71bdc1c
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2009-02-14

    Updated Portuguese translation.

    2009-02-14	Duarte Loreto <happyguy_pt@hotmail.com>

	* pt.po: Updated Portuguese translation.

    svn path=/trunk/; revision=2585

M	po/ChangeLog
M	po/pt.po

commit 6010a10eb304c19534710cb6c436be1e88a2c4fe
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-02-14

    Updated French translation.

    2009-02-14	Claude Paroz  <claude@2xlibre.net>

	* fr.po: Updated French translation.

    svn path=/trunk/; revision=2584

M	po/ChangeLog
M	po/fr.po

commit 4b2e778751448b4240312e5b0eb63553f7acc63f
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2009-02-14

    Updated Thai translation.

    2009-02-14	Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* th.po: Updated Thai translation.


    svn path=/trunk/; revision=2583

M	po/ChangeLog
M	po/th.po

commit fb0753da31d5c13007b3e378b1a88968b418a718
Author: Ihar Hrachyshka <iharh@src.gnome.org>
Date:	2009-02-14

    Updated be@latin.po

    svn path=/trunk/; revision=2582

M	po/ChangeLog
M	po/be@latin.po

commit 5cdc6dd29c1ee3c376b0d860bc4812ca09ac3d08
Author: Wouter Bolsterlee <wbolster@svn.gnome.org>
Date:	2009-02-14

    Updated Dutch translation by Wouter Bolsterlee.

    2009-02-14	Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* nl.po: Updated Dutch translation by Wouter Bolsterlee.


    svn path=/trunk/; revision=2581

M	po/ChangeLog
M	po/nl.po

commit 086c016398c3bbd9c2b80b8e54a0d1e2e15a68ca
Author: Jani Monoses <janimo@src.gnome.org>
Date:	2009-02-13

    Updated Romanian translations from Adi Roiban

    svn path=/trunk/; revision=2580

M	po/ChangeLog
M	po/ro.po

commit 06db121ca30e2fd05374ceeaea7065c83892af60
Author: Inaki Larranaga Murgoitio <dooteo@euskalgnu.org>
Date:	2009-02-11

    Updated Basque translation.

    2009-02-11	Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>

	* eu.po: Updated Basque translation.


    svn path=/trunk/; revision=2579

M	po/ChangeLog
M	po/eu.po

commit e6956a5c0ee2bcac745aa4aaeeac5e5aee0c7a0d
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2009-02-11

    Updated Thai translation.

    2009-02-11	Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* th.po: Updated Thai translation.


    svn path=/trunk/; revision=2578

M	po/ChangeLog
M	po/th.po

commit ae3d3d604e4361ff9318fb25d4445466ec8a589d
Author: Alexander Shopov <ash@contact.bg>
Date:	2009-02-09

    Updated Bulgarian translation by Alexander Shopov <ash@contact.bg>

    2009-02-09	Alexander Shopov  <ash@contact.bg>

	* bg.po: Updated Bulgarian translation by
	Alexander Shopov <ash@contact.bg>

    svn path=/trunk/; revision=2577

M	po/ChangeLog
M	po/bg.po

commit e368a9a77d31027c737aa26f9e5f4399447a1b54
Author: Gil Forcada Codinachs <gforcada@src.gnome.org>
Date:	2009-02-09

    Added Asturian translation on behalf of Mikel González

    svn path=/trunk/; revision=2575

M	po/ChangeLog
M	po/LINGUAS
A	po/ast.po

commit 69f6fdc1171503252d26d556d6bd9e49f57bed46
Author: Clytie Siddall <clyties@src.gnome.org>
Date:	2009-02-06

    Updated Vietnamese translation

    svn path=/trunk/; revision=2574

M	po/ChangeLog
M	po/vi.po

commit b5450bf6f19660bd62842bd553a046c0f68bd9ae
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-02-06

    Fixed bug #560429 – GNOME Goal: Remove deprecated GLib symbols

    2009-02-06	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/file-utils.c:

	Fixed bug #560429 – GNOME Goal: Remove deprecated GLib symbols

    svn path=/trunk/; revision=2573

M	ChangeLog
M	src/file-utils.c

commit 46029d109ef7b1211186f21dd7e7d31bc4cd34f5
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-02-04

    Fixed spin button adjustment.

    2009-02-04	Paolo Bacchilega  <paobac@svn.gnome.org>

	* data/ui/new.ui:
	* data/ui/batch-add-files.ui:

	Fixed spin button adjustment.

	* src/dlg-new.c:

	Fixed bug #570505 – file-roller crashed with signal 5 in
	IA__g_malloc()

    svn path=/trunk/; revision=2572

M	ChangeLog
M	data/ui/batch-add-files.ui
M	data/ui/new.ui
M	src/dlg-new.c

commit 87d6fc858bbfcf8d073be6a81fc9b55037971039
Author: Tomasz Dominikowski <tdominikowski@aviary.pl>
Date:	2009-02-03

    Updated Polish translation

    2009-02-03	Tomasz Dominikowski  <tdominikowski@aviary.pl>

	* pl.po: Updated Polish translation

    svn path=/trunk/; revision=2571

M	po/ChangeLog
M	po/pl.po

commit 7ab92889e6c8f3c3df3a93b0aa532916d35f450d
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-02-03

    added [type: gettext/glade] for .ui files.

    2009-02-03	Paolo Bacchilega  <paobac@svn.gnome.org>

	* POTFILES.in: added [type: gettext/glade] for .ui files.

    svn path=/trunk/; revision=2570

M	po/ChangeLog
M	po/POTFILES.in

commit c80254f5150d8c12744e72eb8683a64198b7c6c1
Author: Chao-Hsiung Liao <chliao@src.gnome.org>
Date:	2009-02-03

    2.25.90

    svn path=/trunk/; revision=2569

M	po/ChangeLog
M	po/zh_HK.po
M	po/zh_TW.po

commit 03a2e3847c4074e5da4b0a4a17dd5cbafcfb7198
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-02-02

    [ File Roller 2.25.90 released ]

    2009-02-02	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.25.90 released ]

	* NEWS:
	* configure.ac: updated

	* src/dlg-new.c: include gtk-utils.h

    svn path=/trunk/; revision=2567

M	ChangeLog
M	NEWS
M	configure.ac
M	src/dlg-new.c

commit bcdfc5e24d952bf4524db718412110157e0aa37f
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-02-02

    use gtk_widget_get_action to get the action.

    2009-02-02	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-window.c (menu_item_select_cb): use gtk_widget_get_action
	to
	get the action.

	Fixes bug #568881 – don't rely on gtk implementation details

    svn path=/trunk/; revision=2566

M	ChangeLog
M	configure.ac
D	data/ui/Makefile.in
M	src/fr-window.c

commit 17bf1804fcd3172bcf324cd43f03919259a68080
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:	2009-02-01

    sv.po: Updated Swedish translation

    svn path=/trunk/; revision=2565

M	po/ChangeLog
M	po/sv.po

commit 411a18e05312f1709a319b5563c881600daf20a4
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2009-01-31

    Translation updated.

    2009-01-31	Gabor Kelemen  <kelemeng@gnome.hu>

	* hu.po: Translation updated.

    svn path=/trunk/; revision=2564

M	po/ChangeLog
M	po/hu.po

commit 8c1bde93c5be99a8161636701b0fa318f12871ef
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-31

    removed the libglade dependency; allow to optionally load the ui
    from the

    2009-01-31	Paolo Bacchilega  <paobac@svn.gnome.org>

	* configure.ac: removed the libglade dependency; allow to
	optionally load the ui from the source tree.

	* data/Makefile.am:
	* data/glade: removed
	* data/ui: added
	* src/*.c

	Use gtkbuilder instead of libglade.


    svn path=/trunk/; revision=2563

M	ChangeLog
M	configure.ac
M	data/Makefile.am
D	data/glade/.cvsignore
D	data/glade/Makefile.am
D	data/glade/add-options.glade
D	data/glade/batch-add-files.glade
D	data/glade/batch-password.glade
D	data/glade/delete.glade
D	data/glade/new.glade
D	data/glade/open-with.glade
D	data/glade/password.glade
D	data/glade/properties.glade
D	data/glade/update.glade
A	data/ui/Makefile.am
A	data/ui/Makefile.in
A	data/ui/add-options.ui
A	data/ui/batch-add-files.ui
A	data/ui/batch-password.ui
A	data/ui/delete.ui
A	data/ui/new.ui
A	data/ui/open-with.ui
A	data/ui/password.ui
A	data/ui/properties.ui
A	data/ui/update.ui
M	po/ChangeLog
M	po/POTFILES.in
M	src/Makefile.am
M	src/dlg-add-files.c
M	src/dlg-add-folder.c
M	src/dlg-ask-password.c
M	src/dlg-batch-add.c
M	src/dlg-delete.c
M	src/dlg-extract.c
M	src/dlg-new.c
M	src/dlg-new.h
M	src/dlg-open-with.c
M	src/dlg-password.c
M	src/dlg-prop.c
M	src/dlg-update.c
M	src/gtk-utils.c
M	src/gtk-utils.h
M	src/main.c

commit c2a4164c64803c71f8a489c9cda4ccbecd92e16d
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-31

    add $XDG_CACHE_HOME to the list of possible temp dirs.

    2009-01-31	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/file-utils.c (get_temp_work_dir): add $XDG_CACHE_HOME to the
	list of possible temp dirs.

	Fixes bug #569825 – file-roller should use TMPDIR or
	XDG_CACHE_HOME
	for temporary files.

    svn path=/trunk/; revision=2562

M	ChangeLog
M	src/file-utils.c

commit a02993f35392b18a0c8e7d96d73188111964f5ad
Author: Gil Forcada Codinachs <gforcada@src.gnome.org>
Date:	2009-01-29

    Updated Catalan translation

    svn path=/trunk/; revision=2561

M	po/ChangeLog
M	po/ca.po

commit 7d6e14d9d36ba20ca90f0e64c1e0b3faae06119a
Author: Ilkka Tuohela <ituohela@src.gnome.org>
Date:	2009-01-27

    Updated Finnish translation

    svn path=/trunk/; revision=2560

M	po/ChangeLog
M	po/fi.po

commit 9c6073e42ef8cebd188f4db30f38b3c65dcfb172
Author: Jonh Wendell <jwendell@gnome.org>
Date:	2009-01-26

    Brazilian Portuguese translation updated by Fabrício Godoy.

    2009-01-26	Jonh Wendell  <jwendell@gnome.org>

	* pt_BR.po: Brazilian Portuguese translation updated by Fabrício
	Godoy.


    svn path=/trunk/; revision=2559

M	po/ChangeLog
M	po/pt_BR.po

commit 9d167e51a2c2f4de1bd0b19828659dad8365ad82
Author: Christian Kirbach <ckirbach@src.gnome.org>
Date:	2009-01-25

    Updated German translation.

	* de.po: Updated German translation.

    svn path=/trunk/; revision=2558

M	po/ChangeLog
M	po/de.po

commit 30e0b6a91023e121f5ed8fa255cf34d6970d70f2
Author: Changwoo Ryu <cwryu@src.gnome.org>
Date:	2009-01-24

    Updated Korean translation

    svn path=/trunk/; revision=2557

M	po/ChangeLog
M	po/ko.po

commit f670edfbd24527a4d57f77d0f73b97677e7ab9f3
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-20

    [ File Roller 2.25.2 released ]

    2009-01-20	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.25.2 released ]

	* NEWS:
	* configure.ac: updated

    svn path=/trunk/; revision=2555

M	ChangeLog
M	NEWS
M	configure.ac

commit 7bfa21ae0d221d318eaf7e0e303f63b23de35941
Author: Yair Hershkovitz <yairhr@src.gnome.org>
Date:	2009-01-19

    updated hebrew translation

    svn path=/trunk/; revision=2554

M	po/ChangeLog
M	po/he.po

commit be3a74d92c18c7b793b7e1db4758ad9eb8f9dbea
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-19

    update the options sensitivity correctly.

    2009-01-19	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/dlg-new.h:
	* src/dlg-new.c: update the options sensitivity correctly.

	Fixes bug #567554 – An error occurred while adding files to the
	archive after encrypt the zip archive.


    svn path=/trunk/; revision=2553

M	ChangeLog
M	src/dlg-new.c
M	src/dlg-new.h

commit b712ae04d396c831f5d3e436c906ce7a3d77d401
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-19

    removed copies of the original figures.

    2009-01-19	Paolo Bacchilega  <paobac@svn.gnome.org>

	* es/figures/file-roller_home.png:
	* es/figures/file-roller_rightarrow.png:
	* es/figures/file-roller_uparrow.png:
	* fi/figures/file-roller_home.png:
	* if/figures/file-roller_rightarrow.png:
	* if/figures/file-roller_uparrow.png: removed copies of the
	original
	figures.

	Fixes bug #566683 – remove redundant figures

    svn path=/trunk/; revision=2552

M	help/ChangeLog
D	help/es/figures/file-roller_home.png
D	help/es/figures/file-roller_rightarrow.png
D	help/es/figures/file-roller_uparrow.png
D	help/fi/figures/file-roller_home.png
D	help/fi/figures/file-roller_rightarrow.png
D	help/fi/figures/file-roller_uparrow.png

commit ed4b838d67e9439db91b52c16bff0d4fd3ad0c8a
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-19

    allow volume size smaller than a megabyte

    2009-01-19	Paolo Bacchilega  <paobac@svn.gnome.org>

	* data/glade/batch-add-files.glade:
	* data/glade/new.glade: allow volume size smaller than a megabyte

	Fixed bug #566591 – File roller cannot create splitted archives
	with pieces smaller than 1 Mb

    svn path=/trunk/; revision=2551

M	ChangeLog
M	data/glade/batch-add-files.glade
M	data/glade/new.glade

commit 785dde218eebfccfecaf1b4a6f965e4b4b388645
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-19

    do use a timeout to update the paste command sensitivity, use the

    2009-01-19	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-window.c: do use a timeout to update the paste command
	sensitivity, use the owner-change clipboard signal instead.

	Fixes bug #560647 – file-roller wakes up the CPU 2 times per
	second.

    svn path=/trunk/; revision=2550

M	ChangeLog
M	src/fr-window.c

commit f10cdc31ac61007674d22382ca4edab1af9bd745
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-19

    Fixed bug #563208 – file-roller can't extract to an ftp mounted

    2009-01-19	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-window.c:
	* src/file-utils.c:
	* src/dlg-extract.c:
	* src/dlg-batch-add.c:
	* src/dlg-add-folder.c:
	* src/dlg-add-files.c:

	Fixed bug #563208 – file-roller can't extract to an ftp mounted
	directory.
	Patch by Gerard Lommerse.

    svn path=/trunk/; revision=2549

M	ChangeLog
M	src/dlg-add-files.c
M	src/dlg-add-folder.c
M	src/dlg-batch-add.c
M	src/dlg-extract.c
M	src/file-utils.c
M	src/fr-window.c

commit bf3148e32bcb740f824c586aab5e1f04894c029e
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-19

    Fixed bug #564029 – Unziping an archive from nautilus fails
    with certain

    2009-01-19	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-archive.c (copy_extracted_files_to_destination)
	(get_desired_destination_for_archive):

	Fixed bug #564029 – Unziping an archive from nautilus fails with
	certain characters.

    svn path=/trunk/; revision=2548

M	ChangeLog
M	src/fr-archive.c

commit b7be3ce968ea3143f5335a7184ad2cdce1b12fa3
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-19

    Fixed bug #565879 – isoinfo.sh has shebang but is installed -x
    Patch by

    2009-01-19	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/sh/isoinfo.sh:

	Fixed bug #565879 – isoinfo.sh has shebang but is installed -x
	Patch by Loïc Minier.

    svn path=/trunk/; revision=2547

M	ChangeLog
M	src/sh/isoinfo.sh

commit 66c333b7cba1742669bbf2117bc0691d102f068d
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-19

    do not extract recursively.

    2009-01-19	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-window.c (rename_selection): do not extract recursively.

	Fixes bug #567901 – renaming directory in tarball creates
	duplicate
	files

    svn path=/trunk/; revision=2546

M	ChangeLog
M	src/fr-window.c

commit d1dfbd85782ae6c39d8ca96368d55ffbddc2e5fd
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-19

    added AM_DISABLE_STATIC

    2009-01-19	Paolo Bacchilega  <paobac@svn.gnome.org>

	* configure.ac: added AM_DISABLE_STATIC

	Fixed bug #568260 – file-roller installs static libraries by
	default (for nautilus extension)

    svn path=/trunk/; revision=2545

M	ChangeLog
M	configure.ac
M	src/ui.h

commit ae7f8b13537b22dd9c60de0f466dc6faa164fb7e
Author: Matej Urbančič <mateju@src.gnome.org>
Date:	2009-01-15

    Updated Slovenian translation

    svn path=/trunk/; revision=2544

M	po/sl.po

commit b308a1162238aa50811defc1ef98a087085fcbda
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2009-01-12

    Updated Norwegian bokmål translation.

    2009-01-12	Kjartan Maraas	<kmaraas@gnome.org>

	* nb.po: Updated Norwegian bokmål translation.

    svn path=/trunk/; revision=2541

M	po/ChangeLog
M	po/nb.po

commit 2874b84120f6a9d4d2a77ad81a62d266921b3dae
Author: Lu Gan <ganlu@src.gnome.org>
Date:	2009-01-08

    Updated Chinese Simplified translation

    svn path=/trunk/; revision=2540

M	po/ChangeLog
M	po/zh_CN.po

commit 2b7f66b01ef460104a606db8c14be6f4505370c1
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2009-01-05

    Updated Spanish translation

    svn path=/trunk/; revision=2539

M	po/ChangeLog
M	po/es.po

commit 62bf5eb5d1b3cb31590edddb1f29b6c77e1efad5
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-05

    [ File Roller 2.25.1 released ]

    2009-01-05	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.25.1 released ]

    svn path=/trunk/; revision=2537

M	ChangeLog

commit 94b95c938c6e1626f86b8a1bf41b5bc2be0a3870
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-05

    updated for version 2.25.1

    2009-01-05	Paolo Bacchilega  <paobac@svn.gnome.org>

	* NEWS:
	* configure.ac: updated for version 2.25.1

    svn path=/trunk/; revision=2536

M	ChangeLog
M	NEWS
M	configure.ac
M	po/ChangeLog
M	po/POTFILES.in

commit 4688fc742c2496e4ec88c03c67f377120c3fee75
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2009-01-05

    new files

    2009-01-05	Paolo Bacchilega  <paobac@svn.gnome.org>

	* copy-n-paste/Makefile.am:
	* copy-n-paste/eggsmclient-xsmp.c:
	* copy-n-paste/eggsmclient-private.h:
	* copy-n-paste/eggsmclient.h:
	* copy-n-paste/eggsmclient.c:
	* copy-n-paste/eggdesktopfile.h:
	* copy-n-paste/eggdesktopfile.c: new files

	* src/Makefile.am:
	* src/main.c:
	* src/gtk-utils.c:
	* Makefile.am:
	* configure.ac:

	Fixed bug #564805 – Drop libgnome/ui dependency.
	Patch by Saleem Abdulrasool.

    2009-01-05	Paolo Bacchilega  <paobac@svn.gnome.org>

	* configure.ac: changed version to 2.25.0

    svn path=/trunk/; revision=2535

M	ChangeLog
M	Makefile.am
M	configure.ac
A	copy-n-paste/Makefile.am
A	copy-n-paste/eggdesktopfile.c
A	copy-n-paste/eggdesktopfile.h
A	copy-n-paste/eggsmclient-private.h
A	copy-n-paste/eggsmclient-xsmp.c
A	copy-n-paste/eggsmclient.c
A	copy-n-paste/eggsmclient.h
M	src/Makefile.am
M	src/gtk-utils.c
M	src/main.c

commit c0eba8a2f4d0c82013d6d2021a82df25703d9f03
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-12-24

    do not auto-expand the "other options" section.

    2008-12-24	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/dlg-batch-add.c (dlg_batch_add_files): do not auto-expand
	the "other options" section.

    svn path=/trunk/; revision=2533

M	ChangeLog
M	src/dlg-batch-add.c

commit ce0acd0d59757567389087826d0f35d1a2eab8d9
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-12-23

    Fixed bug #561535 – Unable to create archive with OpenOffice
    document

    2008-12-23	Paolo Bacchilega  <paobac@svn.gnome.org>

	* nautilus/nautilus-fileroller.c:

	Fixed bug #561535 – Unable to create archive with OpenOffice
	document using nautilus integration.
	Patch by Gerard Lommerse.

    svn path=/trunk/; revision=2532

M	ChangeLog
M	nautilus/nautilus-fileroller.c

commit 3e237b57a1c0718948776f8418e26905de6e0fb4
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-12-21

    escape special zip characters.

    2008-12-21	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-zip.c (fr_command_zip_delete)
	(fr_command_zip_extract): escape special zip characters.

	Fixes bug #559481 – Can't open/view file directly from File
	Roller
	if there is a bracket in the directory/file name.
	Patch by Gerard Lommerse.

    svn path=/trunk/; revision=2531

M	ChangeLog
M	src/fr-command-zip.c

commit 279f19e04ca7c62b1118b4ae94c541fde076ef4d
Author: Saleem Abdulrasool <asaleem@src.gnome.org>
Date:	2008-12-16

    fix typos in the session management code


    svn path=/trunk/; revision=2530

M	ChangeLog
M	src/main.c

commit f5df41179c487912a2e68f85cf4bd7203834f144
Author: Gil Forcada Codinachs <gforcada@src.gnome.org>
Date:	2008-12-05

    Updated Catalan translation by Joan Duran.

    svn path=/trunk/; revision=2529

M	help/ChangeLog
M	help/ca/ca.po

commit cb5c07ff1a8e1295e6ba78324b0e92f3704a2289
Author: Diego Escalante Urrelo <diegoe@src.gnome.org>
Date:	2008-11-29

    Remove single GTK+ includes

    Fixes bug #560468. Patch by Maxim Ermilov.

    svn path=/trunk/; revision=2528

M	ChangeLog
M	src/actions.h
M	src/dlg-add-files.h
M	src/dlg-add-folder.h
M	src/dlg-open-with.h
M	src/dlg-update.h
M	src/eggtreemultidnd.c
M	src/eggtreemultidnd.h
M	src/fr-list-model.h
M	src/fr-process.h
M	src/fr-window.c
M	src/preferences.h
M	src/sexy-icon-entry.h

commit fb67bc14dfc2e0c19e2831357ef780b91db8440c
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-11-24

    [ File Roller 2.24.2 released ]

    2008-11-24	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.24.2 released ]

	* NEWS:
	* configure.ac:  updated.

    svn path=/trunk/; revision=2526

M	ChangeLog
M	NEWS
M	configure.ac

commit 9f7d9cced7ae2b6abfc0e5d5e22a1238bcf8ecb3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2008-11-09

    Add GConf deps to make it build.

    2008-11-09	Kjartan Maraas	<kmaraas@gnome.org>

	* configure.ac: Add GConf deps to make it build.

    svn path=/trunk/; revision=2525

M	ChangeLog
M	configure.ac

commit 2361325d90d61b725a8b92f7ed545bc7a6d9653d
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:	2008-10-24

    Translation updated by Ivar Smolin

    2008-10-24	Priit Laes  <plaes at svn dot gnome dot org>

	* et.po: Translation updated by Ivar Smolin

    svn path=/trunk/; revision=2524

M	po/ChangeLog
M	po/et.po

commit 7810c1094519a5f85d7198426a21f2d263dcdb04
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-10-20

    [ File Roller 2.24.1 released ]

    2008-10-21	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.24.1 released ]

	* configure.ac:
	* NEWS: updated.

    svn path=/trunk/; revision=2522

M	ChangeLog
M	NEWS
M	configure.ac

commit a57259821126c412cc8d41caa1f76d6fa4d5adbf
Author: Djihed Afifi <djihed@src.gnome.org>
Date:	2008-10-19

    Updated Arabic Translation by Anas Afif Emad.

    * Updated Arabic Translation by Anas Afif Emad.

    svn path=/trunk/; revision=2521

M	po/ChangeLog

commit f2128caf7f68218a06c4eca2b195f6b548dc3d3d
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-10-17

    Fixed bug #556623 – correct spacings in glade dialogues. Patch by

    2008-10-17	Paolo Bacchilega  <paobac@svn.gnome.org>

	* data/glade/update.glade:
	* data/glade/properties.glade:
	* data/glade/password.glade:
	* data/glade/open-with.glade:
	* data/glade/new.glade:
	* data/glade/delete.glade:
	* data/glade/batch-password.glade:
	* data/glade/batch-add-files.glade:
	* data/glade/add-options.glade:

	Fixed bug #556623 – correct spacings in glade dialogues.
	Patch by Christian Persch.

    svn path=/trunk/; revision=2520

M	ChangeLog
M	data/glade/add-options.glade
M	data/glade/batch-add-files.glade
M	data/glade/batch-password.glade
M	data/glade/delete.glade
M	data/glade/new.glade
M	data/glade/open-with.glade
M	data/glade/password.glade
M	data/glade/properties.glade
M	data/glade/update.glade

commit 76e96087a2e538d8a4e72585ffaa7dd633a9c848
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-10-17

    Fixed bug #556619 – format not a string literal and no format
    arguments.

    2008-10-17	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-window.c:
	* src/fr-archive.c:
	* src/dlg-extract.c:
	* src/actions.c:

	Fixed bug #556619 – format not a string literal and no format
	arguments.  Patch by Christian Persch.

    svn path=/trunk/; revision=2519

M	ChangeLog
M	src/actions.c
M	src/dlg-extract.c
M	src/fr-archive.c
M	src/fr-window.c

commit 8134d5f775a68dfc3748d35317c0001e75897673
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-10-16

    Fixed bug #556571 – non secret password typing.

    2008-10-16	Paolo Bacchilega  <paobac@svn.gnome.org>

	* data/glade/new.glade:

	Fixed bug #556571 – non secret password typing.

	* data/glade/new.glade:
	* data/glade/batch-add-files.glade: set the spin button page
	size to 0.

	* src/dlg-new.c: hide the other options group by default.

	* src/fr-archive.c: the G_IO_ERROR_CANCELLED error type is
	G_IO_ERROR
	not G_FILE_ERROR.

    2008-10-14	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gio-utils.c (for_each_child_data_free): no need to free the
	error.

    svn path=/trunk/; revision=2518

M	ChangeLog
M	data/glade/batch-add-files.glade
M	data/glade/new.glade
M	src/dlg-new.c
M	src/fr-archive.c
M	src/gio-utils.c

commit 0b4b56cafbdd7cdafc6b56f7da9c818c05e980e3
Author: Petr Kovar <pknbe@volny.cz>
Date:	2008-10-12

    Updated Czech translation by Adrian Gunis (bug #544215 again).

    2008-10-12	Petr Kovar  <pknbe@volny.cz>

	* cs.po: Updated Czech translation by Adrian Gunis
	(bug #544215 again).

    svn path=/trunk/; revision=2517

M	po/ChangeLog
M	po/cs.po

commit f431ab6f36c3f31c430c1d1f0630c2db8cf2391d
Author: Leonardo Ferreira Fontenelle <leonardof@gnome.org>
Date:	2008-10-12

    Fixed terminology in Brazilian Portuguese translation by Vladimir
    Melo. We

    2008-10-11	Leonardo Ferreira Fontenelle  <leonardof@gnome.org>

	* pt_BR.po: Fixed terminology in Brazilian Portuguese translation
	by
	Vladimir Melo. We care about consistency ;)

    svn path=/trunk/; revision=2516

M	po/ChangeLog
M	po/pt_BR.po

commit 97dd8efab904ead531d35b795a3a15f6e60abf40
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-10-10

    renamed get_full_path() as get_full_uri() use g_file_new_for_path when

    2008-10-10	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/actions.c: renamed get_full_path() as get_full_uri()
	* src/fr-archive.c (get_local_copy_for_file): use
	g_file_new_for_path	when build a gfile from the local temp
	filename.

	Fixes bug #555282 – opening archive on remote directory fails
	with "Operation not supported".

    svn path=/trunk/; revision=2515

M	ChangeLog
M	src/actions.c
M	src/fr-archive.c

commit f076e25b3e15520c1729b8422a2f761a9fddcf1b
Author: Ilkka Tuohela <ituohela@src.gnome.org>
Date:	2008-09-29

    Updated Finnish help translation for file-roller

    svn path=/trunk/; revision=2514

M	help/ChangeLog
M	help/fi/fi.po
M	help/fi/figures/file-roller_leftarrow.png
M	help/fi/figures/file-roller_main_window.png

commit d2aa84575939d142ada840253f8b4651cba31f6b
Author: Leonardo Ferreira Fontenelle <leonardof@gnome.org>
Date:	2008-09-27

    Fixed terminology in Brazilian Portuguese translation by Vladimir
    Melo.

    2008-09-27	Leonardo Ferreira Fontenelle  <leonardof@gnome.org>

	* pt_BR.po: Fixed terminology in Brazilian Portuguese translation
	by
	Vladimir Melo.

    svn path=/trunk/; revision=2513

M	po/ChangeLog
M	po/pt_BR.po

commit 5b9eeaf4c52800c83dfb581676274a7c407bb0ca
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2008-09-22

    added to version control to avoid automatic substitution with the
    GPL 3.

	* COPYING: added to version control to avoid automatic
	substitution
	with the GPL 3.

    svn path=/trunk/; revision=2511

A	COPYING
M	ChangeLog

commit 45317f92575bb0e2436a70c9037bbdae6318c04b
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-09-22

    [ File Roller 2.24.0 released ]

    2008-09-22	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.24.0 released ]

	* NEWS: updated.
	* configure.ac: updated.

    svn path=/trunk/; revision=2510

M	ChangeLog
M	NEWS
M	configure.ac

commit a0d81cd5cb57992e7976e42e6aa4b98db76c30a6
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-09-22

    the icon isn't always a themed_icon, it can be a file_icon too. Load
    the

    2008-09-22	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gtk-utils.h:
	* src/fr-window.c:
	* src/dlg-open-with.c:
	* src/gtk-utils.c (get_icon_pixbuf): the icon isn't always a
	themed_icon, it can be a file_icon too.  Load the image from the
	file if it's a file_icon.

	Fixes bug #546799 – file-roller crashed with SIGSEGV in
	g_str_hash()

    svn path=/trunk/; revision=2509

M	ChangeLog
M	src/dlg-open-with.c
M	src/fr-window.c
M	src/gtk-utils.c
M	src/gtk-utils.h

commit 70d773bb872cedd11fa1a8eac32a801b0f066590
Author: Kenneth Nielsen <kennethn@src.gnome.org>
Date:	2008-09-22

    Updated Danish translation

    svn path=/trunk/; revision=2508

M	po/ChangeLog
M	po/da.po

commit 5934096b9d2b852f56d9d8ae448161f805babc0c
Author: Maxim V. Dziumanenko <mdziumanenko@src.gnome.org>
Date:	2008-09-21

    svn path=/trunk/; revision=2507



    svn path=/trunk/; revision=2507

M	po/uk.po

commit 8d7e3f1ce96f3f3e640466676968385273e40b04
Author: Robert-André Mauchin <bobmauchin@src.gnome.org>
Date:	2008-09-21

    Added Afrikaans translation

    svn path=/trunk/; revision=2506

M	po/ChangeLog
M	po/LINGUAS
A	po/af.po

commit 4aa2eede7c9368eb63f01a216d63e716fb4cd150
Author: Mugurel Tudor <mugurelu@gnome.ro>
Date:	2008-09-20

    Updated Romanian translation by Mişu Moldovan <dumol@gnome.ro>

    2008-09-20	Mugurel Tudor  <mugurelu@gnome.ro>

	* ro.po: Updated Romanian translation by
	Mişu Moldovan <dumol@gnome.ro>

    svn path=/trunk/; revision=2505

M	po/ChangeLog
M	po/ro.po

commit abdc8d0f09bcfcc5d44cd82f8980b2507470e9a6
Author: Claude Paroz <claude@2xlibre.net>
Date:	2008-09-20

    Updated French translation by Frédéric Peters.

    2008-09-20	Claude Paroz  <claude@2xlibre.net>

	* fr/fr.po: Updated French translation by Frédéric Peters.

    svn path=/trunk/; revision=2504

M	help/ChangeLog
M	help/fr/figures/file-roller_leftarrow.png
M	help/fr/figures/file-roller_main_window.png
M	help/fr/fr.po

commit 4d83a8d0b48cf92c129916f550c3f4c0390f8288
Author: Claude Paroz <claude@2xlibre.net>
Date:	2008-09-20

    Fixed French translation.

    2008-09-20	Claude Paroz  <claude@2xlibre.net>

	* fr.po: Fixed French translation.

    svn path=/trunk/; revision=2503

M	po/ChangeLog
M	po/fr.po

commit e19c3beac90ba17bbbe9285a2896c2c293a120eb
Author: Goran Rakic <grakic@src.gnome.org>
Date:	2008-09-20

    Updated Serbian translation

    svn path=/trunk/; revision=2502

M	po/ChangeLog
M	po/sr.po
M	po/sr@latin.po

commit ec99a47bff98d0c7f3cf3ccfe2092a6ef8958f58
Author: Kostas Papadimas <pkst@src.gnome.org>
Date:	2008-09-18

    Updated Greek Translation by Konstantinos Kouratoras

    svn path=/trunk/; revision=2501

M	po/ChangeLog
M	po/el.po

commit 4e77a53873272d867888a960f0d9e1f624e36b7d
Author: Shankar Prasad <sprasad@src.gnome.org>
Date:	2008-09-18

    updated Kannada translation and ChangeLog

    svn path=/trunk/; revision=2500

M	po/ChangeLog
M	po/kn.po

commit c65b6a5d9c738020b21a50fd15537053ad66495d
Author: Baris Cicek <bcicek@src.gnome.org>
Date:	2008-09-18

    Updated Turkish Translation

    svn path=/trunk/; revision=2499

M	po/ChangeLog
M	po/tr.po

commit 4ecd186bbb2768c41ab9feb4f08c5b1f1ec9ab49
Author: Djihed Afifi <djihed@src.gnome.org>
Date:	2008-09-18

    Updated Arabic Translation by Anas Afif Emad.

    * Updated Arabic Translation by Anas Afif Emad.

    svn path=/trunk/; revision=2498

M	po/ChangeLog

commit 98035bc5579d4c9893f67840c874903b42a2d2f8
Author: Gil Forcada Codinachs <gforcada@src.gnome.org>
Date:	2008-09-17

    Updated Catalan translation

    svn path=/trunk/; revision=2497

M	po/ChangeLog
M	po/ca.po

commit cf5bc21b9f5933761624221d1790d83b550a86b5
Author: Ilkka Tuohela <ituohela@src.gnome.org>
Date:	2008-09-15

    Added Finnish documentation by Valto Wirkola

    svn path=/trunk/; revision=2496

M	help/ChangeLog
M	help/Makefile.am
A	help/fi/fi.po
A	help/fi/figures/file-roller_home.png
A	help/fi/figures/file-roller_leftarrow.png
A	help/fi/figures/file-roller_main_window.png
A	help/fi/figures/file-roller_rightarrow.png
A	help/fi/figures/file-roller_uparrow.png

commit 87fab23f7a619a3b2f145c39d8291f7cca6f2eb8
Author: Djihed Afifi <djihed@src.gnome.org>
Date:	2008-09-15

    Updated Arabic Translation by Anas Afif Emad.

    * Updated Arabic Translation by Anas Afif Emad.

    svn path=/trunk/; revision=2495

M	po/ChangeLog

commit d6b3d1fae15bde32e2a6e25d4827193601b0304c
Author: Djihed Afifi <djihed@src.gnome.org>
Date:	2008-09-15

    Updated Arabic Translation by Anas Afif Emad.

    * Updated Arabic Translation by Anas Afif Emad.

    svn path=/trunk/; revision=2494

M	po/ChangeLog
M	po/ar.po

commit bac358d6cb7b3c026b63ae401a2b14da8189037e
Author: Felix I <ifelix@src.gnome.org>
Date:	2008-09-15

    Tamil translation updated

    svn path=/trunk/; revision=2493

M	po/ChangeLog
M	po/ta.po

commit 27e4629457c2eda6934d0129e82a21e99eadba8d
Author: Sandeep Shedmake <sandeeps@src.gnome.org>
Date:	2008-09-15

    Updated Marathi Translations

    svn path=/trunk/; revision=2492

M	po/ChangeLog
M	po/mr.po

commit 6ce60676918ffbf6967fd76b94229fe372461d31
Author: Praveen Arimbrathodiyil <apravi@src.gnome.org>
Date:	2008-09-14

    small correction

    svn path=/trunk/; revision=2491

M	po/ml.po

commit 71b4f9905fcc46a6b761dc424ab5d7c93f5934db
Author: Praveen Arimbrathodiyil <apravi@src.gnome.org>
Date:	2008-09-14

    Malayalam translation updated by Santhsoh Thottingal

    svn path=/trunk/; revision=2490

M	po/ChangeLog
M	po/ml.po

commit 13006dd0df9e74c676dfddcc679dc1d6dc8e80db
Author: Luca Ferretti <elle.uca@libero.it>
Date:	2008-09-14

    Updated Italian translation by Milo Casagrande.

    2008-09-14	Luca Ferretti  <elle.uca@libero.it>

	* it.po: Updated Italian translation by Milo Casagrande.

    svn path=/trunk/; revision=2489

M	po/ChangeLog
M	po/it.po

commit 0fb1d55c3fd28cb1b16972bcfa16fdba8c7b8709
Author: Luca Ferretti <elle.uca@libero.it>
Date:	2008-09-14

    Updated Italian translation by Milo Casagrande.

    2008-09-14	Luca Ferretti  <elle.uca@libero.it>

	* it/it.po: Updated Italian translation by Milo Casagrande.

    svn path=/trunk/; revision=2488

M	help/ChangeLog
M	help/it/it.po

commit 4d71fc6b36a9506177417e700d8db0dbef753290
Author: Goran Rakic <grakic@src.gnome.org>
Date:	2008-09-14

    Updated Serbian translation (by Miloš Popović)

    svn path=/trunk/; revision=2487

M	po/ChangeLog
M	po/sr.po
M	po/sr@latin.po

commit c26cf3160a077e09861979dc15075c9b8ae78e8b
Author: Djihed Afifi <djihed@src.gnome.org>
Date:	2008-09-14

    Updated Arabic Translation by Djihed Afifi.

    * Updated Arabic Translation by Djihed Afifi.

    svn path=/trunk/; revision=2486

M	po/ar.po

commit d6e25a81f64a0adcb1f5bc02ab69c44b8eeb9af6
Author: Luca Ferretti <elle.uca@libero.it>
Date:	2008-09-14

    Updated Italian translation by Milo Casagrande.

    2008-09-14	Luca Ferretti  <elle.uca@libero.it>

	* it.po: Updated Italian translation by Milo Casagrande.


    svn path=/trunk/; revision=2485

M	po/ChangeLog
M	po/it.po

commit 2521ae1e3fe254f4e263fcec42abbf902408ee3c
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-09-13

    Fixed bug #552031 – Add archiving and compression to desktop
    categories.

    2008-09-13	Paolo Bacchilega  <paobac@svn.gnome.org>

	* data/file-roller.desktop.in.in:

	Fixed bug #552031 – Add archiving and compression to desktop
	categories.
	Patch by Patryk Zawadzki.

    svn path=/trunk/; revision=2484

M	ChangeLog
M	data/file-roller.desktop.in.in

commit 44b2ba576178139253e21b483d074b696dd4190f
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2008-09-13

    Translation updated.

    2008-09-13	Gabor Kelemen  <kelemeng@gnome.hu>

	* hu.po: Translation updated.

    svn path=/trunk/; revision=2483

M	po/ChangeLog
M	po/hu.po

commit efe80e13cdce1f6d4e886f078f939454f4167b13
Author: Gintautas Miliauskas <gintas@akl.lt>
Date:	2008-09-12

    Updated Lithuanian translation.

    2008-09-13	Gintautas Miliauskas  <gintas@akl.lt>

	* lt.po: Updated Lithuanian translation.



    svn path=/trunk/; revision=2482

M	po/ChangeLog
M	po/lt.po

commit bd8c4086dc10aa642297fd800041e1dcbd7024cc
Author: Mario Blättermann <mariobl@src.gnome.org>
Date:	2008-09-12

    Updated German translation

    svn path=/trunk/; revision=2481

M	help/ChangeLog
M	help/de/de.po

commit b871dc4025959d4cdf2668a9bde2b3e0dde5770b
Author: Sweta Kothari <swkothar@src.gnome.org>
Date:	2008-09-11

    Committed Translation by Sweta Kothari

    svn path=/trunk/; revision=2480

M	po/ChangeLog
M	po/gu.po

commit f58342a4dca3d476e421f1847132eb9cb04d9c9f
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-09-10

    Updated Spanish translation

    svn path=/trunk/; revision=2479

M	help/ChangeLog
M	help/es/es.po

commit ff12efb3bf21a95abf798829e9ea0f88b3e68cfc
Author: Krishnababu Krothapalli <kkrothap@src.gnome.org>
Date:	2008-09-10

    Updated Changelog file

    svn path=/trunk/; revision=2478

M	po/ChangeLog

commit 4f3f73b7474d81b9f86d75e9397cf6758ca4510a
Author: Krishnababu Krothapalli <kkrothap@src.gnome.org>
Date:	2008-09-10

    Updated Telugu Translation

    svn path=/trunk/; revision=2477

M	po/te.po

commit 20c109ca17138c65e3be298843dd98a6612b7114
Author: Pema Geyleg <pgeyleg@src.gnome.org>
Date:	2008-09-10

    Updated Dzongkha Translation

    svn path=/trunk/; revision=2476

M	po/ChangeLog
M	po/dz.po

commit 1be454fca369d0f467f549b7fec67649de484928
Author: Nguyen Thai Ngoc Duy <pclouds@src.gnome.org>
Date:	2008-09-09

    vi.po: updated translation from Nguyễn Đình Trung

    svn path=/trunk/; revision=2475

M	help/vi/vi.po

commit 0b3a69e17fd09b0de1100d8262d6659dbc5674c5
Author: Robert Sedak <rsedak@src.gnome.org>
Date:	2008-09-09

    Update: Croatian Language

    svn path=/trunk/; revision=2474

M	po/ChangeLog
M	po/hr.po

commit 879e884c19b33eec55914fd87eae0f21d7709527
Author: Nickolay V. Shmyrev <nshmyrev@yandex.ru>
Date:	2008-09-08

    Updated Russian translation by Yuriy Penkin.

    2008-09-09	Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* ru.po: Updated Russian translation by Yuriy Penkin.


    svn path=/trunk/; revision=2472

M	po/ChangeLog
M	po/ru.po

commit b9e352098c99bb29e2c81c6e550c8c46f0309063
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-09-08

    [ File Roller 2.23.92 released ]

    2008-09-08	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.23.92 released ]

	* NEWS: updated.
	* configure.ac: updated.

    svn path=/trunk/; revision=2470

M	ChangeLog
M	NEWS
M	configure.ac

commit 2915ce1b00e9c9d2d0182f427d3a0983d2309a4f
Author: Nguyen Thai Ngoc Duy <pclouds@src.gnome.org>
Date:	2008-09-08

    update vi.po

    svn path=/trunk/; revision=2469

M	po/ChangeLog
M	po/vi.po

commit 18d6d0d838cc1385a9db2feec9c4c5e6d3293606
Author: Robert Sedak <rsedak@src.gnome.org>
Date:	2008-09-08

    Update: Croatian Language

    svn path=/trunk/; revision=2468

M	po/ChangeLog
M	po/hr.po

commit 7c535dd0b5e7eea3cf9cad32dfd528a85fe9ee88
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-09-08

    Fixed bug #546541: File associations paragraph corrected. Patch
    by Claude

    2008-09-08	Paolo Bacchilega  <paobac@svn.gnome.org>

	* C/file-roller.xml:

	Fixed bug #546541: File associations paragraph corrected.
	Patch by Claude Paroz.

    svn path=/trunk/; revision=2467

M	help/C/file-roller.xml
M	help/ChangeLog

commit d8a5f6ffc8f6550d1e6a1af85313364108c3fbd7
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-09-07

    Fixed bug #551153 – [PATCH] rpm: display empty directories and
    support

    2008-09-07	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-rpm.c:
	* src/fr-command-cpio.c:

	Fixed bug #551153 – [PATCH] rpm: display empty directories
	and support
	device files.
	Patch by Eric Piel.

	Fixed bug #551146 – [PATCH] cpio: escaped filenames and
	block devices
	support.
	Patch by Eric Piel.

    svn path=/trunk/; revision=2466

M	ChangeLog
M	src/fr-command-cpio.c
M	src/fr-command-rpm.c

commit 264597a20738b49f77f10ce7ddda1660a85bcda4
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2008-09-06

    Updated British English translation.

    2008-09-07	Philip Withnall  <philip@tecnocode.co.uk>

	* en_GB.po: Updated British English translation.


    svn path=/trunk/; revision=2465

M	po/ChangeLog
M	po/en_GB.po

commit 72e925f0ea9d94d46b7ba53cf13a173f459e400a
Author: Changwoo Ryu <cwryu@src.gnome.org>
Date:	2008-09-06

    Updated Korean translation

    svn path=/trunk/; revision=2464

M	po/ChangeLog
M	po/ko.po

commit 6231b68ed593bdbd77a5f9bdb722e4a62817e7cf
Author: Funda Wang <fwang@src.gnome.org>
Date:	2008-09-06

    Updated zh_CN translation.

    svn path=/trunk/; revision=2463

M	po/ChangeLog
M	po/zh_CN.po

commit a34942997324b81cf7832a8ddc71551393ed1e13
Author: Matej Urbančič <mateju@src.gnome.org>
Date:	2008-09-05

    Updated Slovenian translation

    svn path=/trunk/; revision=2462

M	po/sl.po

commit fcc7db04d3fe4fc1218f7836b65c300f6f435ffb
Author: Alexander Shopov <ash@contact.bg>
Date:	2008-09-04

    Updated Bulgarian translation by Alexander Shopov <ash@contact.bg>

    2008-09-04	Alexander Shopov  <ash@contact.bg>

	* bg.po: Updated Bulgarian translation by
	Alexander Shopov <ash@contact.bg>

    svn path=/trunk/; revision=2461

M	po/ChangeLog
M	po/bg.po

commit accdadc80f015861d3c87ba6dc0ef230931daa60
Author: Nguyen Thai Ngoc Duy <pclouds@src.gnome.org>
Date:	2008-09-04

    vi.po: updated translation from Nguyễn Đình Trung

    svn path=/trunk/; revision=2460

M	po/ChangeLog
M	po/vi.po

commit 3961c7c39d6347e00aff9d6d1a9d52ba84bc0d8c
Author: Nguyen Thai Ngoc Duy <pclouds@src.gnome.org>
Date:	2008-09-04

    vi/vi.po: Added translation from Nguyễn Đình Trung

    svn path=/trunk/; revision=2459

M	help/ChangeLog
M	help/Makefile.am
A	help/vi/vi.po

commit e744dd9c082f2eac6d1da11b5d8b20dc5e738787
Author: Laurent Dhima <laurenti@src.gnome.org>
Date:	2008-09-04

    Updated Translation

    svn path=/trunk/; revision=2458

M	po/ChangeLog
M	po/sq.po

commit 56ac19f3e9a99a05f7198ffb2980441d608dffa5
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2008-09-02

    Updated Vietnamese translation

    2008-09-02	Nguyễn Thái Ngọc Duy <pclouds@gmail.com>

	* vi.po: Updated Vietnamese translation


    svn path=/trunk/; revision=2457

M	po/ChangeLog
M	po/vi.po

commit 20e6daa4821b476fd2deda8fddcef0b5400e3039
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-09-01

    [ File Roller 2.23.91 released ]

    2008-09-01	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.23.91 released ]

	* NEWS: updated.

    svn path=/trunk/; revision=2455

M	ChangeLog
M	NEWS

commit 6bb01761497b474abd4038095e756fea3389a9a2
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-31

    bumped version number to differentiate current development version
    from

    2008-08-31	Paolo Bacchilega  <paobac@svn.gnome.org>

	* configure.ac: bumped version number to differentiate
	current development version from the latest released version.

    svn path=/trunk/; revision=2454

M	configure.ac

commit a3837f7d2144b8aa5be3b5f1f05fdead1f35ef07
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-31

    bumped version number to differentiate current development version
    from

    2008-08-31	Paolo Bacchilega  <paobac@svn.gnome.org>

	* configure.ac: bumped version number to differentiate
	current development version from the latest released version.

    svn path=/trunk/; revision=2453

M	ChangeLog
M	configure.ac

commit 4598c3ca11ad9f2d0f7ef9a25f0ba651d4b2e47c
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-31

    Set the application selected in the "open with" dialog as the
    default for

    2008-08-31	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/dlg-open-with.c:
	* src/fr-window.c:
	* src/file-utils.c:

	Set the application selected in the "open with" dialog as the
	default for the mime type.  Allow to remove the registered
	applications as well.

	Fixes bug #544766 – file-roller doesn't remember open-with
	application.

    svn path=/trunk/; revision=2452

M	ChangeLog
M	src/dlg-open-with.c
M	src/file-utils.c
M	src/fr-window.c

commit 8fd2dfc71bc130deb62567c8eae87d8d3beaa824
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-08-29

    Updated Spanish translation

    svn path=/trunk/; revision=2451

M	po/ChangeLog
M	po/es.po

commit af794fef44862b87a45f1f1c99c252c4aba68965
Author: Mario Blättermann <mariobl@src.gnome.org>
Date:	2008-08-29

    Updated german translation

    svn path=/trunk/; revision=2450

M	help/ChangeLog
M	help/de/de.po

commit df9e50a7faa74af6293c6ae1da007140941bd4b3
Author: Hendrik Richter <hendrikr@gnome.org>
Date:	2008-08-28

    Updated German translation.

    2008-08-28	Hendrik Richter  <hendrikr@gnome.org>

	* de.po: Updated German translation.

    svn path=/trunk/; revision=2449

M	po/ChangeLog
M	po/de.po

commit d7faae1bbe3f07f14e47c6f05a4a261cb801530a
Author: Hendrik Richter <hendrikr@gnome.org>
Date:	2008-08-28

    Updated German translation.

    2008-08-28	Hendrik Richter  <hendrikr@gnome.org>

	* de.po: Updated German translation.

    svn path=/trunk/; revision=2448

M	po/ChangeLog
M	po/de.po

commit 7e63e0876848ee5a9418fc79cbfb3c97d757dd4c
Author: Tomasz Dominikowski <tdominikowski@aviary.pl>
Date:	2008-08-27

    Updated Polish translation

    2008-08-27	Tomasz Dominikowski  <tdominikowski@aviary.pl>

	* pl.po: Updated Polish translation

    svn path=/trunk/; revision=2447

M	po/ChangeLog
M	po/pl.po

commit d19b231766247cc2ad90a9074cdb73b29bad77b7
Author: Claude Paroz <claude@2xlibre.net>
Date:	2008-08-26

    Updated French translation by Michaël Zakrzewski and Claude Paroz.

    2008-08-26	Claude Paroz  <claude@2xlibre.net>

	* fr.po: Updated French translation by Michaël Zakrzewski
	and Claude
	Paroz.

    svn path=/trunk/; revision=2446

M	po/ChangeLog
M	po/fr.po

commit 0f3ff1fa396697b6404eb77d83c06e181d5cf9fa
Author: Djihed Afifi <djihed@src.gnome.org>
Date:	2008-08-26

    Updated Arabic Translation by Djihed Afifi.

    * Updated Arabic Translation by Djihed Afifi.

    svn path=/trunk/; revision=2445

M	po/ar.po

commit d050141d34865047ed0b46f37987eab85acd2ce6
Author: Goran Rakic <grakic@src.gnome.org>
Date:	2008-08-25

    Conversion from sr@Latn to sr@latin

    svn path=/trunk/; revision=2444

M	po/ChangeLog
M	po/LINGUAS
R100	po/sr@Latn.po	po/sr@latin.po

commit 7b888e56f870db7fbb3ed68e5eabc9495e9e8421
Author: Chao-Hsiung Liao <chliao@src.gnome.org>
Date:	2008-08-23

    2.23.6

    svn path=/trunk/; revision=2443

M	po/ChangeLog
M	po/zh_HK.po
M	po/zh_TW.po

commit 6e5fdb076d8858334124ccdb9b768326f0e3d9f9
Author: Inaki Larranaga Murgoitio <dooteo@euskalgnu.org>
Date:	2008-08-22

    Updated Basque translation.

    2008-08-22	Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>

	* eu.po: Updated Basque translation.


    svn path=/trunk/; revision=2442

M	po/ChangeLog
M	po/eu.po

commit 6d6cd7e54c2095a8158ce2242fc3ffa82cdbf3cb
Author: Manoj Kumar Giri <mgiri@src.gnome.org>
Date:	2008-08-20

    Added entry for Oriya translation updation

    svn path=/trunk/; revision=2441

M	po/ChangeLog

commit 71572f384b7165e12230534fd04d6965fa304c56
Author: Manoj Kumar Giri <mgiri@src.gnome.org>
Date:	2008-08-20

    Updated Translation For Oriya

    svn path=/trunk/; revision=2440

M	po/or.po

commit 4f1c242d764c8668ce6c3e94e144745072e0c9d5
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-20

    updated.

    2008-08-20	Paolo Bacchilega  <paobac@svn.gnome.org>

	* README: updated.

	* src/main.h:
	* src/main.c: added sort_mime_types_by_extension() and
	sort_mime_types_by_description()

	* src/dlg-new.c: sort the type list by description.
	* src/dlg-batch-add.c: sort the type list by extension.

	Fixes bug: Sort the archive type list to make it easier to
	find the
	desired type.

    svn path=/trunk/; revision=2439

M	ChangeLog
M	README
M	src/dlg-batch-add.c
M	src/dlg-new.c
M	src/main.c
M	src/main.h

commit d926d227cd47bdb0d4f11c0a3a904dfd28be8e60
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-19

    [ File Roller 2.23.6 released ]

    2008-08-19	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.23.6 released ]

	* NEWS: updated.

    svn path=/trunk/; revision=2437

M	ChangeLog
M	NEWS

commit 7a18fc91847a25550553aa0fb4e6fa85d072c10f
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-08-17

    Updated Spansih translation

    svn path=/trunk/; revision=2436

M	help/ChangeLog
M	help/es/es.po

commit 7fd9ceca2fb95c4f899b3d0bc6104663eeff2830
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-17

    Use LC_MESSAGES instead of LC_ALL when use_standard_locale is
    TRUE. Try a

    2008-08-17	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-process.h:
	* src/fr-process.c:

	Use LC_MESSAGES instead of LC_ALL when use_standard_locale
	is TRUE.
	Try a series of charsets when input convertion fails.

	* src/typedefs.h:
	* src/fr-window.c:

	Added a bad_charset error.

	* src/glib-utils.h:
	* src/fr-command-zoo.c:
	* src/fr-command-zip.c:
	* src/fr-command-unstuff.c:
	* src/fr-command-tar.c:
	* src/fr-command-rpm.c:
	* src/fr-command-rar.c:
	* src/fr-command-lha.c:
	* src/fr-command-iso.c:
	* src/fr-command-cpio.c:
	* src/fr-command-arj.c:
	* src/fr-command-ar.c:
	* src/fr-command-alz.c:
	* src/fr-command-ace.c:
	* src/fr-command-7z.c:

	Use a begin_func callback to initialize the data used in the
	output
	process.

    svn path=/trunk/; revision=2435

M	ChangeLog
M	TODO
M	src/fr-command-7z.c
M	src/fr-command-ace.c
M	src/fr-command-alz.c
M	src/fr-command-ar.c
M	src/fr-command-arj.c
M	src/fr-command-cpio.c
M	src/fr-command-iso.c
M	src/fr-command-lha.c
M	src/fr-command-rar.c
M	src/fr-command-rpm.c
M	src/fr-command-tar.c
M	src/fr-command-unstuff.c
M	src/fr-command-zip.c
M	src/fr-command-zoo.c
M	src/fr-process.c
M	src/fr-process.h
M	src/fr-window.c
M	src/glib-utils.h
M	src/typedefs.h

commit f6573d3916934ebda66b4138dc430d2e9a8046c6
Author: Christian Kirbach <ckirbach@src.gnome.org>
Date:	2008-08-17

    Updated German translation by Mario Blättermann. Updated.

	* de/de.po: Updated German translation by Mario Blättermann.
	* de/figures/file-roller_main_window.png: Updated.


    svn path=/trunk/; revision=2434

M	help/ChangeLog
M	help/de/de.po
M	help/de/figures/file-roller_main_window.png

commit 47952bad389f9b0e9d353cc9b101b738db994e4e
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-17

    allow to read .Z files with gzip. allow to read tar.Z files with gzip.

    2008-08-17	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-cfile.c: allow to read .Z files with gzip.
	* src/fr-command-tar.c: allow to read tar.Z files with gzip.

	Fixes bug: file-roller fails to open .Z files (LP#26662).

	* src/file-utils.c (is_mime_type): campare the whole string
	not only
	part of it.

    svn path=/trunk/; revision=2433

M	ChangeLog
M	TODO
M	src/file-utils.c
M	src/fr-command-cfile.c
M	src/fr-command-tar.c

commit 8fc613f21ac422dd2ae6e0d1601793fea161450d
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:	2008-08-17

    Updated Japanese translation.

    2008-08-17	Takeshi AIHANA <takeshi.aihana@gmail.com>

	    * ja.po: Updated Japanese translation.

    svn path=/trunk/; revision=2432

M	po/ChangeLog
M	po/ja.po

commit 0a4beab2e446a3ad916d1601627841deb98123b3
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-16

    add the first directory to the list of directories as well.

    2008-08-16	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gio-utils.c (get_dir_list_from_file_list)
	(get_file_list_for_each_file, get_file_list_start_dir): add the
	first directory to the list of directories as well.

	* src/main.c (get_uri_from_command_line):  use gfile to make the
	conversion.

	Fixes bug #350640 – sending an empty folder doesn't work.

    svn path=/trunk/; revision=2431

M	ChangeLog
M	TODO
M	src/gio-utils.c
M	src/main.c

commit 3bade952cd4de27c565889975c769657623cbb6d
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-16

    removed a useless callback that checked folder permission on every

    2008-08-16	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/dlg-add-files.c: removed a useless callback that checked
	folder
	permission on every filechooser selection change.

	* src/dlg-add-folder.c: removed the same callback as above and
	simplified the response callback as well.

    2008-08-16	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/dlg-batch-add.c (add_clicked_cb):

	Fixed bug #548020 – "create archive" directory selection
	not working
	correctly.  Patch by Marcel Stimberg.

    svn path=/trunk/; revision=2430

M	ChangeLog
M	TODO
M	src/dlg-add-files.c
M	src/dlg-add-folder.c
M	src/dlg-batch-add.c

commit 6fd4edd6eb98ad40e7f796bc84e3048752c57926
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-16

    Fixed bug #546541 – Typo and little errors in
    documentation. Suggested

    2008-08-16	Paolo Bacchilega  <paobac@svn.gnome.org>

	* C/file-roller.xml:

	Fixed bug #546541 – Typo and little errors in documentation.
	Suggested by  Frederic Peters.	Patch by Claude Paroz.

    svn path=/trunk/; revision=2429

M	ChangeLog
M	TODO
M	help/C/file-roller.xml
M	help/ChangeLog

commit ebc8e6cc250d65dd8fdd5764d5f57cc3ad4d3c74
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-16

    Fixed creation of 7zip compressed tar archives (#547727).

    2008-08-16	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-tar.c:
	* src/fr-command-7z.c:
	* src/fr-archive.c:

	Fixed creation of 7zip compressed tar archives (#547727).

    svn path=/trunk/; revision=2428

M	ChangeLog
M	src/fr-archive.c
M	src/fr-command-7z.c
M	src/fr-command-tar.c

commit ffb43bc25c1a1e5eaf060cd76ec414d387c1317f
Author: Ihar Hrachyshka <iharh@src.gnome.org>
Date:	2008-08-16

    Updated Belarusian Latin translation by Ihar Hrachyshka.

    svn path=/trunk/; revision=2427

M	po/ChangeLog
M	po/be@latin.po

commit 3b85e2c6a1a9fb436f8097d1e4a1714c0928701d
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-16

    do not change directory permissions when the directory already exists

    2008-08-16	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-archive.c:
	* src/file-utils.c (make_directory_tree): do not change directory
	permissions when the directory already exists (#547999).

    svn path=/trunk/; revision=2426

M	ChangeLog
M	TODO
M	src/file-utils.c
M	src/fr-archive.c

commit f98cf725426da6751cf62340684da053efce5c32
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-16

    use the second line to determine the 7zip version (#547733).

    2008-08-16	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-7z.c: use the second line to determine the 7zip
	version (#547733).

    svn path=/trunk/; revision=2425

M	ChangeLog
M	src/fr-command-7z.c

commit e6db75edd230b4d6792d9ab5a074e7b572d1b6da
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-14

    removed the password from the extract dialog, because this dialog is

    2008-08-14	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/dlg-extract.c: removed the password from the extract dialog,
	because this dialog is already full of options and the password
	entry is redundant because if the archive is encrypted the
	password will be requested during the extraction.

	* data/glade/new.glade: removed the requires-version tag which
	causes
	a warning.

    svn path=/trunk/; revision=2424

M	ChangeLog
M	data/glade/new.glade
M	help/C/file-roller.xml
M	help/ChangeLog
M	src/dlg-extract.c

commit 940b8166bdcf0a2963f5addaa419b119ec24c9b9
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-14

    handle the case of directories that don't end with a separator.

    2008-08-14	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-window.c (fr_window_dir_exists_in_archive): handle
	the case
	of directories that don't end with a separator.

    svn path=/trunk/; revision=2423

M	ChangeLog
M	src/fr-window.c

commit 9ba301b05b17e48ecdb150c0938809e63ba1452d
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-14

    updated.

    2008-08-14	Paolo Bacchilega  <paobac@svn.gnome.org>

	* TODO: updated.

    svn path=/trunk/; revision=2422

M	ChangeLog
M	TODO

commit 437b7a413ab8f6c8b10d778df42f620ad17c545f
Author: Runa Bhattacharjee <runab@src.gnome.org>
Date:	2008-08-14

    Added Entry for Bengali India Translation Updation

    svn path=/trunk/; revision=2421

M	po/ChangeLog

commit 20fdf69880f380a05537e184e6e0867532c82dc0
Author: Runa Bhattacharjee <runab@src.gnome.org>
Date:	2008-08-14

    Updated Bengali India Translation

    svn path=/trunk/; revision=2420

M	po/bn_IN.po

commit eb41841afc3e35759222fc7b597ed673f82e3c87
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2008-08-13

    Updated Thai translation.

    2008-08-13	Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* th.po: Updated Thai translation.


    svn path=/trunk/; revision=2419

M	po/ChangeLog
M	po/th.po

commit 505b1c7ad3a4472a0c5ae0d0c7237e46f772c1b6
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2008-08-11

    Updated Portuguese translation.

    2008-08-11	Duarte Loreto <happyguy_pt@hotmail.com>

	* pt.po: Updated Portuguese translation.

    svn path=/trunk/; revision=2418

M	po/ChangeLog
M	po/pt.po

commit a482c0ebd32d5d9c98e8a2a6704d2a41608c6b49
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-11

    version 4.55 uses the new output format (#547297).

    2008-08-11	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-7z.c (list__process_line): version 4.55 uses
	the new
	output format (#547297).

    svn path=/trunk/; revision=2417

M	ChangeLog
M	src/fr-command-7z.c

commit 11172e3fb97ea2983fdd4dacac4150d99d7ffebb
Author: Ilkka Tuohela <ituohela@src.gnome.org>
Date:	2008-08-11

    Updated Finnish translation

    svn path=/trunk/; revision=2416

M	po/ChangeLog
M	po/fi.po

commit 721b8779b8977bb177b10fb8bd604ca43ace39bf
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-08-10

    Updated Spanish translation

    svn path=/trunk/; revision=2415

M	help/ChangeLog
M	help/es/es.po

commit 25a0300aad34fa21cddeb423aae2f84c86ce12d2
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-09

    can't read rar archives if the rar module is not present.

    2008-08-09	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-7z.c (fr_command_7z_get_capabilities): can't
	read rar
	archives if the rar module is not present.

    svn path=/trunk/; revision=2414

M	ChangeLog
M	TODO
M	src/fr-command-7z.c

commit 6c9c892f854a04e8ec58ba2fec5bd184308dbcd9
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-09

    use application/x-ms-dos-executable for MS-DOS executables.

    2008-08-09	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/main.c:
	* src/fr-command-zip.c:
	* src/fr-command-7z.c:
	* nautilus/nautilus-fileroller.c:
	* data/file-roller.desktop.in.in:

	use application/x-ms-dos-executable for MS-DOS executables.


    svn path=/trunk/; revision=2413

M	ChangeLog
M	data/file-roller.desktop.in.in
M	nautilus/nautilus-fileroller.c
M	src/fr-command-7z.c
M	src/fr-command-zip.c
M	src/main.c

commit 942ccb6234d2e6be01246effeba1b55ee2e9ccb6
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-09

    Fixed bug #546978 – wrong icon for folders Patch by Matthias Clasen.

    2008-08-09	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/file-utils.h:

	Fixed bug #546978 – wrong icon for folders
	Patch by Matthias Clasen.

	* src/dlg-open-with.c:

	Fixed bug #547017 – segfault in "Open with"
	Patch by Matthias Clasen.

    svn path=/trunk/; revision=2412

M	ChangeLog
M	TODO
M	src/dlg-open-with.c
M	src/file-utils.h

commit 7d864841b3739c9c94e6794f804b1030c37b0f62
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-08-07

    Updated Spanish translation

    svn path=/trunk/; revision=2411

M	help/ChangeLog
M	help/es/es.po

commit fe4b7556ae1ff99ef213093f9aafcbdf99f3806b
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-08-07

    Updated Spanish translation

    svn path=/trunk/; revision=2410

M	po/ChangeLog
M	po/es.po

commit 18aeb4e26ea599d9987754c8ac4dddf331001210
Author: Og B. Maciel <ogmaciel@src.gnome.org>
Date:	2008-08-06

    Updated Brazilian Portuguese translation.

    svn path=/trunk/; revision=2409

M	po/ChangeLog
M	po/pt_BR.po

commit da1ee9dac3cf77c90e589c0c69d0141769cf4e57
Author: Yair Hershkovitz <yairhr@src.gnome.org>
Date:	2008-08-06

    updated hebrew translation

    svn path=/trunk/; revision=2408

M	po/ChangeLog
M	po/he.po

commit aa0404fe4dd90900b6736e0caddd5a9b79ce7601
Author: Djihed Afifi <djihed@src.gnome.org>
Date:	2008-08-06

    Updated Arabic Translation by Djihed Afifi.

    svn path=/trunk/; revision=2407

M	po/ChangeLog
M	po/ar.po

commit d171fff1bdf405d849ae52223f1a8434e8fa51cf
Author: Paolo Bacchilega <paobac@src.gnome.org>
Date:	2008-08-06

    reverto version to 2.23.6

    svn path=/trunk/; revision=2406

M	configure.ac

commit ef4447fc862e957433d3ed27947438e6f69f7014
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-06

    bumped version number to differentiate current development version
    from

    2008-08-06	Paolo Bacchilega  <paobac@svn.gnome.org>

	* configure.ac: bumped version number to differentiate
	current development version from the latest released version.

    svn path=/trunk/; revision=2405

M	ChangeLog
M	configure.ac

commit 52688347e060870a092dd7ba1ea844cfcc20e35b
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-06

    updated

    2008-08-06	Paolo Bacchilega  <paobac@svn.gnome.org>

	* TODO: updated

	* src/fr-command-ar.c: add debian mime type.

	Fixes bug #546505 – Debian packages not supported anymore

    svn path=/trunk/; revision=2404

M	ChangeLog
M	TODO
M	src/fr-command-ar.c

commit 647f298cd0f17a4c48e556be629273ce48b85e27
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-05

    added a creating_archive flag to FrCommand this way special options
    can be

    2008-08-05	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command.h:
	* src/fr-archive.c: added a creating_archive flag to FrCommand
	this
	way special options	can be used when fr_command_add is called
	to create
	an archive.

	* src/fr-command-tar.c: when creating a new archive, compress it
	directly instead of creating it uncompressed and then compress it.
	This saves time and disk space.

	Fixes bug #542424 – Tar.bz2 archives create uncompressed
	archive files

    svn path=/trunk/; revision=2403

M	ChangeLog
M	configure.ac
M	src/fr-archive.c
M	src/fr-command-tar.c
M	src/fr-command.h

commit 438706aa64c9f70e3dbb791866578bba8970b0a1
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:	2008-08-05

    Translation updated by Ivar Smolin

    2008-08-05	Priit Laes  <plaes at svn dot gnome dot org>

	* et.po: Translation updated by Ivar Smolin

    svn path=/trunk/; revision=2402

M	po/ChangeLog
M	po/et.po

commit 4129917d516b0240c554fe3bb590fd684cdf27d0
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:	2008-08-05

    sv.po: Updated Swedish translation

    svn path=/trunk/; revision=2401

M	po/ChangeLog
M	po/sv.po

commit 3ded91b74673cb77301fe6e0b63b385749a8dc03
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-08-04

    Updated Spanish translation

    svn path=/trunk/; revision=2400

M	help/ChangeLog
M	help/es/es.po

commit 26bd2b9fb573d44c31e1b2ab3b85b373c7cc92cf
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-08-04

    [ File Roller 2.23.5 released ]

    2008-08-04	Paolo Bacchilega  <paobac@svn.gnome.org>

	[ File Roller 2.23.5 released ]

	* NEWS: updated for 2.23.5

    2008-08-04	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/file-utils.c: return TRUE if path is NULL

    svn path=/trunk/; revision=2398

M	ChangeLog
M	NEWS
M	src/file-utils.c

commit cbbe5c9799f07cc1e73ec60d17f6a8132feb7514
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-30

    use gio to read the file.

    2008-07-30	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-cfile.c (get_uncompressed_name_from_archive): use
	gio to read the file.

	* src/fr-archive.c (get_mime_type_from_magic_numbers): added gzip
	magic numbers.

    svn path=/trunk/; revision=2397

M	ChangeLog
M	help/ChangeLog
M	src/fr-archive.c
M	src/fr-command-cfile.c

commit 6d426ce934ed88c4547cb1abb0a7976051c6ccd6
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-29

    Fixed bug #545188 – Has incorrect start text for 7zip version 4.43

    2008-07-29	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-7z.h:
	* src/fr-command-7z.c:

	Fixed bug #545188 – Has incorrect start text for 7zip version
	4.43

    svn path=/trunk/; revision=2396

M	ChangeLog
M	src/fr-command-7z.c
M	src/fr-command-7z.h

commit 410fc20cfcdba728893db8acdc4bff9f1f3db8ba
Author: Djihed Afifi <djihed@src.gnome.org>
Date:	2008-07-29

    Updated Arabic Translation by Djihed Afifi.

    svn path=/trunk/; revision=2395

M	po/ChangeLog
M	po/ar.po

commit 60f3cbf4ee7a37da8009c8775ce5e88533f162a1
Author: Wouter Bolsterlee <wbolster@svn.gnome.org>
Date:	2008-07-28

    Dutch translation updated by Wouter Bolsterlee.

    2008-07-29	Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* nl.po: Dutch translation updated by Wouter Bolsterlee.


    svn path=/trunk/; revision=2394

M	po/ChangeLog
M	po/nl.po

commit 168ad354dbd4ba8bfaa7a4d26c579b694f2fd2b4
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-28

    always load the first volume of the series to list the whole
    content of

    2008-07-28	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-command-rar.c: always load the first volume of the
	series to
	list the whole content of the archive.

	Fixes bug #545168 – no longer possible to open a multi-volume
	rar
	from any part

	* src/fr-window.c (action_performed): update the archive name
	after
	loading the content.
	* src/fr-archive.c (action_performed): update the archive
	name after
	loading the content.
	(get_mime_type_from_magic_numbers): use the new function
	g_load_file_in_buffer.

	* src/gio-utils.h:
	* src/gio-utils.c: added function g_load_file_in_buffer()

    svn path=/trunk/; revision=2393

M	ChangeLog
M	src/fr-archive.c
M	src/fr-command-rar.c
M	src/fr-window.c
M	src/gio-utils.c
M	src/gio-utils.h

commit 78c13ff4c672437a3d09198ac523a3dc39fefcff
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2008-07-28

    Don't translate widget labels.

    2008-07-28	Kjartan Maraas	<kmaraas@gnome.org>

	* data/glade/new.glade: Don't translate widget labels.

    svn path=/trunk/; revision=2392

M	ChangeLog
M	data/glade/new.glade

commit 76317a08ef95aa1a87d03a1757fd79ddd2d07ec0
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2008-07-28

    Added missing file. Updated Norwegian bokmål translation.

    2008-07-28	Kjartan Maraas	<kmaraas@gnome.org>

	* POTFILES.in: Added missing file.
	* nb.po: Updated Norwegian  bokmål translation.

    svn path=/trunk/; revision=2391

M	po/ChangeLog
M	po/POTFILES.in
M	po/nb.po

commit d92f4636a2348ba146d9617d093295ae15c55165
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-28

    finished to port to GIO.

    2008-07-28	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/file-utils.c (get_dest_free_space): finished to port to GIO.

	Fixes bug #545161 – file-roller crashed with SIGSEGV in
	strlen() when
	extracting tarball.
	Fixes bug #544613 – file-roller crashed with SIGSEGV in
	remove_directory()

    svn path=/trunk/; revision=2390

M	ChangeLog
M	src/file-utils.c

commit 577124afa6c5faca74fffd5e69eed432299fcbc3
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-28

    updated. updated. updated.

    2008-07-28	Paolo Bacchilega  <paobac@svn.gnome.org>

	* NEWS: updated.
	* TODO: updated.
	* README: updated.

	* src/dlg-batch-add.c (help_clicked_cb):
	* data/glade/batch-add-files.glade:

	Added help button.

    2008-07-26	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-archive.c (get_mime_type_from_magic_numbers): added magic
	number for 7-zip archives.

	* src/fr-window.c:
	* src/fr-process.h:
	* src/fr-command-rar.h:
	* src/fr-command-rar.c:
	* src/fr-command-7z.h:
	* src/fr-command-7z.c:
	* src/fr-command.h:
	* src/fr-command.c:
	* src/fr-archive.c:

	Update the archive filename after creating a multi-volume archive.

	* src/typedefs.h:
	* src/Makefile.am: added dlg-new.[ch]
	* src/main.h:
	* src/main.c:
	* src/fr-window.h:
	* src/fr-window.c:
	* src/dlg-new.c: new file
	* src/dlg-new.c: new file
	* src/dlg-batch-add.c:
	* src/actions.c:

	Unify the "new" and "save as" dialogs.	Allow to specify other
	options
	in these dialogs, such as whether to encrypt the header and
	whether
	to split the archive in volumes.

	* data/glade/new.glade: new file.
	* data/glade/Makefile.am: include new.glade in the glade data.

    2008-07-25	Paolo Bacchilega  <paobac@svn.gnome.org>

	* configure.ac: bumped version number to differentiate
	current development version from the latest released version.


    svn path=/trunk/; revision=2389

M	ChangeLog
M	NEWS
M	README
M	TODO
M	configure.ac
M	data/glade/Makefile.am
M	data/glade/batch-add-files.glade
A	data/glade/new.glade
M	help/C/file-roller.xml
M	help/ChangeLog
M	po/ChangeLog
M	po/POTFILES.in
M	src/Makefile.am
M	src/actions.c
M	src/dlg-batch-add.c
A	src/dlg-new.c
A	src/dlg-new.h
M	src/fr-archive.c
M	src/fr-command-7z.c
M	src/fr-command-7z.h
M	src/fr-command-rar.c
M	src/fr-command-rar.h
M	src/fr-command.c
M	src/fr-command.h
M	src/fr-process.h
M	src/fr-window.c
M	src/fr-window.h
M	src/main.c
M	src/main.h
M	src/typedefs.h

commit e44e37ca1bf2e59d52767de0ee97994845c991f1
Author: Arangel Angov <arangela@src.gnome.org>
Date:	2008-07-27

    Arangel Angov <arangel@linux.net.mk> * mk.po: Updated Macedonian
    translation

    svn path=/trunk/; revision=2388

M	po/ChangeLog

commit e786344cc9ae8a01396f5ee09862189cadfa620e
Author: Arangel Angov <arangela@src.gnome.org>
Date:	2008-07-27

    Arangel Angov <arangel@linux.net.mk> * mk.po: Updated Macedonian
    translation

    svn path=/trunk/; revision=2387

M	po/mk.po

commit f8a58270a4e5778c23c2edbdd8ed204839e77793
Author: Yannig MARCHEGAY <ymarcheg@src.gnome.org>
Date:	2008-07-27

    Updated Occitan translation

    svn path=/trunk/; revision=2386

M	help/oc/oc.po
M	po/ChangeLog
M	po/oc.po

commit ad10c6802a0a1cad203aac3adb2c62f9ab688be3
Author: Ignacio Casal Quinteiro <icq@src.gnome.org>
Date:	2008-07-25

    Updated Galician Translation.

    svn path=/trunk/; revision=2385

M	po/ChangeLog
M	po/gl.po

commit 6f4dc162346678be48cc68ebde1b9b71554aedac
Author: Leonardo Ferreira Fontenelle <leonardof@gnome.org>
Date:	2008-07-25

    Terminology improvements by Fabrício Godoy.

    2008-07-24	Leonardo Ferreira Fontenelle  <leonardof@gnome.org>

	* pt_BR.po: Terminology improvements by Fabrício Godoy.

    svn path=/trunk/; revision=2384

M	po/ChangeLog
M	po/pt_BR.po

commit c4b0f3ea14a20c717e29af71d15333a7c164c33d
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-07-24

    Updated Spanish translation

    svn path=/trunk/; revision=2383

M	po/ChangeLog
M	po/es.po

commit dba7d5c9787ad8d5bcd00f729f6565e8030bab27
Author: Petr Kovář <pmkovar@src.gnome.org>
Date:	2008-07-23

    cs.po: Updated Czech translation by Adrian Gunis.

    svn path=/trunk/; revision=2382

M	po/ChangeLog
M	po/cs.po

commit 9c2daac57eefd1279c1b68d2ddb5be00bc1cf947
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-23

    Fixed bug #544296 – desktop entry does not validate Patch by Götz

    2008-07-23	Paolo Bacchilega  <paobac@svn.gnome.org>

	* data/file-roller.desktop.in.in:

	Fixed bug #544296 – desktop entry does not validate
	Patch by Götz Waschk

    svn path=/trunk/; revision=2381

M	ChangeLog
M	data/file-roller.desktop.in.in

commit 88d7f319ea764ed51920de6b420612d764d0dd54
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-22

    Fixed bug #544184 – extra space in the mimetype lists Patch by
    Sebastien

    2008-07-22	Paolo Bacchilega  <paobac@svn.gnome.org>

	* data/file-roller.desktop.in.in:

	Fixed bug #544184 – extra space in the mimetype lists
	Patch by Sebastien Bacher

	* configure.ac:

	Fixed bug #544182 – configure.ac should use AC_PROG_CC
	Patch by Sebastien Bacher

    svn path=/trunk/; revision=2380

M	ChangeLog
M	configure.ac
M	data/file-roller.desktop.in.in

commit 8c6c7cdfbbc6da9dfa92d19b6816d4e5e3a52156
Author: Priit Laes <plaes at svn dot gnome dot org>
Date:	2008-07-22

    Translation updated by Ivar Smolin

    2008-07-22	Priit Laes  <plaes at svn dot gnome dot org>

	* et.po: Translation updated by Ivar Smolin

    svn path=/trunk/; revision=2379

M	po/ChangeLog
M	po/et.po

commit 693a66e05fa051983b7687cf5d6c8b4524238c8f
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:	2008-07-22

    Updated Swedish translation. Updated screenshots.

	    * sv/sv.po: Updated Swedish translation.
	    * sv/figures/*png: Updated screenshots.


    svn path=/trunk/; revision=2378

M	help/ChangeLog
M	help/sv/figures/file-roller_leftarrow.png
M	help/sv/figures/file-roller_main_window.png
M	help/sv/sv.po

commit 27ec3721448dccb05f51ca89ebaac7ebce0ca0f2
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-21

    updated.


    2008-07-21	Paolo Bacchilega  <paobac@svn.gnome.org>

	* NEWS: updated.

    svn path=/trunk/; revision=2376

M	ChangeLog
M	NEWS

commit 1ec105e360f3f670303013da4174e63384893ac8
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-21

    Save and restore the volume size.

    2008-07-21	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/preferences.h:
	* src/dlg-batch-add.c:
	* data/file-roller.schemas:

	Save and restore the volume size.

    svn path=/trunk/; revision=2375

M	ChangeLog
M	data/file-roller.schemas
M	src/dlg-batch-add.c
M	src/preferences.h

commit fb3cca5418f2f801f3377695170efafd7c94df14
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-21

    New function: fr_process_add_arg_printf

    2008-07-21	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/fr-process.h:
	* src/fr-process.c:

	New function: fr_process_add_arg_printf

	* src/fr-command-tar.c:
	* src/fr-command-rar.c:
	* src/fr-command-7z.c:

	Fixed command line arguments for listfiles.

	* src/fr-command-7z.c:

	Read the entry attribute to detect directories.

	* src/typedefs.h:
	* src/fr-window.c:
	* src/fr-command.c:
	* src/fr-archive.h:
	* src/fr-archive.c:
	* src/dlg-batch-add.c:
	* data/glade/batch-add-files.glade:

	Added ability to create multi-volume archives.

    svn path=/trunk/; revision=2374

M	ChangeLog
M	data/glade/batch-add-files.glade
M	src/dlg-batch-add.c
M	src/fr-archive.c
M	src/fr-archive.h
M	src/fr-command-7z.c
M	src/fr-command-rar.c
M	src/fr-command-tar.c
M	src/fr-command.c
M	src/fr-process.c
M	src/fr-process.h
M	src/fr-window.c
M	src/typedefs.h

commit fad743967573c65acecdae939a8fd5aee843f529
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-21

    updated disable progress log.

    2008-07-21	Paolo Bacchilega  <paobac@svn.gnome.org>

	* TODO: updated
	* src/fr-window.c: disable progress log.

	* src/fr-command-*.c:
	* src/fr-command.h:
	* src/fr-command.c:
	* src/fr-archive.c:

	Added ability to specify the file list in a file, for the commands
	that support this option.  This is usefull to avoid to execute
	a command
	multiple times when the file list is too long to pass it to the
	command line at once.

    svn path=/trunk/; revision=2373

M	ChangeLog
M	TODO
M	src/fr-archive.c
M	src/fr-command-7z.c
M	src/fr-command-ace.c
M	src/fr-command-alz.c
M	src/fr-command-ar.c
M	src/fr-command-arj.c
M	src/fr-command-cfile.c
M	src/fr-command-cpio.c
M	src/fr-command-iso.c
M	src/fr-command-jar.c
M	src/fr-command-lha.c
M	src/fr-command-rar.c
M	src/fr-command-rpm.c
M	src/fr-command-tar.c
M	src/fr-command-unstuff.c
M	src/fr-command-zip.c
M	src/fr-command-zoo.c
M	src/fr-command.c
M	src/fr-command.h
M	src/fr-window.c

commit a134117f9c86afd75e14b1e9ff55b2959ea90f93
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-20

    updated.

    2008-07-20	Paolo Bacchilega  <paobac@svn.gnome.org>

	* TODO: updated.

	* src/fr-command-7z.c: add a -- to signal the end of the switches.
	Implemented extact progress to add and extract.
	Part of the bug #153281 – Progress bar should be exact

	* src/fr-archive.c: do not add the backup files, that is files
	ending
	with ~, to the archive.

    svn path=/trunk/; revision=2372

M	ChangeLog
M	TODO
M	src/fr-archive.c
M	src/fr-command-7z.c
M	src/fr-window.c

commit a07ed1d0d427a4e221c69a0c34c06457ac3041da
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-20

    Register FrCompression enum in the gobject type system, because
    it's used

    2008-07-20	Paolo Bacchilega  <paobac@svn.gnome.org>

	* configure.ac:
	* src/typedefs.h:
	* src/Makefile.am:

	Register FrCompression enum in the gobject type system,
	because it's
	used as a property.

	* src/gtk-utils.c: removed unused function.

	* src/fr-window.h:
	* src/fr-window.c:
	* src/fr-command-zoo.c:
	* src/fr-command-zip.c:
	* src/fr-command-unstuff.c:
	* src/fr-command-tar.c:
	* src/fr-command-rpm.c:
	* src/fr-command-rar.h:
	* src/fr-command-rar.c:
	* src/fr-command-lha.c:
	* src/fr-command-jar.c:
	* src/fr-command-iso.c:
	* src/fr-command-cpio.c:
	* src/fr-command-cfile.c:
	* src/fr-command-arj.c:
	* src/fr-command-ar.c:
	* src/fr-command-alz.c:
	* src/fr-command-ace.c:
	* src/fr-command-7z.h:
	* src/fr-command-7z.c:
	* src/fr-command.h:
	* src/fr-command.c:
	* src/fr-archive.h:
	* src/fr-archive.c:
	* src/dlg-extract.c:
	* src/dlg-delete.c:

	Reduce the number of FRCommand functions arguments by using
	gobject properties.

	* src/fr-archive.c (action_performed): update the capabilities
	after listing the content, usefull for multivolume archives
	that are
	read-only.

	* src/dlg-batch-add.c (add_clicked_cb): always create a new
	archive,
	calling fr_window_archive_new.

    svn path=/trunk/; revision=2371

M	ChangeLog
M	configure.ac
M	src/Makefile.am
M	src/dlg-batch-add.c
M	src/dlg-delete.c
M	src/dlg-extract.c
M	src/fr-archive.c
M	src/fr-archive.h
M	src/fr-command-7z.c
M	src/fr-command-7z.h
M	src/fr-command-ace.c
M	src/fr-command-alz.c
M	src/fr-command-ar.c
M	src/fr-command-arj.c
M	src/fr-command-cfile.c
M	src/fr-command-cpio.c
M	src/fr-command-iso.c
M	src/fr-command-jar.c
M	src/fr-command-lha.c
M	src/fr-command-rar.c
M	src/fr-command-rar.h
M	src/fr-command-rpm.c
M	src/fr-command-tar.c
M	src/fr-command-unstuff.c
M	src/fr-command-zip.c
M	src/fr-command-zoo.c
M	src/fr-command.c
M	src/fr-command.h
M	src/fr-window.c
M	src/fr-window.h
M	src/gtk-utils.c
M	src/typedefs.h

commit ca74e2aca3d531d5c948a0bd4794fb7409c6abec
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:	2008-07-20

    Updated Spanish translation

    svn path=/trunk/; revision=2370

M	po/ChangeLog
M	po/es.po

commit 1f1dd64d568a894681a60b5b75508f4230cbd909
Author: Gil Forcada Codinachs <gforcada@src.gnome.org>
Date:	2008-07-19

    Added Pashto translation by Zabeeh khan

    svn path=/trunk/; revision=2369

M	po/ChangeLog
M	po/LINGUAS
A	po/ps.po

commit 6ea96d199b3f6bb81d7155b512abb68b2f40f47b
Author: Ignacio Casal Quinteiro <icq@src.gnome.org>
Date:	2008-07-19

    Updated Galician Translation.

    svn path=/trunk/; revision=2368

M	po/ChangeLog
M	po/gl.po

commit b079631c2ebc648c02707e181c819436e48e9fae
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-18

    updated

    2008-07-18	Paolo Bacchilega  <paobac@svn.gnome.org>

	* TODO: updated

	* src/typedefs.h:
	* src/fr-command-rar.c:

	Added support for the progress dialog during add, extract
	and delete.
	Related to bug #153281 – Progress bar should be exact.

	Do not ask for password when a part of a multi-volume archive is
	missing.
	Fixes bug #504584 – Incorrect comportment when extracting
	multi part
	rar files.

	* src/fr-window.c:
	* src/fr-command.h:
	* src/fr-command.c:
	* src/fr-archive.h:
	* src/fr-archive.c:
	* src/dlg-prop.c:

	Compute the number of regular files in the archive, and use
	that value
	for the progress dialog and the property dialog.
	Allow to change the name of the current archive in the progress
	dialog,
	used when the archive is multi-volume.
	Don't use the fake load anymore, in order to allow an exact
	progress
	dialog when adding or extracting files in batch mode, see bug
	#153281.

	* src/dlg-add-folder.c (file_sel_response_cb): the destination
	directory is not a uri.

	* src/gtk-utils.c: use an expander instead of a button to
	show/hide
	the command line output.

    svn path=/trunk/; revision=2367

M	ChangeLog
M	TODO
M	src/dlg-add-folder.c
M	src/dlg-prop.c
M	src/fr-archive.c
M	src/fr-archive.h
M	src/fr-command-rar.c
M	src/fr-command.c
M	src/fr-command.h
M	src/fr-window.c
M	src/gtk-utils.c
M	src/typedefs.h

commit 9ff7408c92029916bf9ca7007d8a59e873d999ca
Author: Ignacio Casal Quinteiro <icq@src.gnome.org>
Date:	2008-07-16

    Updated Galician Translation.

    svn path=/trunk/; revision=2366

M	po/ChangeLog
M	po/gl.po

commit 72e1e66ed725f90bf30a6cf4a6cd67a3c3b29b80
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-13

    removed create_pixbuf() because unused.

    2008-07-13	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gtk-utils.h:
	* src/gtk-utils.c: removed create_pixbuf() because unused.

    svn path=/trunk/; revision=2365

M	ChangeLog
M	src/gtk-utils.c
M	src/gtk-utils.h

commit 6f1e10d910cb522939ded3ae8920261753610fcc
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-13

    Renamed the FrCommandCap values.

    2008-07-13	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/typedefs.h:
	* src/actions.c:
	* src/dlg-batch-add.c:
	* src/fr-archive.c:
	* src/fr-command.c:
	* src/fr-command-7z.c:
	* src/fr-command-ace.c:
	* src/fr-command-alz.c:
	* src/fr-command-ar.c:
	* src/fr-command-arj.c:
	* src/fr-command-cfile.c:
	* src/fr-command-cpio.c:
	* src/fr-command-iso.c:
	* src/fr-command-jar.c:
	* src/fr-command-lha.c:
	* src/fr-command-rar.c:
	* src/fr-command-rpm.c:
	* src/fr-command-tar.c:
	* src/fr-command-unstuff.c:
	* src/fr-command-zip.c:
	* src/fr-command-zoo.c:

	Renamed the FrCommandCap values.

	* src/gtk-utils.c (get_icon_pixbuf): use 'text-x-generic'
	for unknown
	file types.

	* TODO: updated.

    svn path=/trunk/; revision=2364

M	ChangeLog
M	TODO
M	src/actions.c
M	src/dlg-batch-add.c
M	src/fr-archive.c
M	src/fr-command-7z.c
M	src/fr-command-ace.c
M	src/fr-command-alz.c
M	src/fr-command-ar.c
M	src/fr-command-arj.c
M	src/fr-command-cfile.c
M	src/fr-command-cpio.c
M	src/fr-command-iso.c
M	src/fr-command-jar.c
M	src/fr-command-lha.c
M	src/fr-command-rar.c
M	src/fr-command-rpm.c
M	src/fr-command-tar.c
M	src/fr-command-unstuff.c
M	src/fr-command-zip.c
M	src/fr-command-zoo.c
M	src/fr-command.c
M	src/gtk-utils.c
M	src/main.c
M	src/typedefs.h

commit 8057ff6a179fe06198a3107d042e9ef6ffe83198
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-12

    Fixed bug #542541 – icon lookup code is broken Patch by Matthias
    Clasen.

    2008-07-12	Paolo Bacchilega  <paobac@svn.gnome.org>

	* src/gtk-utils.c (get_icon_pixbuf):

	Fixed bug #542541 – icon lookup code is broken
	Patch by Matthias Clasen.

    svn path=/trunk/; revision=2363

M	ChangeLog
M	src/gtk-utils.c

commit 0ad2ca75b31887f0f8ede8ce7a8d093d0ec04895
Author: Paolo Bacchilega <paobac@svn.gnome.org>
Date:	2008-07-10

    do not return any value.

